package hideandseek.xseries;

import java.util.HashMap;
import java.util.Map;
import java.util.WeakHashMap;
import java.util.concurrent.CompletableFuture;
import java.util.Iterator;
import java.util.Collections;
import java.util.stream.Collector;
import java.util.stream.Collectors;
import java.util.Arrays;
import org.bukkit.Note;
import org.bukkit.scheduler.BukkitRunnable;
import org.bukkit.scheduler.BukkitTask;
import org.bukkit.Instrument;
import org.bukkit.entity.Entity;
import org.bukkit.plugin.Plugin;
import org.bukkit.Location;
import org.bukkit.entity.Player;
import com.google.common.base.Strings;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.Optional;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;
import org.bukkit.Sound;

public enum XSound
{
    AMBIENT_BASALT_DELTAS_ADDITIONS("AMBIENT_BASALT_DELTAS_ADDITIONS", 0, new String[0]), 
    AMBIENT_BASALT_DELTAS_LOOP("AMBIENT_BASALT_DELTAS_LOOP", 1, new String[0]), 
    AMBIENT_BASALT_DELTAS_MOOD("AMBIENT_BASALT_DELTAS_MOOD", 2, new String[0]), 
    AMBIENT_CAVE("AMBIENT_CAVE", 3, new String[] { "AMBIENCE_CAVE" }), 
    AMBIENT_CRIMSON_FOREST_ADDITIONS("AMBIENT_CRIMSON_FOREST_ADDITIONS", 4, new String[0]), 
    AMBIENT_CRIMSON_FOREST_LOOP("AMBIENT_CRIMSON_FOREST_LOOP", 5, new String[0]), 
    AMBIENT_CRIMSON_FOREST_MOOD("AMBIENT_CRIMSON_FOREST_MOOD", 6, new String[0]), 
    AMBIENT_NETHER_WASTES_ADDITIONS("AMBIENT_NETHER_WASTES_ADDITIONS", 7, new String[0]), 
    AMBIENT_NETHER_WASTES_LOOP("AMBIENT_NETHER_WASTES_LOOP", 8, new String[0]), 
    AMBIENT_NETHER_WASTES_MOOD("AMBIENT_NETHER_WASTES_MOOD", 9, new String[0]), 
    AMBIENT_SOUL_SAND_VALLEY_ADDITIONS("AMBIENT_SOUL_SAND_VALLEY_ADDITIONS", 10, new String[0]), 
    AMBIENT_SOUL_SAND_VALLEY_LOOP("AMBIENT_SOUL_SAND_VALLEY_LOOP", 11, new String[0]), 
    AMBIENT_SOUL_SAND_VALLEY_MOOD("AMBIENT_SOUL_SAND_VALLEY_MOOD", 12, new String[0]), 
    AMBIENT_UNDERWATER_ENTER("AMBIENT_UNDERWATER_ENTER", 13, new String[0]), 
    AMBIENT_UNDERWATER_EXIT("AMBIENT_UNDERWATER_EXIT", 14, new String[0]), 
    AMBIENT_UNDERWATER_LOOP("AMBIENT_UNDERWATER_LOOP", 15, new String[] { "AMBIENT_UNDERWATER_EXIT" }), 
    AMBIENT_UNDERWATER_LOOP_ADDITIONS("AMBIENT_UNDERWATER_LOOP_ADDITIONS", 16, new String[] { "AMBIENT_UNDERWATER_EXIT" }), 
    AMBIENT_UNDERWATER_LOOP_ADDITIONS_RARE("AMBIENT_UNDERWATER_LOOP_ADDITIONS_RARE", 17, new String[] { "AMBIENT_UNDERWATER_EXIT" }), 
    AMBIENT_UNDERWATER_LOOP_ADDITIONS_ULTRA_RARE("AMBIENT_UNDERWATER_LOOP_ADDITIONS_ULTRA_RARE", 18, new String[] { "AMBIENT_UNDERWATER_EXIT" }), 
    AMBIENT_WARPED_FOREST_ADDITIONS("AMBIENT_WARPED_FOREST_ADDITIONS", 19, new String[0]), 
    AMBIENT_WARPED_FOREST_LOOP("AMBIENT_WARPED_FOREST_LOOP", 20, new String[0]), 
    AMBIENT_WARPED_FOREST_MOOD("AMBIENT_WARPED_FOREST_MOOD", 21, new String[0]), 
    BLOCK_AMETHYST_BLOCK_BREAK("BLOCK_AMETHYST_BLOCK_BREAK", 22, new String[0]), 
    BLOCK_AMETHYST_BLOCK_CHIME("BLOCK_AMETHYST_BLOCK_CHIME", 23, new String[0]), 
    BLOCK_AMETHYST_BLOCK_FALL("BLOCK_AMETHYST_BLOCK_FALL", 24, new String[0]), 
    BLOCK_AMETHYST_BLOCK_HIT("BLOCK_AMETHYST_BLOCK_HIT", 25, new String[0]), 
    BLOCK_AMETHYST_BLOCK_PLACE("BLOCK_AMETHYST_BLOCK_PLACE", 26, new String[0]), 
    BLOCK_AMETHYST_BLOCK_RESONATE("BLOCK_AMETHYST_BLOCK_RESONATE", 27, new String[0]), 
    BLOCK_AMETHYST_BLOCK_STEP("BLOCK_AMETHYST_BLOCK_STEP", 28, new String[0]), 
    BLOCK_AMETHYST_CLUSTER_BREAK("BLOCK_AMETHYST_CLUSTER_BREAK", 29, new String[0]), 
    BLOCK_AMETHYST_CLUSTER_FALL("BLOCK_AMETHYST_CLUSTER_FALL", 30, new String[0]), 
    BLOCK_AMETHYST_CLUSTER_HIT("BLOCK_AMETHYST_CLUSTER_HIT", 31, new String[0]), 
    BLOCK_AMETHYST_CLUSTER_PLACE("BLOCK_AMETHYST_CLUSTER_PLACE", 32, new String[0]), 
    BLOCK_AMETHYST_CLUSTER_STEP("BLOCK_AMETHYST_CLUSTER_STEP", 33, new String[0]), 
    BLOCK_ANCIENT_DEBRIS_BREAK("BLOCK_ANCIENT_DEBRIS_BREAK", 34, new String[0]), 
    BLOCK_ANCIENT_DEBRIS_FALL("BLOCK_ANCIENT_DEBRIS_FALL", 35, new String[0]), 
    BLOCK_ANCIENT_DEBRIS_HIT("BLOCK_ANCIENT_DEBRIS_HIT", 36, new String[0]), 
    BLOCK_ANCIENT_DEBRIS_PLACE("BLOCK_ANCIENT_DEBRIS_PLACE", 37, new String[0]), 
    BLOCK_ANCIENT_DEBRIS_STEP("BLOCK_ANCIENT_DEBRIS_STEP", 38, new String[0]), 
    BLOCK_ANVIL_BREAK("BLOCK_ANVIL_BREAK", 39, new String[] { "ANVIL_BREAK" }), 
    BLOCK_ANVIL_DESTROY("BLOCK_ANVIL_DESTROY", 40, new String[0]), 
    BLOCK_ANVIL_FALL("BLOCK_ANVIL_FALL", 41, new String[0]), 
    BLOCK_ANVIL_HIT("BLOCK_ANVIL_HIT", 42, new String[] { "BLOCK_ANVIL_FALL" }), 
    BLOCK_ANVIL_LAND("BLOCK_ANVIL_LAND", 43, new String[] { "ANVIL_LAND" }), 
    BLOCK_ANVIL_PLACE("BLOCK_ANVIL_PLACE", 44, new String[] { "BLOCK_ANVIL_FALL" }), 
    BLOCK_ANVIL_STEP("BLOCK_ANVIL_STEP", 45, new String[] { "BLOCK_ANVIL_FALL" }), 
    BLOCK_ANVIL_USE("BLOCK_ANVIL_USE", 46, new String[] { "ANVIL_USE" }), 
    BLOCK_AZALEA_BREAK("BLOCK_AZALEA_BREAK", 47, new String[0]), 
    BLOCK_AZALEA_FALL("BLOCK_AZALEA_FALL", 48, new String[0]), 
    BLOCK_AZALEA_HIT("BLOCK_AZALEA_HIT", 49, new String[0]), 
    BLOCK_AZALEA_LEAVES_BREAK("BLOCK_AZALEA_LEAVES_BREAK", 50, new String[0]), 
    BLOCK_AZALEA_LEAVES_FALL("BLOCK_AZALEA_LEAVES_FALL", 51, new String[0]), 
    BLOCK_AZALEA_LEAVES_HIT("BLOCK_AZALEA_LEAVES_HIT", 52, new String[0]), 
    BLOCK_AZALEA_LEAVES_PLACE("BLOCK_AZALEA_LEAVES_PLACE", 53, new String[0]), 
    BLOCK_AZALEA_LEAVES_STEP("BLOCK_AZALEA_LEAVES_STEP", 54, new String[0]), 
    BLOCK_AZALEA_PLACE("BLOCK_AZALEA_PLACE", 55, new String[0]), 
    BLOCK_AZALEA_STEP("BLOCK_AZALEA_STEP", 56, new String[0]), 
    BLOCK_BAMBOO_BREAK("BLOCK_BAMBOO_BREAK", 57, new String[0]), 
    BLOCK_BAMBOO_FALL("BLOCK_BAMBOO_FALL", 58, new String[0]), 
    BLOCK_BAMBOO_HIT("BLOCK_BAMBOO_HIT", 59, new String[0]), 
    BLOCK_BAMBOO_PLACE("BLOCK_BAMBOO_PLACE", 60, new String[0]), 
    BLOCK_BAMBOO_SAPLING_BREAK("BLOCK_BAMBOO_SAPLING_BREAK", 61, new String[0]), 
    BLOCK_BAMBOO_SAPLING_HIT("BLOCK_BAMBOO_SAPLING_HIT", 62, new String[0]), 
    BLOCK_BAMBOO_SAPLING_PLACE("BLOCK_BAMBOO_SAPLING_PLACE", 63, new String[0]), 
    BLOCK_BAMBOO_STEP("BLOCK_BAMBOO_STEP", 64, new String[0]), 
    BLOCK_BAMBOO_WOOD_BREAK("BLOCK_BAMBOO_WOOD_BREAK", 65, new String[0]), 
    BLOCK_BAMBOO_WOOD_BUTTON_CLICK_OFF("BLOCK_BAMBOO_WOOD_BUTTON_CLICK_OFF", 66, new String[0]), 
    BLOCK_BAMBOO_WOOD_BUTTON_CLICK_ON("BLOCK_BAMBOO_WOOD_BUTTON_CLICK_ON", 67, new String[0]), 
    BLOCK_BAMBOO_WOOD_DOOR_CLOSE("BLOCK_BAMBOO_WOOD_DOOR_CLOSE", 68, new String[0]), 
    BLOCK_BAMBOO_WOOD_DOOR_OPEN("BLOCK_BAMBOO_WOOD_DOOR_OPEN", 69, new String[0]), 
    BLOCK_BAMBOO_WOOD_FALL("BLOCK_BAMBOO_WOOD_FALL", 70, new String[0]), 
    BLOCK_BAMBOO_WOOD_FENCE_GATE_CLOSE("BLOCK_BAMBOO_WOOD_FENCE_GATE_CLOSE", 71, new String[0]), 
    BLOCK_BAMBOO_WOOD_FENCE_GATE_OPEN("BLOCK_BAMBOO_WOOD_FENCE_GATE_OPEN", 72, new String[0]), 
    BLOCK_BAMBOO_WOOD_HANGING_SIGN_BREAK("BLOCK_BAMBOO_WOOD_HANGING_SIGN_BREAK", 73, new String[0]), 
    BLOCK_BAMBOO_WOOD_HANGING_SIGN_FALL("BLOCK_BAMBOO_WOOD_HANGING_SIGN_FALL", 74, new String[0]), 
    BLOCK_BAMBOO_WOOD_HANGING_SIGN_HIT("BLOCK_BAMBOO_WOOD_HANGING_SIGN_HIT", 75, new String[0]), 
    BLOCK_BAMBOO_WOOD_HANGING_SIGN_PLACE("BLOCK_BAMBOO_WOOD_HANGING_SIGN_PLACE", 76, new String[0]), 
    BLOCK_BAMBOO_WOOD_HANGING_SIGN_STEP("BLOCK_BAMBOO_WOOD_HANGING_SIGN_STEP", 77, new String[0]), 
    BLOCK_BAMBOO_WOOD_HIT("BLOCK_BAMBOO_WOOD_HIT", 78, new String[0]), 
    BLOCK_BAMBOO_WOOD_PLACE("BLOCK_BAMBOO_WOOD_PLACE", 79, new String[0]), 
    BLOCK_BAMBOO_WOOD_PRESSURE_PLATE_CLICK_OFF("BLOCK_BAMBOO_WOOD_PRESSURE_PLATE_CLICK_OFF", 80, new String[0]), 
    BLOCK_BAMBOO_WOOD_PRESSURE_PLATE_CLICK_ON("BLOCK_BAMBOO_WOOD_PRESSURE_PLATE_CLICK_ON", 81, new String[0]), 
    BLOCK_BAMBOO_WOOD_STEP("BLOCK_BAMBOO_WOOD_STEP", 82, new String[0]), 
    BLOCK_BAMBOO_WOOD_TRAPDOOR_CLOSE("BLOCK_BAMBOO_WOOD_TRAPDOOR_CLOSE", 83, new String[0]), 
    BLOCK_BAMBOO_WOOD_TRAPDOOR_OPEN("BLOCK_BAMBOO_WOOD_TRAPDOOR_OPEN", 84, new String[0]), 
    BLOCK_BARREL_CLOSE("BLOCK_BARREL_CLOSE", 85, new String[0]), 
    BLOCK_BARREL_OPEN("BLOCK_BARREL_OPEN", 86, new String[0]), 
    BLOCK_BASALT_BREAK("BLOCK_BASALT_BREAK", 87, new String[0]), 
    BLOCK_BASALT_FALL("BLOCK_BASALT_FALL", 88, new String[0]), 
    BLOCK_BASALT_HIT("BLOCK_BASALT_HIT", 89, new String[0]), 
    BLOCK_BASALT_PLACE("BLOCK_BASALT_PLACE", 90, new String[0]), 
    BLOCK_BASALT_STEP("BLOCK_BASALT_STEP", 91, new String[0]), 
    BLOCK_BEACON_ACTIVATE("BLOCK_BEACON_ACTIVATE", 92, new String[0]), 
    BLOCK_BEACON_AMBIENT("BLOCK_BEACON_AMBIENT", 93, new String[0]), 
    BLOCK_BEACON_DEACTIVATE("BLOCK_BEACON_DEACTIVATE", 94, new String[] { "BLOCK_BEACON_AMBIENT" }), 
    BLOCK_BEACON_POWER_SELECT("BLOCK_BEACON_POWER_SELECT", 95, new String[] { "BLOCK_BEACON_AMBIENT" }), 
    BLOCK_BEEHIVE_DRIP("BLOCK_BEEHIVE_DRIP", 96, new String[0]), 
    BLOCK_BEEHIVE_ENTER("BLOCK_BEEHIVE_ENTER", 97, new String[0]), 
    BLOCK_BEEHIVE_EXIT("BLOCK_BEEHIVE_EXIT", 98, new String[0]), 
    BLOCK_BEEHIVE_SHEAR("BLOCK_BEEHIVE_SHEAR", 99, new String[0]), 
    BLOCK_BEEHIVE_WORK("BLOCK_BEEHIVE_WORK", 100, new String[0]), 
    BLOCK_BELL_RESONATE("BLOCK_BELL_RESONATE", 101, new String[0]), 
    BLOCK_BELL_USE("BLOCK_BELL_USE", 102, new String[0]), 
    BLOCK_BIG_DRIPLEAF_BREAK("BLOCK_BIG_DRIPLEAF_BREAK", 103, new String[0]), 
    BLOCK_BIG_DRIPLEAF_FALL("BLOCK_BIG_DRIPLEAF_FALL", 104, new String[0]), 
    BLOCK_BIG_DRIPLEAF_HIT("BLOCK_BIG_DRIPLEAF_HIT", 105, new String[0]), 
    BLOCK_BIG_DRIPLEAF_PLACE("BLOCK_BIG_DRIPLEAF_PLACE", 106, new String[0]), 
    BLOCK_BIG_DRIPLEAF_STEP("BLOCK_BIG_DRIPLEAF_STEP", 107, new String[0]), 
    BLOCK_BIG_DRIPLEAF_TILT_DOWN("BLOCK_BIG_DRIPLEAF_TILT_DOWN", 108, new String[0]), 
    BLOCK_BIG_DRIPLEAF_TILT_UP("BLOCK_BIG_DRIPLEAF_TILT_UP", 109, new String[0]), 
    BLOCK_BLASTFURNACE_FIRE_CRACKLE("BLOCK_BLASTFURNACE_FIRE_CRACKLE", 110, new String[0]), 
    BLOCK_BONE_BLOCK_BREAK("BLOCK_BONE_BLOCK_BREAK", 111, new String[0]), 
    BLOCK_BONE_BLOCK_FALL("BLOCK_BONE_BLOCK_FALL", 112, new String[0]), 
    BLOCK_BONE_BLOCK_HIT("BLOCK_BONE_BLOCK_HIT", 113, new String[0]), 
    BLOCK_BONE_BLOCK_PLACE("BLOCK_BONE_BLOCK_PLACE", 114, new String[0]), 
    BLOCK_BONE_BLOCK_STEP("BLOCK_BONE_BLOCK_STEP", 115, new String[0]), 
    BLOCK_BREWING_STAND_BREW("BLOCK_BREWING_STAND_BREW", 116, new String[0]), 
    BLOCK_BUBBLE_COLUMN_BUBBLE_POP("BLOCK_BUBBLE_COLUMN_BUBBLE_POP", 117, new String[0]), 
    BLOCK_BUBBLE_COLUMN_UPWARDS_AMBIENT("BLOCK_BUBBLE_COLUMN_UPWARDS_AMBIENT", 118, new String[0]), 
    BLOCK_BUBBLE_COLUMN_UPWARDS_INSIDE("BLOCK_BUBBLE_COLUMN_UPWARDS_INSIDE", 119, new String[0]), 
    BLOCK_BUBBLE_COLUMN_WHIRLPOOL_AMBIENT("BLOCK_BUBBLE_COLUMN_WHIRLPOOL_AMBIENT", 120, new String[0]), 
    BLOCK_BUBBLE_COLUMN_WHIRLPOOL_INSIDE("BLOCK_BUBBLE_COLUMN_WHIRLPOOL_INSIDE", 121, new String[0]), 
    BLOCK_CAKE_ADD_CANDLE("BLOCK_CAKE_ADD_CANDLE", 122, new String[0]), 
    BLOCK_CALCITE_BREAK("BLOCK_CALCITE_BREAK", 123, new String[0]), 
    BLOCK_CALCITE_FALL("BLOCK_CALCITE_FALL", 124, new String[0]), 
    BLOCK_CALCITE_HIT("BLOCK_CALCITE_HIT", 125, new String[0]), 
    BLOCK_CALCITE_PLACE("BLOCK_CALCITE_PLACE", 126, new String[0]), 
    BLOCK_CALCITE_STEP("BLOCK_CALCITE_STEP", 127, new String[0]), 
    BLOCK_CAMPFIRE_CRACKLE("BLOCK_CAMPFIRE_CRACKLE", 128, new String[0]), 
    BLOCK_CANDLE_AMBIENT("BLOCK_CANDLE_AMBIENT", 129, new String[0]), 
    BLOCK_CANDLE_BREAK("BLOCK_CANDLE_BREAK", 130, new String[0]), 
    BLOCK_CANDLE_EXTINGUISH("BLOCK_CANDLE_EXTINGUISH", 131, new String[0]), 
    BLOCK_CANDLE_FALL("BLOCK_CANDLE_FALL", 132, new String[0]), 
    BLOCK_CANDLE_HIT("BLOCK_CANDLE_HIT", 133, new String[0]), 
    BLOCK_CANDLE_PLACE("BLOCK_CANDLE_PLACE", 134, new String[0]), 
    BLOCK_CANDLE_STEP("BLOCK_CANDLE_STEP", 135, new String[0]), 
    BLOCK_CAVE_VINES_BREAK("BLOCK_CAVE_VINES_BREAK", 136, new String[0]), 
    BLOCK_CAVE_VINES_FALL("BLOCK_CAVE_VINES_FALL", 137, new String[0]), 
    BLOCK_CAVE_VINES_HIT("BLOCK_CAVE_VINES_HIT", 138, new String[0]), 
    BLOCK_CAVE_VINES_PICK_BERRIES("BLOCK_CAVE_VINES_PICK_BERRIES", 139, new String[0]), 
    BLOCK_CAVE_VINES_PLACE("BLOCK_CAVE_VINES_PLACE", 140, new String[0]), 
    BLOCK_CAVE_VINES_STEP("BLOCK_CAVE_VINES_STEP", 141, new String[0]), 
    BLOCK_CHAIN_BREAK("BLOCK_CHAIN_BREAK", 142, new String[0]), 
    BLOCK_CHAIN_FALL("BLOCK_CHAIN_FALL", 143, new String[0]), 
    BLOCK_CHAIN_HIT("BLOCK_CHAIN_HIT", 144, new String[0]), 
    BLOCK_CHAIN_PLACE("BLOCK_CHAIN_PLACE", 145, new String[0]), 
    BLOCK_CHAIN_STEP("BLOCK_CHAIN_STEP", 146, new String[0]), 
    BLOCK_CHERRY_LEAVES_BREAK("BLOCK_CHERRY_LEAVES_BREAK", 147, new String[0]), 
    BLOCK_CHERRY_LEAVES_FALL("BLOCK_CHERRY_LEAVES_FALL", 148, new String[0]), 
    BLOCK_CHERRY_LEAVES_HIT("BLOCK_CHERRY_LEAVES_HIT", 149, new String[0]), 
    BLOCK_CHERRY_LEAVES_PLACE("BLOCK_CHERRY_LEAVES_PLACE", 150, new String[0]), 
    BLOCK_CHERRY_LEAVES_STEP("BLOCK_CHERRY_LEAVES_STEP", 151, new String[0]), 
    BLOCK_CHERRY_SAPLING_BREAK("BLOCK_CHERRY_SAPLING_BREAK", 152, new String[0]), 
    BLOCK_CHERRY_SAPLING_FALL("BLOCK_CHERRY_SAPLING_FALL", 153, new String[0]), 
    BLOCK_CHERRY_SAPLING_HIT("BLOCK_CHERRY_SAPLING_HIT", 154, new String[0]), 
    BLOCK_CHERRY_SAPLING_PLACE("BLOCK_CHERRY_SAPLING_PLACE", 155, new String[0]), 
    BLOCK_CHERRY_SAPLING_STEP("BLOCK_CHERRY_SAPLING_STEP", 156, new String[0]), 
    BLOCK_CHERRY_WOOD_BREAK("BLOCK_CHERRY_WOOD_BREAK", 157, new String[0]), 
    BLOCK_CHERRY_WOOD_BUTTON_CLICK_OFF("BLOCK_CHERRY_WOOD_BUTTON_CLICK_OFF", 158, new String[0]), 
    BLOCK_CHERRY_WOOD_BUTTON_CLICK_ON("BLOCK_CHERRY_WOOD_BUTTON_CLICK_ON", 159, new String[0]), 
    BLOCK_CHERRY_WOOD_DOOR_CLOSE("BLOCK_CHERRY_WOOD_DOOR_CLOSE", 160, new String[0]), 
    BLOCK_CHERRY_WOOD_DOOR_OPEN("BLOCK_CHERRY_WOOD_DOOR_OPEN", 161, new String[0]), 
    BLOCK_CHERRY_WOOD_FALL("BLOCK_CHERRY_WOOD_FALL", 162, new String[0]), 
    BLOCK_CHERRY_WOOD_FENCE_GATE_CLOSE("BLOCK_CHERRY_WOOD_FENCE_GATE_CLOSE", 163, new String[0]), 
    BLOCK_CHERRY_WOOD_FENCE_GATE_OPEN("BLOCK_CHERRY_WOOD_FENCE_GATE_OPEN", 164, new String[0]), 
    BLOCK_CHERRY_WOOD_HANGING_SIGN_BREAK("BLOCK_CHERRY_WOOD_HANGING_SIGN_BREAK", 165, new String[0]), 
    BLOCK_CHERRY_WOOD_HANGING_SIGN_FALL("BLOCK_CHERRY_WOOD_HANGING_SIGN_FALL", 166, new String[0]), 
    BLOCK_CHERRY_WOOD_HANGING_SIGN_HIT("BLOCK_CHERRY_WOOD_HANGING_SIGN_HIT", 167, new String[0]), 
    BLOCK_CHERRY_WOOD_HANGING_SIGN_PLACE("BLOCK_CHERRY_WOOD_HANGING_SIGN_PLACE", 168, new String[0]), 
    BLOCK_CHERRY_WOOD_HANGING_SIGN_STEP("BLOCK_CHERRY_WOOD_HANGING_SIGN_STEP", 169, new String[0]), 
    BLOCK_CHERRY_WOOD_HIT("BLOCK_CHERRY_WOOD_HIT", 170, new String[0]), 
    BLOCK_CHERRY_WOOD_PLACE("BLOCK_CHERRY_WOOD_PLACE", 171, new String[0]), 
    BLOCK_CHERRY_WOOD_PRESSURE_PLATE_CLICK_OFF("BLOCK_CHERRY_WOOD_PRESSURE_PLATE_CLICK_OFF", 172, new String[0]), 
    BLOCK_CHERRY_WOOD_PRESSURE_PLATE_CLICK_ON("BLOCK_CHERRY_WOOD_PRESSURE_PLATE_CLICK_ON", 173, new String[0]), 
    BLOCK_CHERRY_WOOD_STEP("BLOCK_CHERRY_WOOD_STEP", 174, new String[0]), 
    BLOCK_CHERRY_WOOD_TRAPDOOR_CLOSE("BLOCK_CHERRY_WOOD_TRAPDOOR_CLOSE", 175, new String[0]), 
    BLOCK_CHERRY_WOOD_TRAPDOOR_OPEN("BLOCK_CHERRY_WOOD_TRAPDOOR_OPEN", 176, new String[0]), 
    BLOCK_CHEST_CLOSE("BLOCK_CHEST_CLOSE", 177, new String[] { "CHEST_CLOSE", "ENTITY_CHEST_CLOSE" }), 
    BLOCK_CHEST_LOCKED("BLOCK_CHEST_LOCKED", 178, new String[0]), 
    BLOCK_CHEST_OPEN("BLOCK_CHEST_OPEN", 179, new String[] { "CHEST_OPEN", "ENTITY_CHEST_OPEN" }), 
    BLOCK_CHISELED_BOOKSHELF_BREAK("BLOCK_CHISELED_BOOKSHELF_BREAK", 180, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_FALL("BLOCK_CHISELED_BOOKSHELF_FALL", 181, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_HIT("BLOCK_CHISELED_BOOKSHELF_HIT", 182, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_INSERT("BLOCK_CHISELED_BOOKSHELF_INSERT", 183, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_INSERT_ENCHANTED("BLOCK_CHISELED_BOOKSHELF_INSERT_ENCHANTED", 184, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_PICKUP("BLOCK_CHISELED_BOOKSHELF_PICKUP", 185, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_PICKUP_ENCHANTED("BLOCK_CHISELED_BOOKSHELF_PICKUP_ENCHANTED", 186, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_PLACE("BLOCK_CHISELED_BOOKSHELF_PLACE", 187, new String[0]), 
    BLOCK_CHISELED_BOOKSHELF_STEP("BLOCK_CHISELED_BOOKSHELF_STEP", 188, new String[0]), 
    BLOCK_CHORUS_FLOWER_DEATH("BLOCK_CHORUS_FLOWER_DEATH", 189, new String[0]), 
    BLOCK_CHORUS_FLOWER_GROW("BLOCK_CHORUS_FLOWER_GROW", 190, new String[0]), 
    BLOCK_COMPARATOR_CLICK("BLOCK_COMPARATOR_CLICK", 191, new String[0]), 
    BLOCK_COMPOSTER_EMPTY("BLOCK_COMPOSTER_EMPTY", 192, new String[0]), 
    BLOCK_COMPOSTER_FILL("BLOCK_COMPOSTER_FILL", 193, new String[0]), 
    BLOCK_COMPOSTER_FILL_SUCCESS("BLOCK_COMPOSTER_FILL_SUCCESS", 194, new String[0]), 
    BLOCK_COMPOSTER_READY("BLOCK_COMPOSTER_READY", 195, new String[0]), 
    BLOCK_CONDUIT_ACTIVATE("BLOCK_CONDUIT_ACTIVATE", 196, new String[0]), 
    BLOCK_CONDUIT_AMBIENT("BLOCK_CONDUIT_AMBIENT", 197, new String[0]), 
    BLOCK_CONDUIT_AMBIENT_SHORT("BLOCK_CONDUIT_AMBIENT_SHORT", 198, new String[0]), 
    BLOCK_CONDUIT_ATTACK_TARGET("BLOCK_CONDUIT_ATTACK_TARGET", 199, new String[0]), 
    BLOCK_CONDUIT_DEACTIVATE("BLOCK_CONDUIT_DEACTIVATE", 200, new String[0]), 
    BLOCK_COPPER_BREAK("BLOCK_COPPER_BREAK", 201, new String[0]), 
    BLOCK_COPPER_FALL("BLOCK_COPPER_FALL", 202, new String[0]), 
    BLOCK_COPPER_HIT("BLOCK_COPPER_HIT", 203, new String[0]), 
    BLOCK_COPPER_PLACE("BLOCK_COPPER_PLACE", 204, new String[0]), 
    BLOCK_COPPER_STEP("BLOCK_COPPER_STEP", 205, new String[0]), 
    BLOCK_CORAL_BLOCK_BREAK("BLOCK_CORAL_BLOCK_BREAK", 206, new String[0]), 
    BLOCK_CORAL_BLOCK_FALL("BLOCK_CORAL_BLOCK_FALL", 207, new String[0]), 
    BLOCK_CORAL_BLOCK_HIT("BLOCK_CORAL_BLOCK_HIT", 208, new String[0]), 
    BLOCK_CORAL_BLOCK_PLACE("BLOCK_CORAL_BLOCK_PLACE", 209, new String[0]), 
    BLOCK_CORAL_BLOCK_STEP("BLOCK_CORAL_BLOCK_STEP", 210, new String[0]), 
    BLOCK_CROP_BREAK("BLOCK_CROP_BREAK", 211, new String[0]), 
    BLOCK_DECORATED_POT_BREAK("BLOCK_DECORATED_POT_BREAK", 212, new String[0]), 
    BLOCK_DECORATED_POT_FALL("BLOCK_DECORATED_POT_FALL", 213, new String[0]), 
    BLOCK_DECORATED_POT_HIT("BLOCK_DECORATED_POT_HIT", 214, new String[0]), 
    BLOCK_DECORATED_POT_PLACE("BLOCK_DECORATED_POT_PLACE", 215, new String[0]), 
    BLOCK_DECORATED_POT_SHATTER("BLOCK_DECORATED_POT_SHATTER", 216, new String[0]), 
    BLOCK_DECORATED_POT_STEP("BLOCK_DECORATED_POT_STEP", 217, new String[0]), 
    BLOCK_DEEPSLATE_BREAK("BLOCK_DEEPSLATE_BREAK", 218, new String[0]), 
    BLOCK_DEEPSLATE_BRICKS_BREAK("BLOCK_DEEPSLATE_BRICKS_BREAK", 219, new String[0]), 
    BLOCK_DEEPSLATE_BRICKS_FALL("BLOCK_DEEPSLATE_BRICKS_FALL", 220, new String[0]), 
    BLOCK_DEEPSLATE_BRICKS_HIT("BLOCK_DEEPSLATE_BRICKS_HIT", 221, new String[0]), 
    BLOCK_DEEPSLATE_BRICKS_PLACE("BLOCK_DEEPSLATE_BRICKS_PLACE", 222, new String[0]), 
    BLOCK_DEEPSLATE_BRICKS_STEP("BLOCK_DEEPSLATE_BRICKS_STEP", 223, new String[0]), 
    BLOCK_DEEPSLATE_FALL("BLOCK_DEEPSLATE_FALL", 224, new String[0]), 
    BLOCK_DEEPSLATE_HIT("BLOCK_DEEPSLATE_HIT", 225, new String[0]), 
    BLOCK_DEEPSLATE_PLACE("BLOCK_DEEPSLATE_PLACE", 226, new String[0]), 
    BLOCK_DEEPSLATE_STEP("BLOCK_DEEPSLATE_STEP", 227, new String[0]), 
    BLOCK_DEEPSLATE_TILES_BREAK("BLOCK_DEEPSLATE_TILES_BREAK", 228, new String[0]), 
    BLOCK_DEEPSLATE_TILES_FALL("BLOCK_DEEPSLATE_TILES_FALL", 229, new String[0]), 
    BLOCK_DEEPSLATE_TILES_HIT("BLOCK_DEEPSLATE_TILES_HIT", 230, new String[0]), 
    BLOCK_DEEPSLATE_TILES_PLACE("BLOCK_DEEPSLATE_TILES_PLACE", 231, new String[0]), 
    BLOCK_DEEPSLATE_TILES_STEP("BLOCK_DEEPSLATE_TILES_STEP", 232, new String[0]), 
    BLOCK_DISPENSER_DISPENSE("BLOCK_DISPENSER_DISPENSE", 233, new String[0]), 
    BLOCK_DISPENSER_FAIL("BLOCK_DISPENSER_FAIL", 234, new String[0]), 
    BLOCK_DISPENSER_LAUNCH("BLOCK_DISPENSER_LAUNCH", 235, new String[0]), 
    BLOCK_DRIPSTONE_BLOCK_BREAK("BLOCK_DRIPSTONE_BLOCK_BREAK", 236, new String[0]), 
    BLOCK_DRIPSTONE_BLOCK_FALL("BLOCK_DRIPSTONE_BLOCK_FALL", 237, new String[0]), 
    BLOCK_DRIPSTONE_BLOCK_HIT("BLOCK_DRIPSTONE_BLOCK_HIT", 238, new String[0]), 
    BLOCK_DRIPSTONE_BLOCK_PLACE("BLOCK_DRIPSTONE_BLOCK_PLACE", 239, new String[0]), 
    BLOCK_DRIPSTONE_BLOCK_STEP("BLOCK_DRIPSTONE_BLOCK_STEP", 240, new String[0]), 
    BLOCK_ENCHANTMENT_TABLE_USE("BLOCK_ENCHANTMENT_TABLE_USE", 241, new String[0]), 
    BLOCK_ENDER_CHEST_CLOSE("BLOCK_ENDER_CHEST_CLOSE", 242, new String[0]), 
    BLOCK_ENDER_CHEST_OPEN("BLOCK_ENDER_CHEST_OPEN", 243, new String[0]), 
    BLOCK_END_GATEWAY_SPAWN("BLOCK_END_GATEWAY_SPAWN", 244, new String[0]), 
    BLOCK_END_PORTAL_FRAME_FILL("BLOCK_END_PORTAL_FRAME_FILL", 245, new String[0]), 
    BLOCK_END_PORTAL_SPAWN("BLOCK_END_PORTAL_SPAWN", 246, new String[0]), 
    BLOCK_FENCE_GATE_CLOSE("BLOCK_FENCE_GATE_CLOSE", 247, new String[0]), 
    BLOCK_FENCE_GATE_OPEN("BLOCK_FENCE_GATE_OPEN", 248, new String[0]), 
    BLOCK_FIRE_AMBIENT("BLOCK_FIRE_AMBIENT", 249, new String[] { "FIRE" }), 
    BLOCK_FIRE_EXTINGUISH("BLOCK_FIRE_EXTINGUISH", 250, new String[] { "FIZZ" }), 
    BLOCK_FLOWERING_AZALEA_BREAK("BLOCK_FLOWERING_AZALEA_BREAK", 251, new String[0]), 
    BLOCK_FLOWERING_AZALEA_FALL("BLOCK_FLOWERING_AZALEA_FALL", 252, new String[0]), 
    BLOCK_FLOWERING_AZALEA_HIT("BLOCK_FLOWERING_AZALEA_HIT", 253, new String[0]), 
    BLOCK_FLOWERING_AZALEA_PLACE("BLOCK_FLOWERING_AZALEA_PLACE", 254, new String[0]), 
    BLOCK_FLOWERING_AZALEA_STEP("BLOCK_FLOWERING_AZALEA_STEP", 255, new String[0]), 
    BLOCK_FROGLIGHT_BREAK("BLOCK_FROGLIGHT_BREAK", 256, new String[0]), 
    BLOCK_FROGLIGHT_FALL("BLOCK_FROGLIGHT_FALL", 257, new String[0]), 
    BLOCK_FROGLIGHT_HIT("BLOCK_FROGLIGHT_HIT", 258, new String[0]), 
    BLOCK_FROGLIGHT_PLACE("BLOCK_FROGLIGHT_PLACE", 259, new String[0]), 
    BLOCK_FROGLIGHT_STEP("BLOCK_FROGLIGHT_STEP", 260, new String[0]), 
    BLOCK_FROGSPAWN_BREAK("BLOCK_FROGSPAWN_BREAK", 261, new String[0]), 
    BLOCK_FROGSPAWN_FALL("BLOCK_FROGSPAWN_FALL", 262, new String[0]), 
    BLOCK_FROGSPAWN_HATCH("BLOCK_FROGSPAWN_HATCH", 263, new String[0]), 
    BLOCK_FROGSPAWN_HIT("BLOCK_FROGSPAWN_HIT", 264, new String[0]), 
    BLOCK_FROGSPAWN_PLACE("BLOCK_FROGSPAWN_PLACE", 265, new String[0]), 
    BLOCK_FROGSPAWN_STEP("BLOCK_FROGSPAWN_STEP", 266, new String[0]), 
    BLOCK_FUNGUS_BREAK("BLOCK_FUNGUS_BREAK", 267, new String[0]), 
    BLOCK_FUNGUS_FALL("BLOCK_FUNGUS_FALL", 268, new String[0]), 
    BLOCK_FUNGUS_HIT("BLOCK_FUNGUS_HIT", 269, new String[0]), 
    BLOCK_FUNGUS_PLACE("BLOCK_FUNGUS_PLACE", 270, new String[0]), 
    BLOCK_FUNGUS_STEP("BLOCK_FUNGUS_STEP", 271, new String[0]), 
    BLOCK_FURNACE_FIRE_CRACKLE("BLOCK_FURNACE_FIRE_CRACKLE", 272, new String[0]), 
    BLOCK_GILDED_BLACKSTONE_BREAK("BLOCK_GILDED_BLACKSTONE_BREAK", 273, new String[0]), 
    BLOCK_GILDED_BLACKSTONE_FALL("BLOCK_GILDED_BLACKSTONE_FALL", 274, new String[0]), 
    BLOCK_GILDED_BLACKSTONE_HIT("BLOCK_GILDED_BLACKSTONE_HIT", 275, new String[0]), 
    BLOCK_GILDED_BLACKSTONE_PLACE("BLOCK_GILDED_BLACKSTONE_PLACE", 276, new String[0]), 
    BLOCK_GILDED_BLACKSTONE_STEP("BLOCK_GILDED_BLACKSTONE_STEP", 277, new String[0]), 
    BLOCK_GLASS_BREAK("BLOCK_GLASS_BREAK", 278, new String[] { "GLASS" }), 
    BLOCK_GLASS_FALL("BLOCK_GLASS_FALL", 279, new String[0]), 
    BLOCK_GLASS_HIT("BLOCK_GLASS_HIT", 280, new String[0]), 
    BLOCK_GLASS_PLACE("BLOCK_GLASS_PLACE", 281, new String[0]), 
    BLOCK_GLASS_STEP("BLOCK_GLASS_STEP", 282, new String[0]), 
    BLOCK_GRASS_BREAK("BLOCK_GRASS_BREAK", 283, new String[] { "DIG_GRASS" }), 
    BLOCK_GRASS_FALL("BLOCK_GRASS_FALL", 284, new String[0]), 
    BLOCK_GRASS_HIT("BLOCK_GRASS_HIT", 285, new String[0]), 
    BLOCK_GRASS_PLACE("BLOCK_GRASS_PLACE", 286, new String[0]), 
    BLOCK_GRASS_STEP("BLOCK_GRASS_STEP", 287, new String[] { "STEP_GRASS" }), 
    BLOCK_GRAVEL_BREAK("BLOCK_GRAVEL_BREAK", 288, new String[] { "DIG_GRAVEL" }), 
    BLOCK_GRAVEL_FALL("BLOCK_GRAVEL_FALL", 289, new String[0]), 
    BLOCK_GRAVEL_HIT("BLOCK_GRAVEL_HIT", 290, new String[0]), 
    BLOCK_GRAVEL_PLACE("BLOCK_GRAVEL_PLACE", 291, new String[0]), 
    BLOCK_GRAVEL_STEP("BLOCK_GRAVEL_STEP", 292, new String[] { "STEP_GRAVEL" }), 
    BLOCK_GRINDSTONE_USE("BLOCK_GRINDSTONE_USE", 293, new String[0]), 
    BLOCK_GROWING_PLANT_CROP("BLOCK_GROWING_PLANT_CROP", 294, new String[0]), 
    BLOCK_HANGING_ROOTS_BREAK("BLOCK_HANGING_ROOTS_BREAK", 295, new String[0]), 
    BLOCK_HANGING_ROOTS_FALL("BLOCK_HANGING_ROOTS_FALL", 296, new String[0]), 
    BLOCK_HANGING_ROOTS_HIT("BLOCK_HANGING_ROOTS_HIT", 297, new String[0]), 
    BLOCK_HANGING_ROOTS_PLACE("BLOCK_HANGING_ROOTS_PLACE", 298, new String[0]), 
    BLOCK_HANGING_ROOTS_STEP("BLOCK_HANGING_ROOTS_STEP", 299, new String[0]), 
    BLOCK_HANGING_SIGN_BREAK("BLOCK_HANGING_SIGN_BREAK", 300, new String[0]), 
    BLOCK_HANGING_SIGN_FALL("BLOCK_HANGING_SIGN_FALL", 301, new String[0]), 
    BLOCK_HANGING_SIGN_HIT("BLOCK_HANGING_SIGN_HIT", 302, new String[0]), 
    BLOCK_HANGING_SIGN_PLACE("BLOCK_HANGING_SIGN_PLACE", 303, new String[0]), 
    BLOCK_HANGING_SIGN_STEP("BLOCK_HANGING_SIGN_STEP", 304, new String[0]), 
    BLOCK_HONEY_BLOCK_BREAK("BLOCK_HONEY_BLOCK_BREAK", 305, new String[0]), 
    BLOCK_HONEY_BLOCK_FALL("BLOCK_HONEY_BLOCK_FALL", 306, new String[0]), 
    BLOCK_HONEY_BLOCK_HIT("BLOCK_HONEY_BLOCK_HIT", 307, new String[0]), 
    BLOCK_HONEY_BLOCK_PLACE("BLOCK_HONEY_BLOCK_PLACE", 308, new String[0]), 
    BLOCK_HONEY_BLOCK_SLIDE("BLOCK_HONEY_BLOCK_SLIDE", 309, new String[0]), 
    BLOCK_HONEY_BLOCK_STEP("BLOCK_HONEY_BLOCK_STEP", 310, new String[0]), 
    BLOCK_IRON_DOOR_CLOSE("BLOCK_IRON_DOOR_CLOSE", 311, new String[0]), 
    BLOCK_IRON_DOOR_OPEN("BLOCK_IRON_DOOR_OPEN", 312, new String[0]), 
    BLOCK_IRON_TRAPDOOR_CLOSE("BLOCK_IRON_TRAPDOOR_CLOSE", 313, new String[0]), 
    BLOCK_IRON_TRAPDOOR_OPEN("BLOCK_IRON_TRAPDOOR_OPEN", 314, new String[0]), 
    BLOCK_LADDER_BREAK("BLOCK_LADDER_BREAK", 315, new String[0]), 
    BLOCK_LADDER_FALL("BLOCK_LADDER_FALL", 316, new String[0]), 
    BLOCK_LADDER_HIT("BLOCK_LADDER_HIT", 317, new String[0]), 
    BLOCK_LADDER_PLACE("BLOCK_LADDER_PLACE", 318, new String[0]), 
    BLOCK_LADDER_STEP("BLOCK_LADDER_STEP", 319, new String[] { "STEP_LADDER" }), 
    BLOCK_LANTERN_BREAK("BLOCK_LANTERN_BREAK", 320, new String[0]), 
    BLOCK_LANTERN_FALL("BLOCK_LANTERN_FALL", 321, new String[0]), 
    BLOCK_LANTERN_HIT("BLOCK_LANTERN_HIT", 322, new String[0]), 
    BLOCK_LANTERN_PLACE("BLOCK_LANTERN_PLACE", 323, new String[0]), 
    BLOCK_LANTERN_STEP("BLOCK_LANTERN_STEP", 324, new String[0]), 
    BLOCK_LARGE_AMETHYST_BUD_BREAK("BLOCK_LARGE_AMETHYST_BUD_BREAK", 325, new String[0]), 
    BLOCK_LARGE_AMETHYST_BUD_PLACE("BLOCK_LARGE_AMETHYST_BUD_PLACE", 326, new String[0]), 
    BLOCK_LAVA_AMBIENT("BLOCK_LAVA_AMBIENT", 327, new String[] { "LAVA" }), 
    BLOCK_LAVA_EXTINGUISH("BLOCK_LAVA_EXTINGUISH", 328, new String[0]), 
    BLOCK_LAVA_POP("BLOCK_LAVA_POP", 329, new String[] { "LAVA_POP" }), 
    BLOCK_LEVER_CLICK("BLOCK_LEVER_CLICK", 330, new String[0]), 
    BLOCK_LILY_PAD_PLACE("BLOCK_LILY_PAD_PLACE", 331, new String[] { "BLOCK_WATERLILY_PLACE" }), 
    BLOCK_LODESTONE_BREAK("BLOCK_LODESTONE_BREAK", 332, new String[0]), 
    BLOCK_LODESTONE_FALL("BLOCK_LODESTONE_FALL", 333, new String[0]), 
    BLOCK_LODESTONE_HIT("BLOCK_LODESTONE_HIT", 334, new String[0]), 
    BLOCK_LODESTONE_PLACE("BLOCK_LODESTONE_PLACE", 335, new String[0]), 
    BLOCK_LODESTONE_STEP("BLOCK_LODESTONE_STEP", 336, new String[0]), 
    BLOCK_MANGROVE_ROOTS_BREAK("BLOCK_MANGROVE_ROOTS_BREAK", 337, new String[0]), 
    BLOCK_MANGROVE_ROOTS_FALL("BLOCK_MANGROVE_ROOTS_FALL", 338, new String[0]), 
    BLOCK_MANGROVE_ROOTS_HIT("BLOCK_MANGROVE_ROOTS_HIT", 339, new String[0]), 
    BLOCK_MANGROVE_ROOTS_PLACE("BLOCK_MANGROVE_ROOTS_PLACE", 340, new String[0]), 
    BLOCK_MANGROVE_ROOTS_STEP("BLOCK_MANGROVE_ROOTS_STEP", 341, new String[0]), 
    BLOCK_MEDIUM_AMETHYST_BUD_BREAK("BLOCK_MEDIUM_AMETHYST_BUD_BREAK", 342, new String[0]), 
    BLOCK_MEDIUM_AMETHYST_BUD_PLACE("BLOCK_MEDIUM_AMETHYST_BUD_PLACE", 343, new String[0]), 
    BLOCK_METAL_BREAK("BLOCK_METAL_BREAK", 344, new String[0]), 
    BLOCK_METAL_FALL("BLOCK_METAL_FALL", 345, new String[0]), 
    BLOCK_METAL_HIT("BLOCK_METAL_HIT", 346, new String[0]), 
    BLOCK_METAL_PLACE("BLOCK_METAL_PLACE", 347, new String[0]), 
    BLOCK_METAL_PRESSURE_PLATE_CLICK_OFF("BLOCK_METAL_PRESSURE_PLATE_CLICK_OFF", 348, new String[] { "BLOCK_METAL_PRESSUREPLATE_CLICK_OFF" }), 
    BLOCK_METAL_PRESSURE_PLATE_CLICK_ON("BLOCK_METAL_PRESSURE_PLATE_CLICK_ON", 349, new String[] { "BLOCK_METAL_PRESSUREPLATE_CLICK_ON" }), 
    BLOCK_METAL_STEP("BLOCK_METAL_STEP", 350, new String[0]), 
    BLOCK_MOSS_BREAK("BLOCK_MOSS_BREAK", 351, new String[0]), 
    BLOCK_MOSS_CARPET_BREAK("BLOCK_MOSS_CARPET_BREAK", 352, new String[0]), 
    BLOCK_MOSS_CARPET_FALL("BLOCK_MOSS_CARPET_FALL", 353, new String[0]), 
    BLOCK_MOSS_CARPET_HIT("BLOCK_MOSS_CARPET_HIT", 354, new String[0]), 
    BLOCK_MOSS_CARPET_PLACE("BLOCK_MOSS_CARPET_PLACE", 355, new String[0]), 
    BLOCK_MOSS_CARPET_STEP("BLOCK_MOSS_CARPET_STEP", 356, new String[0]), 
    BLOCK_MOSS_FALL("BLOCK_MOSS_FALL", 357, new String[0]), 
    BLOCK_MOSS_HIT("BLOCK_MOSS_HIT", 358, new String[0]), 
    BLOCK_MOSS_PLACE("BLOCK_MOSS_PLACE", 359, new String[0]), 
    BLOCK_MOSS_STEP("BLOCK_MOSS_STEP", 360, new String[0]), 
    BLOCK_MUDDY_MANGROVE_ROOTS_BREAK("BLOCK_MUDDY_MANGROVE_ROOTS_BREAK", 361, new String[0]), 
    BLOCK_MUDDY_MANGROVE_ROOTS_FALL("BLOCK_MUDDY_MANGROVE_ROOTS_FALL", 362, new String[0]), 
    BLOCK_MUDDY_MANGROVE_ROOTS_HIT("BLOCK_MUDDY_MANGROVE_ROOTS_HIT", 363, new String[0]), 
    BLOCK_MUDDY_MANGROVE_ROOTS_PLACE("BLOCK_MUDDY_MANGROVE_ROOTS_PLACE", 364, new String[0]), 
    BLOCK_MUDDY_MANGROVE_ROOTS_STEP("BLOCK_MUDDY_MANGROVE_ROOTS_STEP", 365, new String[0]), 
    BLOCK_MUD_BREAK("BLOCK_MUD_BREAK", 366, new String[0]), 
    BLOCK_MUD_BRICKS_BREAK("BLOCK_MUD_BRICKS_BREAK", 367, new String[0]), 
    BLOCK_MUD_BRICKS_FALL("BLOCK_MUD_BRICKS_FALL", 368, new String[0]), 
    BLOCK_MUD_BRICKS_HIT("BLOCK_MUD_BRICKS_HIT", 369, new String[0]), 
    BLOCK_MUD_BRICKS_PLACE("BLOCK_MUD_BRICKS_PLACE", 370, new String[0]), 
    BLOCK_MUD_BRICKS_STEP("BLOCK_MUD_BRICKS_STEP", 371, new String[0]), 
    BLOCK_MUD_FALL("BLOCK_MUD_FALL", 372, new String[0]), 
    BLOCK_MUD_HIT("BLOCK_MUD_HIT", 373, new String[0]), 
    BLOCK_MUD_PLACE("BLOCK_MUD_PLACE", 374, new String[0]), 
    BLOCK_MUD_STEP("BLOCK_MUD_STEP", 375, new String[0]), 
    BLOCK_NETHERITE_BLOCK_BREAK("BLOCK_NETHERITE_BLOCK_BREAK", 376, new String[0]), 
    BLOCK_NETHERITE_BLOCK_FALL("BLOCK_NETHERITE_BLOCK_FALL", 377, new String[0]), 
    BLOCK_NETHERITE_BLOCK_HIT("BLOCK_NETHERITE_BLOCK_HIT", 378, new String[0]), 
    BLOCK_NETHERITE_BLOCK_PLACE("BLOCK_NETHERITE_BLOCK_PLACE", 379, new String[0]), 
    BLOCK_NETHERITE_BLOCK_STEP("BLOCK_NETHERITE_BLOCK_STEP", 380, new String[0]), 
    BLOCK_NETHERRACK_BREAK("BLOCK_NETHERRACK_BREAK", 381, new String[0]), 
    BLOCK_NETHERRACK_FALL("BLOCK_NETHERRACK_FALL", 382, new String[0]), 
    BLOCK_NETHERRACK_HIT("BLOCK_NETHERRACK_HIT", 383, new String[0]), 
    BLOCK_NETHERRACK_PLACE("BLOCK_NETHERRACK_PLACE", 384, new String[0]), 
    BLOCK_NETHERRACK_STEP("BLOCK_NETHERRACK_STEP", 385, new String[0]), 
    BLOCK_NETHER_BRICKS_BREAK("BLOCK_NETHER_BRICKS_BREAK", 386, new String[0]), 
    BLOCK_NETHER_BRICKS_FALL("BLOCK_NETHER_BRICKS_FALL", 387, new String[0]), 
    BLOCK_NETHER_BRICKS_HIT("BLOCK_NETHER_BRICKS_HIT", 388, new String[0]), 
    BLOCK_NETHER_BRICKS_PLACE("BLOCK_NETHER_BRICKS_PLACE", 389, new String[0]), 
    BLOCK_NETHER_BRICKS_STEP("BLOCK_NETHER_BRICKS_STEP", 390, new String[0]), 
    BLOCK_NETHER_GOLD_ORE_BREAK("BLOCK_NETHER_GOLD_ORE_BREAK", 391, new String[0]), 
    BLOCK_NETHER_GOLD_ORE_FALL("BLOCK_NETHER_GOLD_ORE_FALL", 392, new String[0]), 
    BLOCK_NETHER_GOLD_ORE_HIT("BLOCK_NETHER_GOLD_ORE_HIT", 393, new String[0]), 
    BLOCK_NETHER_GOLD_ORE_PLACE("BLOCK_NETHER_GOLD_ORE_PLACE", 394, new String[0]), 
    BLOCK_NETHER_GOLD_ORE_STEP("BLOCK_NETHER_GOLD_ORE_STEP", 395, new String[0]), 
    BLOCK_NETHER_ORE_BREAK("BLOCK_NETHER_ORE_BREAK", 396, new String[0]), 
    BLOCK_NETHER_ORE_FALL("BLOCK_NETHER_ORE_FALL", 397, new String[0]), 
    BLOCK_NETHER_ORE_HIT("BLOCK_NETHER_ORE_HIT", 398, new String[0]), 
    BLOCK_NETHER_ORE_PLACE("BLOCK_NETHER_ORE_PLACE", 399, new String[0]), 
    BLOCK_NETHER_ORE_STEP("BLOCK_NETHER_ORE_STEP", 400, new String[0]), 
    BLOCK_NETHER_SPROUTS_BREAK("BLOCK_NETHER_SPROUTS_BREAK", 401, new String[0]), 
    BLOCK_NETHER_SPROUTS_FALL("BLOCK_NETHER_SPROUTS_FALL", 402, new String[0]), 
    BLOCK_NETHER_SPROUTS_HIT("BLOCK_NETHER_SPROUTS_HIT", 403, new String[0]), 
    BLOCK_NETHER_SPROUTS_PLACE("BLOCK_NETHER_SPROUTS_PLACE", 404, new String[0]), 
    BLOCK_NETHER_SPROUTS_STEP("BLOCK_NETHER_SPROUTS_STEP", 405, new String[0]), 
    BLOCK_NETHER_WART_BREAK("BLOCK_NETHER_WART_BREAK", 406, new String[0]), 
    BLOCK_NETHER_WOOD_BREAK("BLOCK_NETHER_WOOD_BREAK", 407, new String[0]), 
    BLOCK_NETHER_WOOD_BUTTON_CLICK_OFF("BLOCK_NETHER_WOOD_BUTTON_CLICK_OFF", 408, new String[0]), 
    BLOCK_NETHER_WOOD_BUTTON_CLICK_ON("BLOCK_NETHER_WOOD_BUTTON_CLICK_ON", 409, new String[0]), 
    BLOCK_NETHER_WOOD_DOOR_CLOSE("BLOCK_NETHER_WOOD_DOOR_CLOSE", 410, new String[0]), 
    BLOCK_NETHER_WOOD_DOOR_OPEN("BLOCK_NETHER_WOOD_DOOR_OPEN", 411, new String[0]), 
    BLOCK_NETHER_WOOD_FALL("BLOCK_NETHER_WOOD_FALL", 412, new String[0]), 
    BLOCK_NETHER_WOOD_FENCE_GATE_CLOSE("BLOCK_NETHER_WOOD_FENCE_GATE_CLOSE", 413, new String[0]), 
    BLOCK_NETHER_WOOD_FENCE_GATE_OPEN("BLOCK_NETHER_WOOD_FENCE_GATE_OPEN", 414, new String[0]), 
    BLOCK_NETHER_WOOD_HANGING_SIGN_BREAK("BLOCK_NETHER_WOOD_HANGING_SIGN_BREAK", 415, new String[0]), 
    BLOCK_NETHER_WOOD_HANGING_SIGN_FALL("BLOCK_NETHER_WOOD_HANGING_SIGN_FALL", 416, new String[0]), 
    BLOCK_NETHER_WOOD_HANGING_SIGN_HIT("BLOCK_NETHER_WOOD_HANGING_SIGN_HIT", 417, new String[0]), 
    BLOCK_NETHER_WOOD_HANGING_SIGN_PLACE("BLOCK_NETHER_WOOD_HANGING_SIGN_PLACE", 418, new String[0]), 
    BLOCK_NETHER_WOOD_HANGING_SIGN_STEP("BLOCK_NETHER_WOOD_HANGING_SIGN_STEP", 419, new String[0]), 
    BLOCK_NETHER_WOOD_HIT("BLOCK_NETHER_WOOD_HIT", 420, new String[0]), 
    BLOCK_NETHER_WOOD_PLACE("BLOCK_NETHER_WOOD_PLACE", 421, new String[0]), 
    BLOCK_NETHER_WOOD_PRESSURE_PLATE_CLICK_OFF("BLOCK_NETHER_WOOD_PRESSURE_PLATE_CLICK_OFF", 422, new String[0]), 
    BLOCK_NETHER_WOOD_PRESSURE_PLATE_CLICK_ON("BLOCK_NETHER_WOOD_PRESSURE_PLATE_CLICK_ON", 423, new String[0]), 
    BLOCK_NETHER_WOOD_STEP("BLOCK_NETHER_WOOD_STEP", 424, new String[0]), 
    BLOCK_NETHER_WOOD_TRAPDOOR_CLOSE("BLOCK_NETHER_WOOD_TRAPDOOR_CLOSE", 425, new String[0]), 
    BLOCK_NETHER_WOOD_TRAPDOOR_OPEN("BLOCK_NETHER_WOOD_TRAPDOOR_OPEN", 426, new String[0]), 
    BLOCK_NOTE_BLOCK_BANJO("BLOCK_NOTE_BLOCK_BANJO", 427, new String[0]), 
    BLOCK_NOTE_BLOCK_BASEDRUM("BLOCK_NOTE_BLOCK_BASEDRUM", 428, new String[] { "NOTE_BASS_DRUM", "BLOCK_NOTE_BASEDRUM" }), 
    BLOCK_NOTE_BLOCK_BASS("BLOCK_NOTE_BLOCK_BASS", 429, new String[] { "NOTE_BASS", "BLOCK_NOTE_BASS" }), 
    BLOCK_NOTE_BLOCK_BELL("BLOCK_NOTE_BLOCK_BELL", 430, new String[] { "BLOCK_NOTE_BELL" }), 
    BLOCK_NOTE_BLOCK_BIT("BLOCK_NOTE_BLOCK_BIT", 431, new String[0]), 
    BLOCK_NOTE_BLOCK_CHIME("BLOCK_NOTE_BLOCK_CHIME", 432, new String[] { "BLOCK_NOTE_CHIME" }), 
    BLOCK_NOTE_BLOCK_COW_BELL("BLOCK_NOTE_BLOCK_COW_BELL", 433, new String[0]), 
    BLOCK_NOTE_BLOCK_DIDGERIDOO("BLOCK_NOTE_BLOCK_DIDGERIDOO", 434, new String[0]), 
    BLOCK_NOTE_BLOCK_FLUTE("BLOCK_NOTE_BLOCK_FLUTE", 435, new String[] { "BLOCK_NOTE_FLUTE" }), 
    BLOCK_NOTE_BLOCK_GUITAR("BLOCK_NOTE_BLOCK_GUITAR", 436, new String[] { "NOTE_BASS_GUITAR", "BLOCK_NOTE_GUITAR" }), 
    BLOCK_NOTE_BLOCK_HARP("BLOCK_NOTE_BLOCK_HARP", 437, new String[] { "NOTE_PIANO", "BLOCK_NOTE_HARP" }), 
    BLOCK_NOTE_BLOCK_HAT("BLOCK_NOTE_BLOCK_HAT", 438, new String[] { "NOTE_STICKS", "BLOCK_NOTE_HAT" }), 
    BLOCK_NOTE_BLOCK_IMITATE_CREEPER("BLOCK_NOTE_BLOCK_IMITATE_CREEPER", 439, new String[0]), 
    BLOCK_NOTE_BLOCK_IMITATE_ENDER_DRAGON("BLOCK_NOTE_BLOCK_IMITATE_ENDER_DRAGON", 440, new String[0]), 
    BLOCK_NOTE_BLOCK_IMITATE_PIGLIN("BLOCK_NOTE_BLOCK_IMITATE_PIGLIN", 441, new String[0]), 
    BLOCK_NOTE_BLOCK_IMITATE_SKELETON("BLOCK_NOTE_BLOCK_IMITATE_SKELETON", 442, new String[0]), 
    BLOCK_NOTE_BLOCK_IMITATE_WITHER_SKELETON("BLOCK_NOTE_BLOCK_IMITATE_WITHER_SKELETON", 443, new String[0]), 
    BLOCK_NOTE_BLOCK_IMITATE_ZOMBIE("BLOCK_NOTE_BLOCK_IMITATE_ZOMBIE", 444, new String[0]), 
    BLOCK_NOTE_BLOCK_IRON_XYLOPHONE("BLOCK_NOTE_BLOCK_IRON_XYLOPHONE", 445, new String[0]), 
    BLOCK_NOTE_BLOCK_PLING("BLOCK_NOTE_BLOCK_PLING", 446, new String[] { "NOTE_PLING", "BLOCK_NOTE_PLING" }), 
    BLOCK_NOTE_BLOCK_SNARE("BLOCK_NOTE_BLOCK_SNARE", 447, new String[] { "NOTE_SNARE_DRUM", "BLOCK_NOTE_SNARE" }), 
    BLOCK_NOTE_BLOCK_XYLOPHONE("BLOCK_NOTE_BLOCK_XYLOPHONE", 448, new String[] { "BLOCK_NOTE_XYLOPHONE" }), 
    BLOCK_NYLIUM_BREAK("BLOCK_NYLIUM_BREAK", 449, new String[0]), 
    BLOCK_NYLIUM_FALL("BLOCK_NYLIUM_FALL", 450, new String[0]), 
    BLOCK_NYLIUM_HIT("BLOCK_NYLIUM_HIT", 451, new String[0]), 
    BLOCK_NYLIUM_PLACE("BLOCK_NYLIUM_PLACE", 452, new String[0]), 
    BLOCK_NYLIUM_STEP("BLOCK_NYLIUM_STEP", 453, new String[0]), 
    BLOCK_PACKED_MUD_BREAK("BLOCK_PACKED_MUD_BREAK", 454, new String[0]), 
    BLOCK_PACKED_MUD_FALL("BLOCK_PACKED_MUD_FALL", 455, new String[0]), 
    BLOCK_PACKED_MUD_HIT("BLOCK_PACKED_MUD_HIT", 456, new String[0]), 
    BLOCK_PACKED_MUD_PLACE("BLOCK_PACKED_MUD_PLACE", 457, new String[0]), 
    BLOCK_PACKED_MUD_STEP("BLOCK_PACKED_MUD_STEP", 458, new String[0]), 
    BLOCK_PINK_PETALS_BREAK("BLOCK_PINK_PETALS_BREAK", 459, new String[0]), 
    BLOCK_PINK_PETALS_FALL("BLOCK_PINK_PETALS_FALL", 460, new String[0]), 
    BLOCK_PINK_PETALS_HIT("BLOCK_PINK_PETALS_HIT", 461, new String[0]), 
    BLOCK_PINK_PETALS_PLACE("BLOCK_PINK_PETALS_PLACE", 462, new String[0]), 
    BLOCK_PINK_PETALS_STEP("BLOCK_PINK_PETALS_STEP", 463, new String[0]), 
    BLOCK_PISTON_CONTRACT("BLOCK_PISTON_CONTRACT", 464, new String[] { "PISTON_RETRACT" }), 
    BLOCK_PISTON_EXTEND("BLOCK_PISTON_EXTEND", 465, new String[] { "PISTON_EXTEND" }), 
    BLOCK_POINTED_DRIPSTONE_BREAK("BLOCK_POINTED_DRIPSTONE_BREAK", 466, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_DRIP_LAVA("BLOCK_POINTED_DRIPSTONE_DRIP_LAVA", 467, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_DRIP_LAVA_INTO_CAULDRON("BLOCK_POINTED_DRIPSTONE_DRIP_LAVA_INTO_CAULDRON", 468, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_DRIP_WATER("BLOCK_POINTED_DRIPSTONE_DRIP_WATER", 469, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_DRIP_WATER_INTO_CAULDRON("BLOCK_POINTED_DRIPSTONE_DRIP_WATER_INTO_CAULDRON", 470, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_FALL("BLOCK_POINTED_DRIPSTONE_FALL", 471, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_HIT("BLOCK_POINTED_DRIPSTONE_HIT", 472, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_LAND("BLOCK_POINTED_DRIPSTONE_LAND", 473, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_PLACE("BLOCK_POINTED_DRIPSTONE_PLACE", 474, new String[0]), 
    BLOCK_POINTED_DRIPSTONE_STEP("BLOCK_POINTED_DRIPSTONE_STEP", 475, new String[0]), 
    BLOCK_POLISHED_DEEPSLATE_BREAK("BLOCK_POLISHED_DEEPSLATE_BREAK", 476, new String[0]), 
    BLOCK_POLISHED_DEEPSLATE_FALL("BLOCK_POLISHED_DEEPSLATE_FALL", 477, new String[0]), 
    BLOCK_POLISHED_DEEPSLATE_HIT("BLOCK_POLISHED_DEEPSLATE_HIT", 478, new String[0]), 
    BLOCK_POLISHED_DEEPSLATE_PLACE("BLOCK_POLISHED_DEEPSLATE_PLACE", 479, new String[0]), 
    BLOCK_POLISHED_DEEPSLATE_STEP("BLOCK_POLISHED_DEEPSLATE_STEP", 480, new String[0]), 
    BLOCK_PORTAL_AMBIENT("BLOCK_PORTAL_AMBIENT", 481, new String[] { "PORTAL" }), 
    BLOCK_PORTAL_TRAVEL("BLOCK_PORTAL_TRAVEL", 482, new String[] { "PORTAL_TRAVEL" }), 
    BLOCK_PORTAL_TRIGGER("BLOCK_PORTAL_TRIGGER", 483, new String[] { "PORTAL_TRIGGER" }), 
    BLOCK_POWDER_SNOW_BREAK("BLOCK_POWDER_SNOW_BREAK", 484, new String[0]), 
    BLOCK_POWDER_SNOW_FALL("BLOCK_POWDER_SNOW_FALL", 485, new String[0]), 
    BLOCK_POWDER_SNOW_HIT("BLOCK_POWDER_SNOW_HIT", 486, new String[0]), 
    BLOCK_POWDER_SNOW_PLACE("BLOCK_POWDER_SNOW_PLACE", 487, new String[0]), 
    BLOCK_POWDER_SNOW_STEP("BLOCK_POWDER_SNOW_STEP", 488, new String[0]), 
    BLOCK_PUMPKIN_CARVE("BLOCK_PUMPKIN_CARVE", 489, new String[0]), 
    BLOCK_REDSTONE_TORCH_BURNOUT("BLOCK_REDSTONE_TORCH_BURNOUT", 490, new String[0]), 
    BLOCK_RESPAWN_ANCHOR_AMBIENT("BLOCK_RESPAWN_ANCHOR_AMBIENT", 491, new String[0]), 
    BLOCK_RESPAWN_ANCHOR_CHARGE("BLOCK_RESPAWN_ANCHOR_CHARGE", 492, new String[0]), 
    BLOCK_RESPAWN_ANCHOR_DEPLETE("BLOCK_RESPAWN_ANCHOR_DEPLETE", 493, new String[0]), 
    BLOCK_RESPAWN_ANCHOR_SET_SPAWN("BLOCK_RESPAWN_ANCHOR_SET_SPAWN", 494, new String[0]), 
    BLOCK_ROOTED_DIRT_BREAK("BLOCK_ROOTED_DIRT_BREAK", 495, new String[0]), 
    BLOCK_ROOTED_DIRT_FALL("BLOCK_ROOTED_DIRT_FALL", 496, new String[0]), 
    BLOCK_ROOTED_DIRT_HIT("BLOCK_ROOTED_DIRT_HIT", 497, new String[0]), 
    BLOCK_ROOTED_DIRT_PLACE("BLOCK_ROOTED_DIRT_PLACE", 498, new String[0]), 
    BLOCK_ROOTED_DIRT_STEP("BLOCK_ROOTED_DIRT_STEP", 499, new String[0]), 
    BLOCK_ROOTS_BREAK("BLOCK_ROOTS_BREAK", 500, new String[0]), 
    BLOCK_ROOTS_FALL("BLOCK_ROOTS_FALL", 501, new String[0]), 
    BLOCK_ROOTS_HIT("BLOCK_ROOTS_HIT", 502, new String[0]), 
    BLOCK_ROOTS_PLACE("BLOCK_ROOTS_PLACE", 503, new String[0]), 
    BLOCK_ROOTS_STEP("BLOCK_ROOTS_STEP", 504, new String[0]), 
    BLOCK_SAND_BREAK("BLOCK_SAND_BREAK", 505, new String[] { "DIG_SAND" }), 
    BLOCK_SAND_FALL("BLOCK_SAND_FALL", 506, new String[0]), 
    BLOCK_SAND_HIT("BLOCK_SAND_HIT", 507, new String[0]), 
    BLOCK_SAND_PLACE("BLOCK_SAND_PLACE", 508, new String[0]), 
    BLOCK_SAND_STEP("BLOCK_SAND_STEP", 509, new String[] { "STEP_SAND" }), 
    BLOCK_SCAFFOLDING_BREAK("BLOCK_SCAFFOLDING_BREAK", 510, new String[0]), 
    BLOCK_SCAFFOLDING_FALL("BLOCK_SCAFFOLDING_FALL", 511, new String[0]), 
    BLOCK_SCAFFOLDING_HIT("BLOCK_SCAFFOLDING_HIT", 512, new String[0]), 
    BLOCK_SCAFFOLDING_PLACE("BLOCK_SCAFFOLDING_PLACE", 513, new String[0]), 
    BLOCK_SCAFFOLDING_STEP("BLOCK_SCAFFOLDING_STEP", 514, new String[0]), 
    BLOCK_SCULK_BREAK("BLOCK_SCULK_BREAK", 515, new String[0]), 
    BLOCK_SCULK_CATALYST_BLOOM("BLOCK_SCULK_CATALYST_BLOOM", 516, new String[0]), 
    BLOCK_SCULK_CATALYST_BREAK("BLOCK_SCULK_CATALYST_BREAK", 517, new String[0]), 
    BLOCK_SCULK_CATALYST_FALL("BLOCK_SCULK_CATALYST_FALL", 518, new String[0]), 
    BLOCK_SCULK_CATALYST_HIT("BLOCK_SCULK_CATALYST_HIT", 519, new String[0]), 
    BLOCK_SCULK_CATALYST_PLACE("BLOCK_SCULK_CATALYST_PLACE", 520, new String[0]), 
    BLOCK_SCULK_CATALYST_STEP("BLOCK_SCULK_CATALYST_STEP", 521, new String[0]), 
    BLOCK_SCULK_CHARGE("BLOCK_SCULK_CHARGE", 522, new String[0]), 
    BLOCK_SCULK_FALL("BLOCK_SCULK_FALL", 523, new String[0]), 
    BLOCK_SCULK_HIT("BLOCK_SCULK_HIT", 524, new String[0]), 
    BLOCK_SCULK_PLACE("BLOCK_SCULK_PLACE", 525, new String[0]), 
    BLOCK_SCULK_SENSOR_BREAK("BLOCK_SCULK_SENSOR_BREAK", 526, new String[0]), 
    BLOCK_SCULK_SENSOR_CLICKING("BLOCK_SCULK_SENSOR_CLICKING", 527, new String[0]), 
    BLOCK_SCULK_SENSOR_CLICKING_STOP("BLOCK_SCULK_SENSOR_CLICKING_STOP", 528, new String[0]), 
    BLOCK_SCULK_SENSOR_FALL("BLOCK_SCULK_SENSOR_FALL", 529, new String[0]), 
    BLOCK_SCULK_SENSOR_HIT("BLOCK_SCULK_SENSOR_HIT", 530, new String[0]), 
    BLOCK_SCULK_SENSOR_PLACE("BLOCK_SCULK_SENSOR_PLACE", 531, new String[0]), 
    BLOCK_SCULK_SENSOR_STEP("BLOCK_SCULK_SENSOR_STEP", 532, new String[0]), 
    BLOCK_SCULK_SHRIEKER_BREAK("BLOCK_SCULK_SHRIEKER_BREAK", 533, new String[0]), 
    BLOCK_SCULK_SHRIEKER_FALL("BLOCK_SCULK_SHRIEKER_FALL", 534, new String[0]), 
    BLOCK_SCULK_SHRIEKER_HIT("BLOCK_SCULK_SHRIEKER_HIT", 535, new String[0]), 
    BLOCK_SCULK_SHRIEKER_PLACE("BLOCK_SCULK_SHRIEKER_PLACE", 536, new String[0]), 
    BLOCK_SCULK_SHRIEKER_SHRIEK("BLOCK_SCULK_SHRIEKER_SHRIEK", 537, new String[0]), 
    BLOCK_SCULK_SHRIEKER_STEP("BLOCK_SCULK_SHRIEKER_STEP", 538, new String[0]), 
    BLOCK_SCULK_SPREAD("BLOCK_SCULK_SPREAD", 539, new String[0]), 
    BLOCK_SCULK_STEP("BLOCK_SCULK_STEP", 540, new String[0]), 
    BLOCK_SCULK_VEIN_BREAK("BLOCK_SCULK_VEIN_BREAK", 541, new String[0]), 
    BLOCK_SCULK_VEIN_FALL("BLOCK_SCULK_VEIN_FALL", 542, new String[0]), 
    BLOCK_SCULK_VEIN_HIT("BLOCK_SCULK_VEIN_HIT", 543, new String[0]), 
    BLOCK_SCULK_VEIN_PLACE("BLOCK_SCULK_VEIN_PLACE", 544, new String[0]), 
    BLOCK_SCULK_VEIN_STEP("BLOCK_SCULK_VEIN_STEP", 545, new String[0]), 
    BLOCK_SHROOMLIGHT_BREAK("BLOCK_SHROOMLIGHT_BREAK", 546, new String[0]), 
    BLOCK_SHROOMLIGHT_FALL("BLOCK_SHROOMLIGHT_FALL", 547, new String[0]), 
    BLOCK_SHROOMLIGHT_HIT("BLOCK_SHROOMLIGHT_HIT", 548, new String[0]), 
    BLOCK_SHROOMLIGHT_PLACE("BLOCK_SHROOMLIGHT_PLACE", 549, new String[0]), 
    BLOCK_SHROOMLIGHT_STEP("BLOCK_SHROOMLIGHT_STEP", 550, new String[0]), 
    BLOCK_SHULKER_BOX_CLOSE("BLOCK_SHULKER_BOX_CLOSE", 551, new String[0]), 
    BLOCK_SHULKER_BOX_OPEN("BLOCK_SHULKER_BOX_OPEN", 552, new String[0]), 
    BLOCK_SIGN_WAXED_INTERACT_FAIL("BLOCK_SIGN_WAXED_INTERACT_FAIL", 553, new String[0]), 
    BLOCK_SLIME_BLOCK_BREAK("BLOCK_SLIME_BLOCK_BREAK", 554, new String[] { "BLOCK_SLIME_BREAK" }), 
    BLOCK_SLIME_BLOCK_FALL("BLOCK_SLIME_BLOCK_FALL", 555, new String[] { "BLOCK_SLIME_FALL" }), 
    BLOCK_SLIME_BLOCK_HIT("BLOCK_SLIME_BLOCK_HIT", 556, new String[] { "BLOCK_SLIME_HIT" }), 
    BLOCK_SLIME_BLOCK_PLACE("BLOCK_SLIME_BLOCK_PLACE", 557, new String[] { "BLOCK_SLIME_PLACE" }), 
    BLOCK_SLIME_BLOCK_STEP("BLOCK_SLIME_BLOCK_STEP", 558, new String[] { "BLOCK_SLIME_STEP" }), 
    BLOCK_SMALL_AMETHYST_BUD_BREAK("BLOCK_SMALL_AMETHYST_BUD_BREAK", 559, new String[0]), 
    BLOCK_SMALL_AMETHYST_BUD_PLACE("BLOCK_SMALL_AMETHYST_BUD_PLACE", 560, new String[0]), 
    BLOCK_SMALL_DRIPLEAF_BREAK("BLOCK_SMALL_DRIPLEAF_BREAK", 561, new String[0]), 
    BLOCK_SMALL_DRIPLEAF_FALL("BLOCK_SMALL_DRIPLEAF_FALL", 562, new String[0]), 
    BLOCK_SMALL_DRIPLEAF_HIT("BLOCK_SMALL_DRIPLEAF_HIT", 563, new String[0]), 
    BLOCK_SMALL_DRIPLEAF_PLACE("BLOCK_SMALL_DRIPLEAF_PLACE", 564, new String[0]), 
    BLOCK_SMALL_DRIPLEAF_STEP("BLOCK_SMALL_DRIPLEAF_STEP", 565, new String[0]), 
    BLOCK_SMITHING_TABLE_USE("BLOCK_SMITHING_TABLE_USE", 566, new String[0]), 
    BLOCK_SMOKER_SMOKE("BLOCK_SMOKER_SMOKE", 567, new String[0]), 
    BLOCK_SNIFFER_EGG_CRACK("BLOCK_SNIFFER_EGG_CRACK", 568, new String[0]), 
    BLOCK_SNIFFER_EGG_HATCH("BLOCK_SNIFFER_EGG_HATCH", 569, new String[0]), 
    BLOCK_SNIFFER_EGG_PLOP("BLOCK_SNIFFER_EGG_PLOP", 570, new String[0]), 
    BLOCK_SNOW_BREAK("BLOCK_SNOW_BREAK", 571, new String[] { "DIG_SNOW" }), 
    BLOCK_SNOW_FALL("BLOCK_SNOW_FALL", 572, new String[0]), 
    BLOCK_SNOW_HIT("BLOCK_SNOW_HIT", 573, new String[0]), 
    BLOCK_SNOW_PLACE("BLOCK_SNOW_PLACE", 574, new String[0]), 
    BLOCK_SNOW_STEP("BLOCK_SNOW_STEP", 575, new String[] { "STEP_SNOW" }), 
    BLOCK_SOUL_SAND_BREAK("BLOCK_SOUL_SAND_BREAK", 576, new String[0]), 
    BLOCK_SOUL_SAND_FALL("BLOCK_SOUL_SAND_FALL", 577, new String[0]), 
    BLOCK_SOUL_SAND_HIT("BLOCK_SOUL_SAND_HIT", 578, new String[0]), 
    BLOCK_SOUL_SAND_PLACE("BLOCK_SOUL_SAND_PLACE", 579, new String[0]), 
    BLOCK_SOUL_SAND_STEP("BLOCK_SOUL_SAND_STEP", 580, new String[0]), 
    BLOCK_SOUL_SOIL_BREAK("BLOCK_SOUL_SOIL_BREAK", 581, new String[0]), 
    BLOCK_SOUL_SOIL_FALL("BLOCK_SOUL_SOIL_FALL", 582, new String[0]), 
    BLOCK_SOUL_SOIL_HIT("BLOCK_SOUL_SOIL_HIT", 583, new String[0]), 
    BLOCK_SOUL_SOIL_PLACE("BLOCK_SOUL_SOIL_PLACE", 584, new String[0]), 
    BLOCK_SOUL_SOIL_STEP("BLOCK_SOUL_SOIL_STEP", 585, new String[0]), 
    BLOCK_SPORE_BLOSSOM_BREAK("BLOCK_SPORE_BLOSSOM_BREAK", 586, new String[0]), 
    BLOCK_SPORE_BLOSSOM_FALL("BLOCK_SPORE_BLOSSOM_FALL", 587, new String[0]), 
    BLOCK_SPORE_BLOSSOM_HIT("BLOCK_SPORE_BLOSSOM_HIT", 588, new String[0]), 
    BLOCK_SPORE_BLOSSOM_PLACE("BLOCK_SPORE_BLOSSOM_PLACE", 589, new String[0]), 
    BLOCK_SPORE_BLOSSOM_STEP("BLOCK_SPORE_BLOSSOM_STEP", 590, new String[0]), 
    BLOCK_STEM_BREAK("BLOCK_STEM_BREAK", 591, new String[0]), 
    BLOCK_STEM_FALL("BLOCK_STEM_FALL", 592, new String[0]), 
    BLOCK_STEM_HIT("BLOCK_STEM_HIT", 593, new String[0]), 
    BLOCK_STEM_PLACE("BLOCK_STEM_PLACE", 594, new String[0]), 
    BLOCK_STEM_STEP("BLOCK_STEM_STEP", 595, new String[0]), 
    BLOCK_STONE_BREAK("BLOCK_STONE_BREAK", 596, new String[] { "DIG_STONE" }), 
    BLOCK_STONE_BUTTON_CLICK_OFF("BLOCK_STONE_BUTTON_CLICK_OFF", 597, new String[0]), 
    BLOCK_STONE_BUTTON_CLICK_ON("BLOCK_STONE_BUTTON_CLICK_ON", 598, new String[0]), 
    BLOCK_STONE_FALL("BLOCK_STONE_FALL", 599, new String[0]), 
    BLOCK_STONE_HIT("BLOCK_STONE_HIT", 600, new String[0]), 
    BLOCK_STONE_PLACE("BLOCK_STONE_PLACE", 601, new String[0]), 
    BLOCK_STONE_PRESSURE_PLATE_CLICK_OFF("BLOCK_STONE_PRESSURE_PLATE_CLICK_OFF", 602, new String[] { "BLOCK_STONE_PRESSUREPLATE_CLICK_OFF" }), 
    BLOCK_STONE_PRESSURE_PLATE_CLICK_ON("BLOCK_STONE_PRESSURE_PLATE_CLICK_ON", 603, new String[] { "BLOCK_STONE_PRESSUREPLATE_CLICK_ON" }), 
    BLOCK_STONE_STEP("BLOCK_STONE_STEP", 604, new String[] { "STEP_STONE" }), 
    BLOCK_SUSPICIOUS_GRAVEL_BREAK("BLOCK_SUSPICIOUS_GRAVEL_BREAK", 605, new String[0]), 
    BLOCK_SUSPICIOUS_GRAVEL_FALL("BLOCK_SUSPICIOUS_GRAVEL_FALL", 606, new String[0]), 
    BLOCK_SUSPICIOUS_GRAVEL_HIT("BLOCK_SUSPICIOUS_GRAVEL_HIT", 607, new String[0]), 
    BLOCK_SUSPICIOUS_GRAVEL_PLACE("BLOCK_SUSPICIOUS_GRAVEL_PLACE", 608, new String[0]), 
    BLOCK_SUSPICIOUS_GRAVEL_STEP("BLOCK_SUSPICIOUS_GRAVEL_STEP", 609, new String[0]), 
    BLOCK_SUSPICIOUS_SAND_BREAK("BLOCK_SUSPICIOUS_SAND_BREAK", 610, new String[0]), 
    BLOCK_SUSPICIOUS_SAND_FALL("BLOCK_SUSPICIOUS_SAND_FALL", 611, new String[0]), 
    BLOCK_SUSPICIOUS_SAND_HIT("BLOCK_SUSPICIOUS_SAND_HIT", 612, new String[0]), 
    BLOCK_SUSPICIOUS_SAND_PLACE("BLOCK_SUSPICIOUS_SAND_PLACE", 613, new String[0]), 
    BLOCK_SUSPICIOUS_SAND_STEP("BLOCK_SUSPICIOUS_SAND_STEP", 614, new String[0]), 
    BLOCK_SWEET_BERRY_BUSH_BREAK("BLOCK_SWEET_BERRY_BUSH_BREAK", 615, new String[0]), 
    BLOCK_SWEET_BERRY_BUSH_PICK_BERRIES("BLOCK_SWEET_BERRY_BUSH_PICK_BERRIES", 616, new String[] { "ITEM_SWEET_BERRIES_PICK_FROM_BUSH" }), 
    BLOCK_SWEET_BERRY_BUSH_PLACE("BLOCK_SWEET_BERRY_BUSH_PLACE", 617, new String[0]), 
    BLOCK_TRIPWIRE_ATTACH("BLOCK_TRIPWIRE_ATTACH", 618, new String[0]), 
    BLOCK_TRIPWIRE_CLICK_OFF("BLOCK_TRIPWIRE_CLICK_OFF", 619, new String[0]), 
    BLOCK_TRIPWIRE_CLICK_ON("BLOCK_TRIPWIRE_CLICK_ON", 620, new String[0]), 
    BLOCK_TRIPWIRE_DETACH("BLOCK_TRIPWIRE_DETACH", 621, new String[0]), 
    BLOCK_TUFF_BREAK("BLOCK_TUFF_BREAK", 622, new String[0]), 
    BLOCK_TUFF_FALL("BLOCK_TUFF_FALL", 623, new String[0]), 
    BLOCK_TUFF_HIT("BLOCK_TUFF_HIT", 624, new String[0]), 
    BLOCK_TUFF_PLACE("BLOCK_TUFF_PLACE", 625, new String[0]), 
    BLOCK_TUFF_STEP("BLOCK_TUFF_STEP", 626, new String[0]), 
    BLOCK_VINE_BREAK("BLOCK_VINE_BREAK", 627, new String[0]), 
    BLOCK_VINE_FALL("BLOCK_VINE_FALL", 628, new String[0]), 
    BLOCK_VINE_HIT("BLOCK_VINE_HIT", 629, new String[0]), 
    BLOCK_VINE_PLACE("BLOCK_VINE_PLACE", 630, new String[0]), 
    BLOCK_VINE_STEP("BLOCK_VINE_STEP", 631, new String[0]), 
    BLOCK_WART_BLOCK_BREAK("BLOCK_WART_BLOCK_BREAK", 632, new String[0]), 
    BLOCK_WART_BLOCK_FALL("BLOCK_WART_BLOCK_FALL", 633, new String[0]), 
    BLOCK_WART_BLOCK_HIT("BLOCK_WART_BLOCK_HIT", 634, new String[0]), 
    BLOCK_WART_BLOCK_PLACE("BLOCK_WART_BLOCK_PLACE", 635, new String[0]), 
    BLOCK_WART_BLOCK_STEP("BLOCK_WART_BLOCK_STEP", 636, new String[0]), 
    BLOCK_WATER_AMBIENT("BLOCK_WATER_AMBIENT", 637, new String[] { "WATER" }), 
    BLOCK_WEEPING_VINES_BREAK("BLOCK_WEEPING_VINES_BREAK", 638, new String[0]), 
    BLOCK_WEEPING_VINES_FALL("BLOCK_WEEPING_VINES_FALL", 639, new String[0]), 
    BLOCK_WEEPING_VINES_HIT("BLOCK_WEEPING_VINES_HIT", 640, new String[0]), 
    BLOCK_WEEPING_VINES_PLACE("BLOCK_WEEPING_VINES_PLACE", 641, new String[0]), 
    BLOCK_WEEPING_VINES_STEP("BLOCK_WEEPING_VINES_STEP", 642, new String[0]), 
    BLOCK_WET_GRASS_BREAK("BLOCK_WET_GRASS_BREAK", 643, new String[0]), 
    BLOCK_WET_GRASS_FALL("BLOCK_WET_GRASS_FALL", 644, new String[0]), 
    BLOCK_WET_GRASS_HIT("BLOCK_WET_GRASS_HIT", 645, new String[0]), 
    BLOCK_WET_GRASS_PLACE("BLOCK_WET_GRASS_PLACE", 646, new String[] { "BLOCK_WET_GRASS_HIT" }), 
    BLOCK_WET_GRASS_STEP("BLOCK_WET_GRASS_STEP", 647, new String[] { "BLOCK_WET_GRASS_HIT" }), 
    BLOCK_WOODEN_BUTTON_CLICK_OFF("BLOCK_WOODEN_BUTTON_CLICK_OFF", 648, new String[] { "WOOD_CLICK", "BLOCK_WOOD_BUTTON_CLICK_OFF" }), 
    BLOCK_WOODEN_BUTTON_CLICK_ON("BLOCK_WOODEN_BUTTON_CLICK_ON", 649, new String[] { "WOOD_CLICK", "BLOCK_WOOD_BUTTON_CLICK_ON" }), 
    BLOCK_WOODEN_DOOR_CLOSE("BLOCK_WOODEN_DOOR_CLOSE", 650, new String[] { "DOOR_CLOSE" }), 
    BLOCK_WOODEN_DOOR_OPEN("BLOCK_WOODEN_DOOR_OPEN", 651, new String[] { "DOOR_OPEN" }), 
    BLOCK_WOODEN_PRESSURE_PLATE_CLICK_OFF("BLOCK_WOODEN_PRESSURE_PLATE_CLICK_OFF", 652, new String[] { "BLOCK_WOOD_PRESSUREPLATE_CLICK_OFF" }), 
    BLOCK_WOODEN_PRESSURE_PLATE_CLICK_ON("BLOCK_WOODEN_PRESSURE_PLATE_CLICK_ON", 653, new String[] { "BLOCK_WOOD_PRESSUREPLATE_CLICK_ON" }), 
    BLOCK_WOODEN_TRAPDOOR_CLOSE("BLOCK_WOODEN_TRAPDOOR_CLOSE", 654, new String[0]), 
    BLOCK_WOODEN_TRAPDOOR_OPEN("BLOCK_WOODEN_TRAPDOOR_OPEN", 655, new String[0]), 
    BLOCK_WOOD_BREAK("BLOCK_WOOD_BREAK", 656, new String[] { "DIG_WOOD" }), 
    BLOCK_WOOD_FALL("BLOCK_WOOD_FALL", 657, new String[0]), 
    BLOCK_WOOD_HIT("BLOCK_WOOD_HIT", 658, new String[0]), 
    BLOCK_WOOD_PLACE("BLOCK_WOOD_PLACE", 659, new String[0]), 
    BLOCK_WOOD_STEP("BLOCK_WOOD_STEP", 660, new String[] { "STEP_WOOD" }), 
    BLOCK_WOOL_BREAK("BLOCK_WOOL_BREAK", 661, new String[] { "DIG_WOOL", "BLOCK_CLOTH_BREAK" }), 
    BLOCK_WOOL_FALL("BLOCK_WOOL_FALL", 662, new String[0]), 
    BLOCK_WOOL_HIT("BLOCK_WOOL_HIT", 663, new String[] { "BLOCK_WOOL_FALL" }), 
    BLOCK_WOOL_PLACE("BLOCK_WOOL_PLACE", 664, new String[] { "BLOCK_WOOL_FALL" }), 
    BLOCK_WOOL_STEP("BLOCK_WOOL_STEP", 665, new String[] { "STEP_WOOL", "BLOCK_CLOTH_STEP" }), 
    ENCHANT_THORNS_HIT("ENCHANT_THORNS_HIT", 666, new String[0]), 
    ENTITY_ALLAY_AMBIENT_WITHOUT_ITEM("ENTITY_ALLAY_AMBIENT_WITHOUT_ITEM", 667, new String[0]), 
    ENTITY_ALLAY_AMBIENT_WITH_ITEM("ENTITY_ALLAY_AMBIENT_WITH_ITEM", 668, new String[0]), 
    ENTITY_ALLAY_DEATH("ENTITY_ALLAY_DEATH", 669, new String[0]), 
    ENTITY_ALLAY_HURT("ENTITY_ALLAY_HURT", 670, new String[0]), 
    ENTITY_ALLAY_ITEM_GIVEN("ENTITY_ALLAY_ITEM_GIVEN", 671, new String[0]), 
    ENTITY_ALLAY_ITEM_TAKEN("ENTITY_ALLAY_ITEM_TAKEN", 672, new String[0]), 
    ENTITY_ALLAY_ITEM_THROWN("ENTITY_ALLAY_ITEM_THROWN", 673, new String[0]), 
    ENTITY_ARMOR_STAND_BREAK("ENTITY_ARMOR_STAND_BREAK", 674, new String[] { "ENTITY_ARMORSTAND_BREAK" }), 
    ENTITY_ARMOR_STAND_FALL("ENTITY_ARMOR_STAND_FALL", 675, new String[] { "ENTITY_ARMORSTAND_FALL" }), 
    ENTITY_ARMOR_STAND_HIT("ENTITY_ARMOR_STAND_HIT", 676, new String[] { "ENTITY_ARMORSTAND_HIT" }), 
    ENTITY_ARMOR_STAND_PLACE("ENTITY_ARMOR_STAND_PLACE", 677, new String[] { "ENTITY_ARMORSTAND_PLACE" }), 
    ENTITY_ARROW_HIT("ENTITY_ARROW_HIT", 678, new String[] { "ARROW_HIT" }), 
    ENTITY_ARROW_HIT_PLAYER("ENTITY_ARROW_HIT_PLAYER", 679, new String[] { "SUCCESSFUL_HIT" }), 
    ENTITY_ARROW_SHOOT("ENTITY_ARROW_SHOOT", 680, new String[] { "SHOOT_ARROW" }), 
    ENTITY_AXOLOTL_ATTACK("ENTITY_AXOLOTL_ATTACK", 681, new String[0]), 
    ENTITY_AXOLOTL_DEATH("ENTITY_AXOLOTL_DEATH", 682, new String[0]), 
    ENTITY_AXOLOTL_HURT("ENTITY_AXOLOTL_HURT", 683, new String[0]), 
    ENTITY_AXOLOTL_IDLE_AIR("ENTITY_AXOLOTL_IDLE_AIR", 684, new String[0]), 
    ENTITY_AXOLOTL_IDLE_WATER("ENTITY_AXOLOTL_IDLE_WATER", 685, new String[0]), 
    ENTITY_AXOLOTL_SPLASH("ENTITY_AXOLOTL_SPLASH", 686, new String[0]), 
    ENTITY_AXOLOTL_SWIM("ENTITY_AXOLOTL_SWIM", 687, new String[0]), 
    ENTITY_BAT_AMBIENT("ENTITY_BAT_AMBIENT", 688, new String[] { "BAT_IDLE" }), 
    ENTITY_BAT_DEATH("ENTITY_BAT_DEATH", 689, new String[] { "BAT_DEATH" }), 
    ENTITY_BAT_HURT("ENTITY_BAT_HURT", 690, new String[] { "BAT_HURT" }), 
    ENTITY_BAT_LOOP("ENTITY_BAT_LOOP", 691, new String[] { "BAT_LOOP" }), 
    ENTITY_BAT_TAKEOFF("ENTITY_BAT_TAKEOFF", 692, new String[] { "BAT_TAKEOFF" }), 
    ENTITY_BEE_DEATH("ENTITY_BEE_DEATH", 693, new String[0]), 
    ENTITY_BEE_HURT("ENTITY_BEE_HURT", 694, new String[0]), 
    ENTITY_BEE_LOOP("ENTITY_BEE_LOOP", 695, new String[0]), 
    ENTITY_BEE_LOOP_AGGRESSIVE("ENTITY_BEE_LOOP_AGGRESSIVE", 696, new String[0]), 
    ENTITY_BEE_POLLINATE("ENTITY_BEE_POLLINATE", 697, new String[0]), 
    ENTITY_BEE_STING("ENTITY_BEE_STING", 698, new String[0]), 
    ENTITY_BLAZE_AMBIENT("ENTITY_BLAZE_AMBIENT", 699, new String[] { "BLAZE_BREATH" }), 
    ENTITY_BLAZE_BURN("ENTITY_BLAZE_BURN", 700, new String[0]), 
    ENTITY_BLAZE_DEATH("ENTITY_BLAZE_DEATH", 701, new String[] { "BLAZE_DEATH" }), 
    ENTITY_BLAZE_HURT("ENTITY_BLAZE_HURT", 702, new String[] { "BLAZE_HIT" }), 
    ENTITY_BLAZE_SHOOT("ENTITY_BLAZE_SHOOT", 703, new String[0]), 
    ENTITY_BOAT_PADDLE_LAND("ENTITY_BOAT_PADDLE_LAND", 704, new String[0]), 
    ENTITY_BOAT_PADDLE_WATER("ENTITY_BOAT_PADDLE_WATER", 705, new String[0]), 
    ENTITY_CAMEL_AMBIENT("ENTITY_CAMEL_AMBIENT", 706, new String[0]), 
    ENTITY_CAMEL_DASH("ENTITY_CAMEL_DASH", 707, new String[0]), 
    ENTITY_CAMEL_DASH_READY("ENTITY_CAMEL_DASH_READY", 708, new String[0]), 
    ENTITY_CAMEL_DEATH("ENTITY_CAMEL_DEATH", 709, new String[0]), 
    ENTITY_CAMEL_EAT("ENTITY_CAMEL_EAT", 710, new String[0]), 
    ENTITY_CAMEL_HURT("ENTITY_CAMEL_HURT", 711, new String[0]), 
    ENTITY_CAMEL_SADDLE("ENTITY_CAMEL_SADDLE", 712, new String[0]), 
    ENTITY_CAMEL_SIT("ENTITY_CAMEL_SIT", 713, new String[0]), 
    ENTITY_CAMEL_STAND("ENTITY_CAMEL_STAND", 714, new String[0]), 
    ENTITY_CAMEL_STEP("ENTITY_CAMEL_STEP", 715, new String[0]), 
    ENTITY_CAMEL_STEP_SAND("ENTITY_CAMEL_STEP_SAND", 716, new String[0]), 
    ENTITY_CAT_AMBIENT("ENTITY_CAT_AMBIENT", 717, new String[] { "CAT_MEOW" }), 
    ENTITY_CAT_BEG_FOR_FOOD("ENTITY_CAT_BEG_FOR_FOOD", 718, new String[0]), 
    ENTITY_CAT_DEATH("ENTITY_CAT_DEATH", 719, new String[0]), 
    ENTITY_CAT_EAT("ENTITY_CAT_EAT", 720, new String[0]), 
    ENTITY_CAT_HISS("ENTITY_CAT_HISS", 721, new String[] { "CAT_HISS" }), 
    ENTITY_CAT_HURT("ENTITY_CAT_HURT", 722, new String[] { "CAT_HIT" }), 
    ENTITY_CAT_PURR("ENTITY_CAT_PURR", 723, new String[] { "CAT_PURR" }), 
    ENTITY_CAT_PURREOW("ENTITY_CAT_PURREOW", 724, new String[] { "CAT_PURREOW" }), 
    ENTITY_CAT_STRAY_AMBIENT("ENTITY_CAT_STRAY_AMBIENT", 725, new String[0]), 
    ENTITY_CHICKEN_AMBIENT("ENTITY_CHICKEN_AMBIENT", 726, new String[] { "CHICKEN_IDLE" }), 
    ENTITY_CHICKEN_DEATH("ENTITY_CHICKEN_DEATH", 727, new String[0]), 
    ENTITY_CHICKEN_EGG("ENTITY_CHICKEN_EGG", 728, new String[] { "CHICKEN_EGG_POP" }), 
    ENTITY_CHICKEN_HURT("ENTITY_CHICKEN_HURT", 729, new String[] { "CHICKEN_HURT" }), 
    ENTITY_CHICKEN_STEP("ENTITY_CHICKEN_STEP", 730, new String[] { "CHICKEN_WALK" }), 
    ENTITY_COD_AMBIENT("ENTITY_COD_AMBIENT", 731, new String[0]), 
    ENTITY_COD_DEATH("ENTITY_COD_DEATH", 732, new String[0]), 
    ENTITY_COD_FLOP("ENTITY_COD_FLOP", 733, new String[0]), 
    ENTITY_COD_HURT("ENTITY_COD_HURT", 734, new String[0]), 
    ENTITY_COW_AMBIENT("ENTITY_COW_AMBIENT", 735, new String[] { "COW_IDLE" }), 
    ENTITY_COW_DEATH("ENTITY_COW_DEATH", 736, new String[0]), 
    ENTITY_COW_HURT("ENTITY_COW_HURT", 737, new String[] { "COW_HURT" }), 
    ENTITY_COW_MILK("ENTITY_COW_MILK", 738, new String[0]), 
    ENTITY_COW_STEP("ENTITY_COW_STEP", 739, new String[] { "COW_WALK" }), 
    ENTITY_CREEPER_DEATH("ENTITY_CREEPER_DEATH", 740, new String[] { "CREEPER_DEATH" }), 
    ENTITY_CREEPER_HURT("ENTITY_CREEPER_HURT", 741, new String[0]), 
    ENTITY_CREEPER_PRIMED("ENTITY_CREEPER_PRIMED", 742, new String[] { "CREEPER_HISS" }), 
    ENTITY_DOLPHIN_AMBIENT("ENTITY_DOLPHIN_AMBIENT", 743, new String[0]), 
    ENTITY_DOLPHIN_AMBIENT_WATER("ENTITY_DOLPHIN_AMBIENT_WATER", 744, new String[0]), 
    ENTITY_DOLPHIN_ATTACK("ENTITY_DOLPHIN_ATTACK", 745, new String[0]), 
    ENTITY_DOLPHIN_DEATH("ENTITY_DOLPHIN_DEATH", 746, new String[0]), 
    ENTITY_DOLPHIN_EAT("ENTITY_DOLPHIN_EAT", 747, new String[0]), 
    ENTITY_DOLPHIN_HURT("ENTITY_DOLPHIN_HURT", 748, new String[0]), 
    ENTITY_DOLPHIN_JUMP("ENTITY_DOLPHIN_JUMP", 749, new String[0]), 
    ENTITY_DOLPHIN_PLAY("ENTITY_DOLPHIN_PLAY", 750, new String[0]), 
    ENTITY_DOLPHIN_SPLASH("ENTITY_DOLPHIN_SPLASH", 751, new String[0]), 
    ENTITY_DOLPHIN_SWIM("ENTITY_DOLPHIN_SWIM", 752, new String[0]), 
    ENTITY_DONKEY_AMBIENT("ENTITY_DONKEY_AMBIENT", 753, new String[] { "DONKEY_IDLE" }), 
    ENTITY_DONKEY_ANGRY("ENTITY_DONKEY_ANGRY", 754, new String[] { "DONKEY_ANGRY" }), 
    ENTITY_DONKEY_CHEST("ENTITY_DONKEY_CHEST", 755, new String[0]), 
    ENTITY_DONKEY_DEATH("ENTITY_DONKEY_DEATH", 756, new String[] { "DONKEY_DEATH" }), 
    ENTITY_DONKEY_EAT("ENTITY_DONKEY_EAT", 757, new String[0]), 
    ENTITY_DONKEY_HURT("ENTITY_DONKEY_HURT", 758, new String[] { "DONKEY_HIT" }), 
    ENTITY_DRAGON_FIREBALL_EXPLODE("ENTITY_DRAGON_FIREBALL_EXPLODE", 759, new String[] { "ENTITY_ENDERDRAGON_FIREBALL_EXPLODE" }), 
    ENTITY_DROWNED_AMBIENT("ENTITY_DROWNED_AMBIENT", 760, new String[0]), 
    ENTITY_DROWNED_AMBIENT_WATER("ENTITY_DROWNED_AMBIENT_WATER", 761, new String[0]), 
    ENTITY_DROWNED_DEATH("ENTITY_DROWNED_DEATH", 762, new String[0]), 
    ENTITY_DROWNED_DEATH_WATER("ENTITY_DROWNED_DEATH_WATER", 763, new String[0]), 
    ENTITY_DROWNED_HURT("ENTITY_DROWNED_HURT", 764, new String[0]), 
    ENTITY_DROWNED_HURT_WATER("ENTITY_DROWNED_HURT_WATER", 765, new String[0]), 
    ENTITY_DROWNED_SHOOT("ENTITY_DROWNED_SHOOT", 766, new String[0]), 
    ENTITY_DROWNED_STEP("ENTITY_DROWNED_STEP", 767, new String[0]), 
    ENTITY_DROWNED_SWIM("ENTITY_DROWNED_SWIM", 768, new String[0]), 
    ENTITY_EGG_THROW("ENTITY_EGG_THROW", 769, new String[0]), 
    ENTITY_ELDER_GUARDIAN_AMBIENT("ENTITY_ELDER_GUARDIAN_AMBIENT", 770, new String[0]), 
    ENTITY_ELDER_GUARDIAN_AMBIENT_LAND("ENTITY_ELDER_GUARDIAN_AMBIENT_LAND", 771, new String[0]), 
    ENTITY_ELDER_GUARDIAN_CURSE("ENTITY_ELDER_GUARDIAN_CURSE", 772, new String[0]), 
    ENTITY_ELDER_GUARDIAN_DEATH("ENTITY_ELDER_GUARDIAN_DEATH", 773, new String[0]), 
    ENTITY_ELDER_GUARDIAN_DEATH_LAND("ENTITY_ELDER_GUARDIAN_DEATH_LAND", 774, new String[0]), 
    ENTITY_ELDER_GUARDIAN_FLOP("ENTITY_ELDER_GUARDIAN_FLOP", 775, new String[0]), 
    ENTITY_ELDER_GUARDIAN_HURT("ENTITY_ELDER_GUARDIAN_HURT", 776, new String[0]), 
    ENTITY_ELDER_GUARDIAN_HURT_LAND("ENTITY_ELDER_GUARDIAN_HURT_LAND", 777, new String[0]), 
    ENTITY_ENDERMAN_AMBIENT("ENTITY_ENDERMAN_AMBIENT", 778, new String[] { "ENDERMAN_IDLE", "ENTITY_ENDERMEN_AMBIENT" }), 
    ENTITY_ENDERMAN_DEATH("ENTITY_ENDERMAN_DEATH", 779, new String[] { "ENDERMAN_DEATH", "ENTITY_ENDERMEN_DEATH" }), 
    ENTITY_ENDERMAN_HURT("ENTITY_ENDERMAN_HURT", 780, new String[] { "ENDERMAN_HIT", "ENTITY_ENDERMEN_HURT" }), 
    ENTITY_ENDERMAN_SCREAM("ENTITY_ENDERMAN_SCREAM", 781, new String[] { "ENDERMAN_SCREAM", "ENTITY_ENDERMEN_SCREAM" }), 
    ENTITY_ENDERMAN_STARE("ENTITY_ENDERMAN_STARE", 782, new String[] { "ENDERMAN_STARE", "ENTITY_ENDERMEN_STARE" }), 
    ENTITY_ENDERMAN_TELEPORT("ENTITY_ENDERMAN_TELEPORT", 783, new String[] { "ENDERMAN_TELEPORT", "ENTITY_ENDERMEN_TELEPORT" }), 
    ENTITY_ENDERMITE_AMBIENT("ENTITY_ENDERMITE_AMBIENT", 784, new String[0]), 
    ENTITY_ENDERMITE_DEATH("ENTITY_ENDERMITE_DEATH", 785, new String[0]), 
    ENTITY_ENDERMITE_HURT("ENTITY_ENDERMITE_HURT", 786, new String[0]), 
    ENTITY_ENDERMITE_STEP("ENTITY_ENDERMITE_STEP", 787, new String[0]), 
    ENTITY_ENDER_DRAGON_AMBIENT("ENTITY_ENDER_DRAGON_AMBIENT", 788, new String[] { "ENDERDRAGON_WINGS", "ENTITY_ENDERDRAGON_AMBIENT" }), 
    ENTITY_ENDER_DRAGON_DEATH("ENTITY_ENDER_DRAGON_DEATH", 789, new String[] { "ENDERDRAGON_DEATH", "ENTITY_ENDERDRAGON_DEATH" }), 
    ENTITY_ENDER_DRAGON_FLAP("ENTITY_ENDER_DRAGON_FLAP", 790, new String[] { "ENDERDRAGON_WINGS", "ENTITY_ENDERDRAGON_FLAP" }), 
    ENTITY_ENDER_DRAGON_GROWL("ENTITY_ENDER_DRAGON_GROWL", 791, new String[] { "ENDERDRAGON_GROWL", "ENTITY_ENDERDRAGON_GROWL" }), 
    ENTITY_ENDER_DRAGON_HURT("ENTITY_ENDER_DRAGON_HURT", 792, new String[] { "ENDERDRAGON_HIT", "ENTITY_ENDERDRAGON_HURT" }), 
    ENTITY_ENDER_DRAGON_SHOOT("ENTITY_ENDER_DRAGON_SHOOT", 793, new String[] { "ENTITY_ENDERDRAGON_SHOOT" }), 
    ENTITY_ENDER_EYE_DEATH("ENTITY_ENDER_EYE_DEATH", 794, new String[0]), 
    ENTITY_ENDER_EYE_LAUNCH("ENTITY_ENDER_EYE_LAUNCH", 795, new String[] { "ENTITY_ENDER_EYE_DEATH", "ENTITY_ENDEREYE_DEATH" }), 
    ENTITY_ENDER_PEARL_THROW("ENTITY_ENDER_PEARL_THROW", 796, new String[] { "ENTITY_ENDERPEARL_THROW" }), 
    ENTITY_EVOKER_AMBIENT("ENTITY_EVOKER_AMBIENT", 797, new String[] { "ENTITY_EVOCATION_ILLAGER_AMBIENT" }), 
    ENTITY_EVOKER_CAST_SPELL("ENTITY_EVOKER_CAST_SPELL", 798, new String[] { "ENTITY_EVOCATION_ILLAGER_CAST_SPELL" }), 
    ENTITY_EVOKER_CELEBRATE("ENTITY_EVOKER_CELEBRATE", 799, new String[0]), 
    ENTITY_EVOKER_DEATH("ENTITY_EVOKER_DEATH", 800, new String[] { "ENTITY_EVOCATION_ILLAGER_DEATH" }), 
    ENTITY_EVOKER_FANGS_ATTACK("ENTITY_EVOKER_FANGS_ATTACK", 801, new String[] { "ENTITY_EVOCATION_FANGS_ATTACK" }), 
    ENTITY_EVOKER_HURT("ENTITY_EVOKER_HURT", 802, new String[] { "ENTITY_EVOCATION_ILLAGER_HURT" }), 
    ENTITY_EVOKER_PREPARE_ATTACK("ENTITY_EVOKER_PREPARE_ATTACK", 803, new String[] { "ENTITY_EVOCATION_ILLAGER_PREPARE_ATTACK" }), 
    ENTITY_EVOKER_PREPARE_SUMMON("ENTITY_EVOKER_PREPARE_SUMMON", 804, new String[] { "ENTITY_EVOCATION_ILLAGER_PREPARE_SUMMON" }), 
    ENTITY_EVOKER_PREPARE_WOLOLO("ENTITY_EVOKER_PREPARE_WOLOLO", 805, new String[] { "ENTITY_EVOCATION_ILLAGER_PREPARE_WOLOLO" }), 
    ENTITY_EXPERIENCE_BOTTLE_THROW("ENTITY_EXPERIENCE_BOTTLE_THROW", 806, new String[0]), 
    ENTITY_EXPERIENCE_ORB_PICKUP("ENTITY_EXPERIENCE_ORB_PICKUP", 807, new String[] { "ORB_PICKUP" }), 
    ENTITY_FIREWORK_ROCKET_BLAST("ENTITY_FIREWORK_ROCKET_BLAST", 808, new String[] { "FIREWORK_BLAST", "ENTITY_FIREWORK_BLAST" }), 
    ENTITY_FIREWORK_ROCKET_BLAST_FAR("ENTITY_FIREWORK_ROCKET_BLAST_FAR", 809, new String[] { "FIREWORK_BLAST2", "ENTITY_FIREWORK_BLAST_FAR" }), 
    ENTITY_FIREWORK_ROCKET_LARGE_BLAST("ENTITY_FIREWORK_ROCKET_LARGE_BLAST", 810, new String[] { "FIREWORK_LARGE_BLAST", "ENTITY_FIREWORK_LARGE_BLAST" }), 
    ENTITY_FIREWORK_ROCKET_LARGE_BLAST_FAR("ENTITY_FIREWORK_ROCKET_LARGE_BLAST_FAR", 811, new String[] { "FIREWORK_LARGE_BLAST2", "ENTITY_FIREWORK_LARGE_BLAST_FAR" }), 
    ENTITY_FIREWORK_ROCKET_LAUNCH("ENTITY_FIREWORK_ROCKET_LAUNCH", 812, new String[] { "FIREWORK_LAUNCH", "ENTITY_FIREWORK_LAUNCH" }), 
    ENTITY_FIREWORK_ROCKET_SHOOT("ENTITY_FIREWORK_ROCKET_SHOOT", 813, new String[0]), 
    ENTITY_FIREWORK_ROCKET_TWINKLE("ENTITY_FIREWORK_ROCKET_TWINKLE", 814, new String[] { "FIREWORK_TWINKLE", "ENTITY_FIREWORK_TWINKLE" }), 
    ENTITY_FIREWORK_ROCKET_TWINKLE_FAR("ENTITY_FIREWORK_ROCKET_TWINKLE_FAR", 815, new String[] { "FIREWORK_TWINKLE2", "ENTITY_FIREWORK_TWINKLE_FAR" }), 
    ENTITY_FISHING_BOBBER_RETRIEVE("ENTITY_FISHING_BOBBER_RETRIEVE", 816, new String[0]), 
    ENTITY_FISHING_BOBBER_SPLASH("ENTITY_FISHING_BOBBER_SPLASH", 817, new String[] { "SPLASH2", "ENTITY_BOBBER_SPLASH" }), 
    ENTITY_FISHING_BOBBER_THROW("ENTITY_FISHING_BOBBER_THROW", 818, new String[] { "ENTITY_BOBBER_THROW" }), 
    ENTITY_FISH_SWIM("ENTITY_FISH_SWIM", 819, new String[0]), 
    ENTITY_FOX_AGGRO("ENTITY_FOX_AGGRO", 820, new String[0]), 
    ENTITY_FOX_AMBIENT("ENTITY_FOX_AMBIENT", 821, new String[0]), 
    ENTITY_FOX_BITE("ENTITY_FOX_BITE", 822, new String[0]), 
    ENTITY_FOX_DEATH("ENTITY_FOX_DEATH", 823, new String[0]), 
    ENTITY_FOX_EAT("ENTITY_FOX_EAT", 824, new String[0]), 
    ENTITY_FOX_HURT("ENTITY_FOX_HURT", 825, new String[0]), 
    ENTITY_FOX_SCREECH("ENTITY_FOX_SCREECH", 826, new String[0]), 
    ENTITY_FOX_SLEEP("ENTITY_FOX_SLEEP", 827, new String[0]), 
    ENTITY_FOX_SNIFF("ENTITY_FOX_SNIFF", 828, new String[0]), 
    ENTITY_FOX_SPIT("ENTITY_FOX_SPIT", 829, new String[0]), 
    ENTITY_FOX_TELEPORT("ENTITY_FOX_TELEPORT", 830, new String[0]), 
    ENTITY_FROG_AMBIENT("ENTITY_FROG_AMBIENT", 831, new String[0]), 
    ENTITY_FROG_DEATH("ENTITY_FROG_DEATH", 832, new String[0]), 
    ENTITY_FROG_EAT("ENTITY_FROG_EAT", 833, new String[0]), 
    ENTITY_FROG_HURT("ENTITY_FROG_HURT", 834, new String[0]), 
    ENTITY_FROG_LAY_SPAWN("ENTITY_FROG_LAY_SPAWN", 835, new String[0]), 
    ENTITY_FROG_LONG_JUMP("ENTITY_FROG_LONG_JUMP", 836, new String[0]), 
    ENTITY_FROG_STEP("ENTITY_FROG_STEP", 837, new String[0]), 
    ENTITY_FROG_TONGUE("ENTITY_FROG_TONGUE", 838, new String[0]), 
    ENTITY_GENERIC_BIG_FALL("ENTITY_GENERIC_BIG_FALL", 839, new String[] { "FALL_BIG" }), 
    ENTITY_GENERIC_BURN("ENTITY_GENERIC_BURN", 840, new String[0]), 
    ENTITY_GENERIC_DEATH("ENTITY_GENERIC_DEATH", 841, new String[0]), 
    ENTITY_GENERIC_DRINK("ENTITY_GENERIC_DRINK", 842, new String[] { "DRINK" }), 
    ENTITY_GENERIC_EAT("ENTITY_GENERIC_EAT", 843, new String[] { "EAT" }), 
    ENTITY_GENERIC_EXPLODE("ENTITY_GENERIC_EXPLODE", 844, new String[] { "EXPLODE" }), 
    ENTITY_GENERIC_EXTINGUISH_FIRE("ENTITY_GENERIC_EXTINGUISH_FIRE", 845, new String[0]), 
    ENTITY_GENERIC_HURT("ENTITY_GENERIC_HURT", 846, new String[0]), 
    ENTITY_GENERIC_SMALL_FALL("ENTITY_GENERIC_SMALL_FALL", 847, new String[] { "FALL_SMALL" }), 
    ENTITY_GENERIC_SPLASH("ENTITY_GENERIC_SPLASH", 848, new String[] { "SPLASH" }), 
    ENTITY_GENERIC_SWIM("ENTITY_GENERIC_SWIM", 849, new String[] { "SWIM" }), 
    ENTITY_GHAST_AMBIENT("ENTITY_GHAST_AMBIENT", 850, new String[] { "GHAST_MOAN" }), 
    ENTITY_GHAST_DEATH("ENTITY_GHAST_DEATH", 851, new String[] { "GHAST_DEATH" }), 
    ENTITY_GHAST_HURT("ENTITY_GHAST_HURT", 852, new String[] { "GHAST_SCREAM2" }), 
    ENTITY_GHAST_SCREAM("ENTITY_GHAST_SCREAM", 853, new String[] { "GHAST_SCREAM" }), 
    ENTITY_GHAST_SHOOT("ENTITY_GHAST_SHOOT", 854, new String[] { "GHAST_FIREBALL" }), 
    ENTITY_GHAST_WARN("ENTITY_GHAST_WARN", 855, new String[] { "GHAST_CHARGE" }), 
    ENTITY_GLOW_ITEM_FRAME_ADD_ITEM("ENTITY_GLOW_ITEM_FRAME_ADD_ITEM", 856, new String[0]), 
    ENTITY_GLOW_ITEM_FRAME_BREAK("ENTITY_GLOW_ITEM_FRAME_BREAK", 857, new String[0]), 
    ENTITY_GLOW_ITEM_FRAME_PLACE("ENTITY_GLOW_ITEM_FRAME_PLACE", 858, new String[0]), 
    ENTITY_GLOW_ITEM_FRAME_REMOVE_ITEM("ENTITY_GLOW_ITEM_FRAME_REMOVE_ITEM", 859, new String[0]), 
    ENTITY_GLOW_ITEM_FRAME_ROTATE_ITEM("ENTITY_GLOW_ITEM_FRAME_ROTATE_ITEM", 860, new String[0]), 
    ENTITY_GLOW_SQUID_AMBIENT("ENTITY_GLOW_SQUID_AMBIENT", 861, new String[0]), 
    ENTITY_GLOW_SQUID_DEATH("ENTITY_GLOW_SQUID_DEATH", 862, new String[0]), 
    ENTITY_GLOW_SQUID_HURT("ENTITY_GLOW_SQUID_HURT", 863, new String[0]), 
    ENTITY_GLOW_SQUID_SQUIRT("ENTITY_GLOW_SQUID_SQUIRT", 864, new String[0]), 
    ENTITY_GOAT_AMBIENT("ENTITY_GOAT_AMBIENT", 865, new String[0]), 
    ENTITY_GOAT_DEATH("ENTITY_GOAT_DEATH", 866, new String[0]), 
    ENTITY_GOAT_EAT("ENTITY_GOAT_EAT", 867, new String[0]), 
    ENTITY_GOAT_HORN_BREAK("ENTITY_GOAT_HORN_BREAK", 868, new String[0]), 
    ENTITY_GOAT_HURT("ENTITY_GOAT_HURT", 869, new String[0]), 
    ENTITY_GOAT_LONG_JUMP("ENTITY_GOAT_LONG_JUMP", 870, new String[0]), 
    ENTITY_GOAT_MILK("ENTITY_GOAT_MILK", 871, new String[0]), 
    ENTITY_GOAT_PREPARE_RAM("ENTITY_GOAT_PREPARE_RAM", 872, new String[0]), 
    ENTITY_GOAT_RAM_IMPACT("ENTITY_GOAT_RAM_IMPACT", 873, new String[0]), 
    ENTITY_GOAT_SCREAMING_AMBIENT("ENTITY_GOAT_SCREAMING_AMBIENT", 874, new String[0]), 
    ENTITY_GOAT_SCREAMING_DEATH("ENTITY_GOAT_SCREAMING_DEATH", 875, new String[0]), 
    ENTITY_GOAT_SCREAMING_EAT("ENTITY_GOAT_SCREAMING_EAT", 876, new String[0]), 
    ENTITY_GOAT_SCREAMING_HORN_BREAK("ENTITY_GOAT_SCREAMING_HORN_BREAK", 877, new String[0]), 
    ENTITY_GOAT_SCREAMING_HURT("ENTITY_GOAT_SCREAMING_HURT", 878, new String[0]), 
    ENTITY_GOAT_SCREAMING_LONG_JUMP("ENTITY_GOAT_SCREAMING_LONG_JUMP", 879, new String[0]), 
    ENTITY_GOAT_SCREAMING_MILK("ENTITY_GOAT_SCREAMING_MILK", 880, new String[0]), 
    ENTITY_GOAT_SCREAMING_PREPARE_RAM("ENTITY_GOAT_SCREAMING_PREPARE_RAM", 881, new String[0]), 
    ENTITY_GOAT_SCREAMING_RAM_IMPACT("ENTITY_GOAT_SCREAMING_RAM_IMPACT", 882, new String[0]), 
    ENTITY_GOAT_STEP("ENTITY_GOAT_STEP", 883, new String[0]), 
    ENTITY_GUARDIAN_AMBIENT("ENTITY_GUARDIAN_AMBIENT", 884, new String[0]), 
    ENTITY_GUARDIAN_AMBIENT_LAND("ENTITY_GUARDIAN_AMBIENT_LAND", 885, new String[0]), 
    ENTITY_GUARDIAN_ATTACK("ENTITY_GUARDIAN_ATTACK", 886, new String[0]), 
    ENTITY_GUARDIAN_DEATH("ENTITY_GUARDIAN_DEATH", 887, new String[0]), 
    ENTITY_GUARDIAN_DEATH_LAND("ENTITY_GUARDIAN_DEATH_LAND", 888, new String[0]), 
    ENTITY_GUARDIAN_FLOP("ENTITY_GUARDIAN_FLOP", 889, new String[0]), 
    ENTITY_GUARDIAN_HURT("ENTITY_GUARDIAN_HURT", 890, new String[0]), 
    ENTITY_GUARDIAN_HURT_LAND("ENTITY_GUARDIAN_HURT_LAND", 891, new String[0]), 
    ENTITY_HOGLIN_AMBIENT("ENTITY_HOGLIN_AMBIENT", 892, new String[0]), 
    ENTITY_HOGLIN_ANGRY("ENTITY_HOGLIN_ANGRY", 893, new String[0]), 
    ENTITY_HOGLIN_ATTACK("ENTITY_HOGLIN_ATTACK", 894, new String[0]), 
    ENTITY_HOGLIN_CONVERTED_TO_ZOMBIFIED("ENTITY_HOGLIN_CONVERTED_TO_ZOMBIFIED", 895, new String[0]), 
    ENTITY_HOGLIN_DEATH("ENTITY_HOGLIN_DEATH", 896, new String[0]), 
    ENTITY_HOGLIN_HURT("ENTITY_HOGLIN_HURT", 897, new String[0]), 
    ENTITY_HOGLIN_RETREAT("ENTITY_HOGLIN_RETREAT", 898, new String[0]), 
    ENTITY_HOGLIN_STEP("ENTITY_HOGLIN_STEP", 899, new String[0]), 
    ENTITY_HORSE_AMBIENT("ENTITY_HORSE_AMBIENT", 900, new String[] { "HORSE_IDLE" }), 
    ENTITY_HORSE_ANGRY("ENTITY_HORSE_ANGRY", 901, new String[] { "HORSE_ANGRY" }), 
    ENTITY_HORSE_ARMOR("ENTITY_HORSE_ARMOR", 902, new String[] { "HORSE_ARMOR" }), 
    ENTITY_HORSE_BREATHE("ENTITY_HORSE_BREATHE", 903, new String[] { "HORSE_BREATHE" }), 
    ENTITY_HORSE_DEATH("ENTITY_HORSE_DEATH", 904, new String[] { "HORSE_DEATH" }), 
    ENTITY_HORSE_EAT("ENTITY_HORSE_EAT", 905, new String[0]), 
    ENTITY_HORSE_GALLOP("ENTITY_HORSE_GALLOP", 906, new String[] { "HORSE_GALLOP" }), 
    ENTITY_HORSE_HURT("ENTITY_HORSE_HURT", 907, new String[] { "HORSE_HIT" }), 
    ENTITY_HORSE_JUMP("ENTITY_HORSE_JUMP", 908, new String[] { "HORSE_JUMP" }), 
    ENTITY_HORSE_LAND("ENTITY_HORSE_LAND", 909, new String[] { "HORSE_LAND" }), 
    ENTITY_HORSE_SADDLE("ENTITY_HORSE_SADDLE", 910, new String[] { "HORSE_SADDLE" }), 
    ENTITY_HORSE_STEP("ENTITY_HORSE_STEP", 911, new String[] { "HORSE_SOFT" }), 
    ENTITY_HORSE_STEP_WOOD("ENTITY_HORSE_STEP_WOOD", 912, new String[] { "HORSE_WOOD" }), 
    ENTITY_HOSTILE_BIG_FALL("ENTITY_HOSTILE_BIG_FALL", 913, new String[] { "FALL_BIG" }), 
    ENTITY_HOSTILE_DEATH("ENTITY_HOSTILE_DEATH", 914, new String[0]), 
    ENTITY_HOSTILE_HURT("ENTITY_HOSTILE_HURT", 915, new String[0]), 
    ENTITY_HOSTILE_SMALL_FALL("ENTITY_HOSTILE_SMALL_FALL", 916, new String[] { "FALL_SMALL" }), 
    ENTITY_HOSTILE_SPLASH("ENTITY_HOSTILE_SPLASH", 917, new String[] { "SPLASH" }), 
    ENTITY_HOSTILE_SWIM("ENTITY_HOSTILE_SWIM", 918, new String[] { "SWIM" }), 
    ENTITY_HUSK_AMBIENT("ENTITY_HUSK_AMBIENT", 919, new String[0]), 
    ENTITY_HUSK_CONVERTED_TO_ZOMBIE("ENTITY_HUSK_CONVERTED_TO_ZOMBIE", 920, new String[0]), 
    ENTITY_HUSK_DEATH("ENTITY_HUSK_DEATH", 921, new String[0]), 
    ENTITY_HUSK_HURT("ENTITY_HUSK_HURT", 922, new String[0]), 
    ENTITY_HUSK_STEP("ENTITY_HUSK_STEP", 923, new String[0]), 
    ENTITY_ILLUSIONER_AMBIENT("ENTITY_ILLUSIONER_AMBIENT", 924, new String[] { "ENTITY_ILLUSION_ILLAGER_AMBIENT" }), 
    ENTITY_ILLUSIONER_CAST_SPELL("ENTITY_ILLUSIONER_CAST_SPELL", 925, new String[] { "ENTITY_ILLUSION_ILLAGER_CAST_SPELL" }), 
    ENTITY_ILLUSIONER_DEATH("ENTITY_ILLUSIONER_DEATH", 926, new String[] { "ENTITY_ILLUSIONER_CAST_DEATH", "ENTITY_ILLUSION_ILLAGER_DEATH" }), 
    ENTITY_ILLUSIONER_HURT("ENTITY_ILLUSIONER_HURT", 927, new String[] { "ENTITY_ILLUSION_ILLAGER_HURT" }), 
    ENTITY_ILLUSIONER_MIRROR_MOVE("ENTITY_ILLUSIONER_MIRROR_MOVE", 928, new String[] { "ENTITY_ILLUSION_ILLAGER_MIRROR_MOVE" }), 
    ENTITY_ILLUSIONER_PREPARE_BLINDNESS("ENTITY_ILLUSIONER_PREPARE_BLINDNESS", 929, new String[] { "ENTITY_ILLUSION_ILLAGER_PREPARE_BLINDNESS" }), 
    ENTITY_ILLUSIONER_PREPARE_MIRROR("ENTITY_ILLUSIONER_PREPARE_MIRROR", 930, new String[] { "ENTITY_ILLUSION_ILLAGER_PREPARE_MIRROR" }), 
    ENTITY_IRON_GOLEM_ATTACK("ENTITY_IRON_GOLEM_ATTACK", 931, new String[] { "IRONGOLEM_THROW", "ENTITY_IRONGOLEM_ATTACK" }), 
    ENTITY_IRON_GOLEM_DAMAGE("ENTITY_IRON_GOLEM_DAMAGE", 932, new String[0]), 
    ENTITY_IRON_GOLEM_DEATH("ENTITY_IRON_GOLEM_DEATH", 933, new String[] { "IRONGOLEM_DEATH", "ENTITY_IRONGOLEM_DEATH" }), 
    ENTITY_IRON_GOLEM_HURT("ENTITY_IRON_GOLEM_HURT", 934, new String[] { "IRONGOLEM_HIT", "ENTITY_IRONGOLEM_HURT" }), 
    ENTITY_IRON_GOLEM_REPAIR("ENTITY_IRON_GOLEM_REPAIR", 935, new String[0]), 
    ENTITY_IRON_GOLEM_STEP("ENTITY_IRON_GOLEM_STEP", 936, new String[] { "IRONGOLEM_WALK", "ENTITY_IRONGOLEM_STEP" }), 
    ENTITY_ITEM_BREAK("ENTITY_ITEM_BREAK", 937, new String[] { "ITEM_BREAK" }), 
    ENTITY_ITEM_FRAME_ADD_ITEM("ENTITY_ITEM_FRAME_ADD_ITEM", 938, new String[] { "ENTITY_ITEMFRAME_ADD_ITEM" }), 
    ENTITY_ITEM_FRAME_BREAK("ENTITY_ITEM_FRAME_BREAK", 939, new String[] { "ENTITY_ITEMFRAME_BREAK" }), 
    ENTITY_ITEM_FRAME_PLACE("ENTITY_ITEM_FRAME_PLACE", 940, new String[] { "ENTITY_ITEMFRAME_PLACE" }), 
    ENTITY_ITEM_FRAME_REMOVE_ITEM("ENTITY_ITEM_FRAME_REMOVE_ITEM", 941, new String[] { "ENTITY_ITEMFRAME_REMOVE_ITEM" }), 
    ENTITY_ITEM_FRAME_ROTATE_ITEM("ENTITY_ITEM_FRAME_ROTATE_ITEM", 942, new String[] { "ENTITY_ITEMFRAME_ROTATE_ITEM" }), 
    ENTITY_ITEM_PICKUP("ENTITY_ITEM_PICKUP", 943, new String[] { "ITEM_PICKUP" }), 
    ENTITY_LEASH_KNOT_BREAK("ENTITY_LEASH_KNOT_BREAK", 944, new String[] { "ENTITY_LEASHKNOT_BREAK" }), 
    ENTITY_LEASH_KNOT_PLACE("ENTITY_LEASH_KNOT_PLACE", 945, new String[] { "ENTITY_LEASHKNOT_PLACE" }), 
    ENTITY_LIGHTNING_BOLT_IMPACT("ENTITY_LIGHTNING_BOLT_IMPACT", 946, new String[] { "AMBIENCE_THUNDER", "ENTITY_LIGHTNING_IMPACT" }), 
    ENTITY_LIGHTNING_BOLT_THUNDER("ENTITY_LIGHTNING_BOLT_THUNDER", 947, new String[] { "AMBIENCE_THUNDER", "ENTITY_LIGHTNING_THUNDER" }), 
    ENTITY_LINGERING_POTION_THROW("ENTITY_LINGERING_POTION_THROW", 948, new String[0]), 
    ENTITY_LLAMA_AMBIENT("ENTITY_LLAMA_AMBIENT", 949, new String[0]), 
    ENTITY_LLAMA_ANGRY("ENTITY_LLAMA_ANGRY", 950, new String[0]), 
    ENTITY_LLAMA_CHEST("ENTITY_LLAMA_CHEST", 951, new String[0]), 
    ENTITY_LLAMA_DEATH("ENTITY_LLAMA_DEATH", 952, new String[0]), 
    ENTITY_LLAMA_EAT("ENTITY_LLAMA_EAT", 953, new String[0]), 
    ENTITY_LLAMA_HURT("ENTITY_LLAMA_HURT", 954, new String[0]), 
    ENTITY_LLAMA_SPIT("ENTITY_LLAMA_SPIT", 955, new String[0]), 
    ENTITY_LLAMA_STEP("ENTITY_LLAMA_STEP", 956, new String[0]), 
    ENTITY_LLAMA_SWAG("ENTITY_LLAMA_SWAG", 957, new String[0]), 
    ENTITY_MAGMA_CUBE_DEATH("ENTITY_MAGMA_CUBE_DEATH", 958, new String[] { "ENTITY_MAGMACUBE_DEATH" }), 
    ENTITY_MAGMA_CUBE_DEATH_SMALL("ENTITY_MAGMA_CUBE_DEATH_SMALL", 959, new String[] { "ENTITY_SMALL_MAGMACUBE_DEATH" }), 
    ENTITY_MAGMA_CUBE_HURT("ENTITY_MAGMA_CUBE_HURT", 960, new String[] { "ENTITY_MAGMACUBE_HURT" }), 
    ENTITY_MAGMA_CUBE_HURT_SMALL("ENTITY_MAGMA_CUBE_HURT_SMALL", 961, new String[] { "ENTITY_SMALL_MAGMACUBE_HURT" }), 
    ENTITY_MAGMA_CUBE_JUMP("ENTITY_MAGMA_CUBE_JUMP", 962, new String[] { "MAGMACUBE_JUMP", "ENTITY_MAGMACUBE_JUMP" }), 
    ENTITY_MAGMA_CUBE_SQUISH("ENTITY_MAGMA_CUBE_SQUISH", 963, new String[] { "MAGMACUBE_WALK", "ENTITY_MAGMACUBE_SQUISH" }), 
    ENTITY_MAGMA_CUBE_SQUISH_SMALL("ENTITY_MAGMA_CUBE_SQUISH_SMALL", 964, new String[] { "MAGMACUBE_WALK2", "ENTITY_SMALL_MAGMACUBE_SQUISH" }), 
    ENTITY_MINECART_INSIDE("ENTITY_MINECART_INSIDE", 965, new String[] { "MINECART_INSIDE" }), 
    ENTITY_MINECART_INSIDE_UNDERWATER("ENTITY_MINECART_INSIDE_UNDERWATER", 966, new String[0]), 
    ENTITY_MINECART_RIDING("ENTITY_MINECART_RIDING", 967, new String[] { "MINECART_BASE" }), 
    ENTITY_MOOSHROOM_CONVERT("ENTITY_MOOSHROOM_CONVERT", 968, new String[0]), 
    ENTITY_MOOSHROOM_EAT("ENTITY_MOOSHROOM_EAT", 969, new String[0]), 
    ENTITY_MOOSHROOM_MILK("ENTITY_MOOSHROOM_MILK", 970, new String[0]), 
    ENTITY_MOOSHROOM_SHEAR("ENTITY_MOOSHROOM_SHEAR", 971, new String[0]), 
    ENTITY_MOOSHROOM_SUSPICIOUS_MILK("ENTITY_MOOSHROOM_SUSPICIOUS_MILK", 972, new String[0]), 
    ENTITY_MULE_AMBIENT("ENTITY_MULE_AMBIENT", 973, new String[0]), 
    ENTITY_MULE_ANGRY("ENTITY_MULE_ANGRY", 974, new String[0]), 
    ENTITY_MULE_CHEST("ENTITY_MULE_CHEST", 975, new String[] { "ENTITY_MULE_AMBIENT" }), 
    ENTITY_MULE_DEATH("ENTITY_MULE_DEATH", 976, new String[] { "ENTITY_MULE_AMBIENT" }), 
    ENTITY_MULE_EAT("ENTITY_MULE_EAT", 977, new String[0]), 
    ENTITY_MULE_HURT("ENTITY_MULE_HURT", 978, new String[] { "ENTITY_MULE_AMBIENT" }), 
    ENTITY_OCELOT_AMBIENT("ENTITY_OCELOT_AMBIENT", 979, new String[0]), 
    ENTITY_OCELOT_DEATH("ENTITY_OCELOT_DEATH", 980, new String[0]), 
    ENTITY_OCELOT_HURT("ENTITY_OCELOT_HURT", 981, new String[0]), 
    ENTITY_PAINTING_BREAK("ENTITY_PAINTING_BREAK", 982, new String[0]), 
    ENTITY_PAINTING_PLACE("ENTITY_PAINTING_PLACE", 983, new String[0]), 
    ENTITY_PANDA_AGGRESSIVE_AMBIENT("ENTITY_PANDA_AGGRESSIVE_AMBIENT", 984, new String[0]), 
    ENTITY_PANDA_AMBIENT("ENTITY_PANDA_AMBIENT", 985, new String[0]), 
    ENTITY_PANDA_BITE("ENTITY_PANDA_BITE", 986, new String[0]), 
    ENTITY_PANDA_CANT_BREED("ENTITY_PANDA_CANT_BREED", 987, new String[0]), 
    ENTITY_PANDA_DEATH("ENTITY_PANDA_DEATH", 988, new String[0]), 
    ENTITY_PANDA_EAT("ENTITY_PANDA_EAT", 989, new String[0]), 
    ENTITY_PANDA_HURT("ENTITY_PANDA_HURT", 990, new String[0]), 
    ENTITY_PANDA_PRE_SNEEZE("ENTITY_PANDA_PRE_SNEEZE", 991, new String[0]), 
    ENTITY_PANDA_SNEEZE("ENTITY_PANDA_SNEEZE", 992, new String[0]), 
    ENTITY_PANDA_STEP("ENTITY_PANDA_STEP", 993, new String[0]), 
    ENTITY_PANDA_WORRIED_AMBIENT("ENTITY_PANDA_WORRIED_AMBIENT", 994, new String[0]), 
    ENTITY_PARROT_AMBIENT("ENTITY_PARROT_AMBIENT", 995, new String[0]), 
    ENTITY_PARROT_DEATH("ENTITY_PARROT_DEATH", 996, new String[0]), 
    ENTITY_PARROT_EAT("ENTITY_PARROT_EAT", 997, new String[0]), 
    ENTITY_PARROT_FLY("ENTITY_PARROT_FLY", 998, new String[0]), 
    ENTITY_PARROT_HURT("ENTITY_PARROT_HURT", 999, new String[0]), 
    ENTITY_PARROT_IMITATE_BLAZE("ENTITY_PARROT_IMITATE_BLAZE", 1000, new String[0]), 
    ENTITY_PARROT_IMITATE_CREEPER("ENTITY_PARROT_IMITATE_CREEPER", 1001, new String[0]), 
    ENTITY_PARROT_IMITATE_DROWNED("ENTITY_PARROT_IMITATE_DROWNED", 1002, new String[0]), 
    ENTITY_PARROT_IMITATE_ELDER_GUARDIAN("ENTITY_PARROT_IMITATE_ELDER_GUARDIAN", 1003, new String[0]), 
    ENTITY_PARROT_IMITATE_ENDERMAN("ENTITY_PARROT_IMITATE_ENDERMAN", 1004, new String[0]), 
    ENTITY_PARROT_IMITATE_ENDERMITE("ENTITY_PARROT_IMITATE_ENDERMITE", 1005, new String[0]), 
    ENTITY_PARROT_IMITATE_ENDER_DRAGON("ENTITY_PARROT_IMITATE_ENDER_DRAGON", 1006, new String[0]), 
    ENTITY_PARROT_IMITATE_EVOKER("ENTITY_PARROT_IMITATE_EVOKER", 1007, new String[0]), 
    ENTITY_PARROT_IMITATE_GHAST("ENTITY_PARROT_IMITATE_GHAST", 1008, new String[0]), 
    ENTITY_PARROT_IMITATE_GUARDIAN("ENTITY_PARROT_IMITATE_GUARDIAN", 1009, new String[0]), 
    ENTITY_PARROT_IMITATE_HOGLIN("ENTITY_PARROT_IMITATE_HOGLIN", 1010, new String[0]), 
    ENTITY_PARROT_IMITATE_HUSK("ENTITY_PARROT_IMITATE_HUSK", 1011, new String[0]), 
    ENTITY_PARROT_IMITATE_ILLUSIONER("ENTITY_PARROT_IMITATE_ILLUSIONER", 1012, new String[0]), 
    ENTITY_PARROT_IMITATE_MAGMA_CUBE("ENTITY_PARROT_IMITATE_MAGMA_CUBE", 1013, new String[0]), 
    ENTITY_PARROT_IMITATE_PHANTOM("ENTITY_PARROT_IMITATE_PHANTOM", 1014, new String[0]), 
    ENTITY_PARROT_IMITATE_PIGLIN("ENTITY_PARROT_IMITATE_PIGLIN", 1015, new String[0]), 
    ENTITY_PARROT_IMITATE_PIGLIN_BRUTE("ENTITY_PARROT_IMITATE_PIGLIN_BRUTE", 1016, new String[0]), 
    ENTITY_PARROT_IMITATE_PILLAGER("ENTITY_PARROT_IMITATE_PILLAGER", 1017, new String[0]), 
    ENTITY_PARROT_IMITATE_POLAR_BEAR("ENTITY_PARROT_IMITATE_POLAR_BEAR", 1018, new String[0]), 
    ENTITY_PARROT_IMITATE_RAVAGER("ENTITY_PARROT_IMITATE_RAVAGER", 1019, new String[0]), 
    ENTITY_PARROT_IMITATE_SHULKER("ENTITY_PARROT_IMITATE_SHULKER", 1020, new String[0]), 
    ENTITY_PARROT_IMITATE_SILVERFISH("ENTITY_PARROT_IMITATE_SILVERFISH", 1021, new String[0]), 
    ENTITY_PARROT_IMITATE_SKELETON("ENTITY_PARROT_IMITATE_SKELETON", 1022, new String[0]), 
    ENTITY_PARROT_IMITATE_SLIME("ENTITY_PARROT_IMITATE_SLIME", 1023, new String[0]), 
    ENTITY_PARROT_IMITATE_SPIDER("ENTITY_PARROT_IMITATE_SPIDER", 1024, new String[0]), 
    ENTITY_PARROT_IMITATE_STRAY("ENTITY_PARROT_IMITATE_STRAY", 1025, new String[0]), 
    ENTITY_PARROT_IMITATE_VEX("ENTITY_PARROT_IMITATE_VEX", 1026, new String[0]), 
    ENTITY_PARROT_IMITATE_VINDICATOR("ENTITY_PARROT_IMITATE_VINDICATOR", 1027, new String[0]), 
    ENTITY_PARROT_IMITATE_WARDEN("ENTITY_PARROT_IMITATE_WARDEN", 1028, new String[0]), 
    ENTITY_PARROT_IMITATE_WITCH("ENTITY_PARROT_IMITATE_WITCH", 1029, new String[0]), 
    ENTITY_PARROT_IMITATE_WITHER("ENTITY_PARROT_IMITATE_WITHER", 1030, new String[0]), 
    ENTITY_PARROT_IMITATE_WITHER_SKELETON("ENTITY_PARROT_IMITATE_WITHER_SKELETON", 1031, new String[0]), 
    ENTITY_PARROT_IMITATE_WOLF("ENTITY_PARROT_IMITATE_WOLF", 1032, new String[0]), 
    ENTITY_PARROT_IMITATE_ZOGLIN("ENTITY_PARROT_IMITATE_ZOGLIN", 1033, new String[0]), 
    ENTITY_PARROT_IMITATE_ZOMBIE("ENTITY_PARROT_IMITATE_ZOMBIE", 1034, new String[0]), 
    ENTITY_PARROT_IMITATE_ZOMBIE_VILLAGER("ENTITY_PARROT_IMITATE_ZOMBIE_VILLAGER", 1035, new String[0]), 
    ENTITY_PARROT_STEP("ENTITY_PARROT_STEP", 1036, new String[0]), 
    ENTITY_PHANTOM_AMBIENT("ENTITY_PHANTOM_AMBIENT", 1037, new String[0]), 
    ENTITY_PHANTOM_BITE("ENTITY_PHANTOM_BITE", 1038, new String[0]), 
    ENTITY_PHANTOM_DEATH("ENTITY_PHANTOM_DEATH", 1039, new String[0]), 
    ENTITY_PHANTOM_FLAP("ENTITY_PHANTOM_FLAP", 1040, new String[0]), 
    ENTITY_PHANTOM_HURT("ENTITY_PHANTOM_HURT", 1041, new String[0]), 
    ENTITY_PHANTOM_SWOOP("ENTITY_PHANTOM_SWOOP", 1042, new String[0]), 
    ENTITY_PIGLIN_ADMIRING_ITEM("ENTITY_PIGLIN_ADMIRING_ITEM", 1043, new String[0]), 
    ENTITY_PIGLIN_AMBIENT("ENTITY_PIGLIN_AMBIENT", 1044, new String[0]), 
    ENTITY_PIGLIN_ANGRY("ENTITY_PIGLIN_ANGRY", 1045, new String[0]), 
    ENTITY_PIGLIN_BRUTE_AMBIENT("ENTITY_PIGLIN_BRUTE_AMBIENT", 1046, new String[0]), 
    ENTITY_PIGLIN_BRUTE_ANGRY("ENTITY_PIGLIN_BRUTE_ANGRY", 1047, new String[0]), 
    ENTITY_PIGLIN_BRUTE_CONVERTED_TO_ZOMBIFIED("ENTITY_PIGLIN_BRUTE_CONVERTED_TO_ZOMBIFIED", 1048, new String[0]), 
    ENTITY_PIGLIN_BRUTE_DEATH("ENTITY_PIGLIN_BRUTE_DEATH", 1049, new String[0]), 
    ENTITY_PIGLIN_BRUTE_HURT("ENTITY_PIGLIN_BRUTE_HURT", 1050, new String[0]), 
    ENTITY_PIGLIN_BRUTE_STEP("ENTITY_PIGLIN_BRUTE_STEP", 1051, new String[0]), 
    ENTITY_PIGLIN_CELEBRATE("ENTITY_PIGLIN_CELEBRATE", 1052, new String[0]), 
    ENTITY_PIGLIN_CONVERTED_TO_ZOMBIFIED("ENTITY_PIGLIN_CONVERTED_TO_ZOMBIFIED", 1053, new String[0]), 
    ENTITY_PIGLIN_DEATH("ENTITY_PIGLIN_DEATH", 1054, new String[0]), 
    ENTITY_PIGLIN_HURT("ENTITY_PIGLIN_HURT", 1055, new String[0]), 
    ENTITY_PIGLIN_JEALOUS("ENTITY_PIGLIN_JEALOUS", 1056, new String[0]), 
    ENTITY_PIGLIN_RETREAT("ENTITY_PIGLIN_RETREAT", 1057, new String[0]), 
    ENTITY_PIGLIN_STEP("ENTITY_PIGLIN_STEP", 1058, new String[0]), 
    ENTITY_PIG_AMBIENT("ENTITY_PIG_AMBIENT", 1059, new String[] { "PIG_IDLE" }), 
    ENTITY_PIG_DEATH("ENTITY_PIG_DEATH", 1060, new String[] { "PIG_DEATH" }), 
    ENTITY_PIG_HURT("ENTITY_PIG_HURT", 1061, new String[0]), 
    ENTITY_PIG_SADDLE("ENTITY_PIG_SADDLE", 1062, new String[] { "ENTITY_PIG_HURT" }), 
    ENTITY_PIG_STEP("ENTITY_PIG_STEP", 1063, new String[] { "PIG_WALK" }), 
    ENTITY_PILLAGER_AMBIENT("ENTITY_PILLAGER_AMBIENT", 1064, new String[0]), 
    ENTITY_PILLAGER_CELEBRATE("ENTITY_PILLAGER_CELEBRATE", 1065, new String[0]), 
    ENTITY_PILLAGER_DEATH("ENTITY_PILLAGER_DEATH", 1066, new String[0]), 
    ENTITY_PILLAGER_HURT("ENTITY_PILLAGER_HURT", 1067, new String[0]), 
    ENTITY_PLAYER_ATTACK_CRIT("ENTITY_PLAYER_ATTACK_CRIT", 1068, new String[0]), 
    ENTITY_PLAYER_ATTACK_KNOCKBACK("ENTITY_PLAYER_ATTACK_KNOCKBACK", 1069, new String[0]), 
    ENTITY_PLAYER_ATTACK_NODAMAGE("ENTITY_PLAYER_ATTACK_NODAMAGE", 1070, new String[0]), 
    ENTITY_PLAYER_ATTACK_STRONG("ENTITY_PLAYER_ATTACK_STRONG", 1071, new String[] { "SUCCESSFUL_HIT" }), 
    ENTITY_PLAYER_ATTACK_SWEEP("ENTITY_PLAYER_ATTACK_SWEEP", 1072, new String[0]), 
    ENTITY_PLAYER_ATTACK_WEAK("ENTITY_PLAYER_ATTACK_WEAK", 1073, new String[0]), 
    ENTITY_PLAYER_BIG_FALL("ENTITY_PLAYER_BIG_FALL", 1074, new String[] { "FALL_BIG" }), 
    ENTITY_PLAYER_BREATH("ENTITY_PLAYER_BREATH", 1075, new String[0]), 
    ENTITY_PLAYER_BURP("ENTITY_PLAYER_BURP", 1076, new String[] { "BURP" }), 
    ENTITY_PLAYER_DEATH("ENTITY_PLAYER_DEATH", 1077, new String[0]), 
    ENTITY_PLAYER_HURT("ENTITY_PLAYER_HURT", 1078, new String[] { "HURT_FLESH" }), 
    ENTITY_PLAYER_HURT_DROWN("ENTITY_PLAYER_HURT_DROWN", 1079, new String[0]), 
    ENTITY_PLAYER_HURT_FREEZE("ENTITY_PLAYER_HURT_FREEZE", 1080, new String[0]), 
    ENTITY_PLAYER_HURT_ON_FIRE("ENTITY_PLAYER_HURT_ON_FIRE", 1081, new String[0]), 
    ENTITY_PLAYER_HURT_SWEET_BERRY_BUSH("ENTITY_PLAYER_HURT_SWEET_BERRY_BUSH", 1082, new String[0]), 
    ENTITY_PLAYER_LEVELUP("ENTITY_PLAYER_LEVELUP", 1083, new String[] { "LEVEL_UP" }), 
    ENTITY_PLAYER_SMALL_FALL("ENTITY_PLAYER_SMALL_FALL", 1084, new String[] { "FALL_SMALL" }), 
    ENTITY_PLAYER_SPLASH("ENTITY_PLAYER_SPLASH", 1085, new String[] { "SLASH" }), 
    ENTITY_PLAYER_SPLASH_HIGH_SPEED("ENTITY_PLAYER_SPLASH_HIGH_SPEED", 1086, new String[] { "SPLASH" }), 
    ENTITY_PLAYER_SWIM("ENTITY_PLAYER_SWIM", 1087, new String[] { "SWIM" }), 
    ENTITY_POLAR_BEAR_AMBIENT("ENTITY_POLAR_BEAR_AMBIENT", 1088, new String[0]), 
    ENTITY_POLAR_BEAR_AMBIENT_BABY("ENTITY_POLAR_BEAR_AMBIENT_BABY", 1089, new String[] { "ENTITY_POLAR_BEAR_BABY_AMBIENT" }), 
    ENTITY_POLAR_BEAR_DEATH("ENTITY_POLAR_BEAR_DEATH", 1090, new String[0]), 
    ENTITY_POLAR_BEAR_HURT("ENTITY_POLAR_BEAR_HURT", 1091, new String[0]), 
    ENTITY_POLAR_BEAR_STEP("ENTITY_POLAR_BEAR_STEP", 1092, new String[0]), 
    ENTITY_POLAR_BEAR_WARNING("ENTITY_POLAR_BEAR_WARNING", 1093, new String[0]), 
    ENTITY_PUFFER_FISH_AMBIENT("ENTITY_PUFFER_FISH_AMBIENT", 1094, new String[0]), 
    ENTITY_PUFFER_FISH_BLOW_OUT("ENTITY_PUFFER_FISH_BLOW_OUT", 1095, new String[0]), 
    ENTITY_PUFFER_FISH_BLOW_UP("ENTITY_PUFFER_FISH_BLOW_UP", 1096, new String[0]), 
    ENTITY_PUFFER_FISH_DEATH("ENTITY_PUFFER_FISH_DEATH", 1097, new String[0]), 
    ENTITY_PUFFER_FISH_FLOP("ENTITY_PUFFER_FISH_FLOP", 1098, new String[0]), 
    ENTITY_PUFFER_FISH_HURT("ENTITY_PUFFER_FISH_HURT", 1099, new String[0]), 
    ENTITY_PUFFER_FISH_STING("ENTITY_PUFFER_FISH_STING", 1100, new String[0]), 
    ENTITY_RABBIT_AMBIENT("ENTITY_RABBIT_AMBIENT", 1101, new String[0]), 
    ENTITY_RABBIT_ATTACK("ENTITY_RABBIT_ATTACK", 1102, new String[0]), 
    ENTITY_RABBIT_DEATH("ENTITY_RABBIT_DEATH", 1103, new String[0]), 
    ENTITY_RABBIT_HURT("ENTITY_RABBIT_HURT", 1104, new String[0]), 
    ENTITY_RABBIT_JUMP("ENTITY_RABBIT_JUMP", 1105, new String[0]), 
    ENTITY_RAVAGER_AMBIENT("ENTITY_RAVAGER_AMBIENT", 1106, new String[0]), 
    ENTITY_RAVAGER_ATTACK("ENTITY_RAVAGER_ATTACK", 1107, new String[0]), 
    ENTITY_RAVAGER_CELEBRATE("ENTITY_RAVAGER_CELEBRATE", 1108, new String[0]), 
    ENTITY_RAVAGER_DEATH("ENTITY_RAVAGER_DEATH", 1109, new String[0]), 
    ENTITY_RAVAGER_HURT("ENTITY_RAVAGER_HURT", 1110, new String[0]), 
    ENTITY_RAVAGER_ROAR("ENTITY_RAVAGER_ROAR", 1111, new String[0]), 
    ENTITY_RAVAGER_STEP("ENTITY_RAVAGER_STEP", 1112, new String[0]), 
    ENTITY_RAVAGER_STUNNED("ENTITY_RAVAGER_STUNNED", 1113, new String[0]), 
    ENTITY_SALMON_AMBIENT("ENTITY_SALMON_AMBIENT", 1114, new String[0]), 
    ENTITY_SALMON_DEATH("ENTITY_SALMON_DEATH", 1115, new String[0]), 
    ENTITY_SALMON_FLOP("ENTITY_SALMON_FLOP", 1116, new String[0]), 
    ENTITY_SALMON_HURT("ENTITY_SALMON_HURT", 1117, new String[] { "ENTITY_SALMON_FLOP" }), 
    ENTITY_SHEEP_AMBIENT("ENTITY_SHEEP_AMBIENT", 1118, new String[] { "SHEEP_IDLE" }), 
    ENTITY_SHEEP_DEATH("ENTITY_SHEEP_DEATH", 1119, new String[0]), 
    ENTITY_SHEEP_HURT("ENTITY_SHEEP_HURT", 1120, new String[0]), 
    ENTITY_SHEEP_SHEAR("ENTITY_SHEEP_SHEAR", 1121, new String[] { "SHEEP_SHEAR" }), 
    ENTITY_SHEEP_STEP("ENTITY_SHEEP_STEP", 1122, new String[] { "SHEEP_WALK" }), 
    ENTITY_SHULKER_AMBIENT("ENTITY_SHULKER_AMBIENT", 1123, new String[0]), 
    ENTITY_SHULKER_BULLET_HIT("ENTITY_SHULKER_BULLET_HIT", 1124, new String[0]), 
    ENTITY_SHULKER_BULLET_HURT("ENTITY_SHULKER_BULLET_HURT", 1125, new String[0]), 
    ENTITY_SHULKER_CLOSE("ENTITY_SHULKER_CLOSE", 1126, new String[0]), 
    ENTITY_SHULKER_DEATH("ENTITY_SHULKER_DEATH", 1127, new String[0]), 
    ENTITY_SHULKER_HURT("ENTITY_SHULKER_HURT", 1128, new String[0]), 
    ENTITY_SHULKER_HURT_CLOSED("ENTITY_SHULKER_HURT_CLOSED", 1129, new String[0]), 
    ENTITY_SHULKER_OPEN("ENTITY_SHULKER_OPEN", 1130, new String[0]), 
    ENTITY_SHULKER_SHOOT("ENTITY_SHULKER_SHOOT", 1131, new String[0]), 
    ENTITY_SHULKER_TELEPORT("ENTITY_SHULKER_TELEPORT", 1132, new String[0]), 
    ENTITY_SILVERFISH_AMBIENT("ENTITY_SILVERFISH_AMBIENT", 1133, new String[] { "SILVERFISH_IDLE" }), 
    ENTITY_SILVERFISH_DEATH("ENTITY_SILVERFISH_DEATH", 1134, new String[] { "SILVERFISH_KILL" }), 
    ENTITY_SILVERFISH_HURT("ENTITY_SILVERFISH_HURT", 1135, new String[] { "SILVERFISH_HIT" }), 
    ENTITY_SILVERFISH_STEP("ENTITY_SILVERFISH_STEP", 1136, new String[] { "SILVERFISH_WALK" }), 
    ENTITY_SKELETON_AMBIENT("ENTITY_SKELETON_AMBIENT", 1137, new String[] { "SKELETON_IDLE" }), 
    ENTITY_SKELETON_CONVERTED_TO_STRAY("ENTITY_SKELETON_CONVERTED_TO_STRAY", 1138, new String[0]), 
    ENTITY_SKELETON_DEATH("ENTITY_SKELETON_DEATH", 1139, new String[] { "SKELETON_DEATH" }), 
    ENTITY_SKELETON_HORSE_AMBIENT("ENTITY_SKELETON_HORSE_AMBIENT", 1140, new String[] { "HORSE_SKELETON_IDLE" }), 
    ENTITY_SKELETON_HORSE_AMBIENT_WATER("ENTITY_SKELETON_HORSE_AMBIENT_WATER", 1141, new String[0]), 
    ENTITY_SKELETON_HORSE_DEATH("ENTITY_SKELETON_HORSE_DEATH", 1142, new String[] { "HORSE_SKELETON_DEATH" }), 
    ENTITY_SKELETON_HORSE_GALLOP_WATER("ENTITY_SKELETON_HORSE_GALLOP_WATER", 1143, new String[0]), 
    ENTITY_SKELETON_HORSE_HURT("ENTITY_SKELETON_HORSE_HURT", 1144, new String[] { "HORSE_SKELETON_HIT" }), 
    ENTITY_SKELETON_HORSE_JUMP_WATER("ENTITY_SKELETON_HORSE_JUMP_WATER", 1145, new String[0]), 
    ENTITY_SKELETON_HORSE_STEP_WATER("ENTITY_SKELETON_HORSE_STEP_WATER", 1146, new String[0]), 
    ENTITY_SKELETON_HORSE_SWIM("ENTITY_SKELETON_HORSE_SWIM", 1147, new String[0]), 
    ENTITY_SKELETON_HURT("ENTITY_SKELETON_HURT", 1148, new String[] { "SKELETON_HURT" }), 
    ENTITY_SKELETON_SHOOT("ENTITY_SKELETON_SHOOT", 1149, new String[0]), 
    ENTITY_SKELETON_STEP("ENTITY_SKELETON_STEP", 1150, new String[] { "SKELETON_WALK" }), 
    ENTITY_SLIME_ATTACK("ENTITY_SLIME_ATTACK", 1151, new String[] { "SLIME_ATTACK" }), 
    ENTITY_SLIME_DEATH("ENTITY_SLIME_DEATH", 1152, new String[0]), 
    ENTITY_SLIME_DEATH_SMALL("ENTITY_SLIME_DEATH_SMALL", 1153, new String[0]), 
    ENTITY_SLIME_HURT("ENTITY_SLIME_HURT", 1154, new String[0]), 
    ENTITY_SLIME_HURT_SMALL("ENTITY_SLIME_HURT_SMALL", 1155, new String[] { "ENTITY_SMALL_SLIME_HURT" }), 
    ENTITY_SLIME_JUMP("ENTITY_SLIME_JUMP", 1156, new String[] { "SLIME_WALK" }), 
    ENTITY_SLIME_JUMP_SMALL("ENTITY_SLIME_JUMP_SMALL", 1157, new String[] { "SLIME_WALK2", "ENTITY_SMALL_SLIME_SQUISH" }), 
    ENTITY_SLIME_SQUISH("ENTITY_SLIME_SQUISH", 1158, new String[] { "SLIME_WALK2" }), 
    ENTITY_SLIME_SQUISH_SMALL("ENTITY_SLIME_SQUISH_SMALL", 1159, new String[] { "ENTITY_SMALL_SLIME_SQUISH" }), 
    ENTITY_SNIFFER_DEATH("ENTITY_SNIFFER_DEATH", 1160, new String[0]), 
    ENTITY_SNIFFER_DIGGING("ENTITY_SNIFFER_DIGGING", 1161, new String[0]), 
    ENTITY_SNIFFER_DIGGING_STOP("ENTITY_SNIFFER_DIGGING_STOP", 1162, new String[0]), 
    ENTITY_SNIFFER_DROP_SEED("ENTITY_SNIFFER_DROP_SEED", 1163, new String[0]), 
    ENTITY_SNIFFER_EAT("ENTITY_SNIFFER_EAT", 1164, new String[0]), 
    ENTITY_SNIFFER_HAPPY("ENTITY_SNIFFER_HAPPY", 1165, new String[0]), 
    ENTITY_SNIFFER_HURT("ENTITY_SNIFFER_HURT", 1166, new String[0]), 
    ENTITY_SNIFFER_IDLE("ENTITY_SNIFFER_IDLE", 1167, new String[0]), 
    ENTITY_SNIFFER_SCENTING("ENTITY_SNIFFER_SCENTING", 1168, new String[0]), 
    ENTITY_SNIFFER_SEARCHING("ENTITY_SNIFFER_SEARCHING", 1169, new String[0]), 
    ENTITY_SNIFFER_SNIFFING("ENTITY_SNIFFER_SNIFFING", 1170, new String[0]), 
    ENTITY_SNIFFER_STEP("ENTITY_SNIFFER_STEP", 1171, new String[0]), 
    ENTITY_SNOWBALL_THROW("ENTITY_SNOWBALL_THROW", 1172, new String[0]), 
    ENTITY_SNOW_GOLEM_AMBIENT("ENTITY_SNOW_GOLEM_AMBIENT", 1173, new String[] { "ENTITY_SNOWMAN_AMBIENT" }), 
    ENTITY_SNOW_GOLEM_DEATH("ENTITY_SNOW_GOLEM_DEATH", 1174, new String[] { "ENTITY_SNOWMAN_DEATH" }), 
    ENTITY_SNOW_GOLEM_HURT("ENTITY_SNOW_GOLEM_HURT", 1175, new String[] { "ENTITY_SNOWMAN_HURT" }), 
    ENTITY_SNOW_GOLEM_SHEAR("ENTITY_SNOW_GOLEM_SHEAR", 1176, new String[0]), 
    ENTITY_SNOW_GOLEM_SHOOT("ENTITY_SNOW_GOLEM_SHOOT", 1177, new String[] { "ENTITY_SNOWMAN_SHOOT" }), 
    ENTITY_SPIDER_AMBIENT("ENTITY_SPIDER_AMBIENT", 1178, new String[] { "SPIDER_IDLE" }), 
    ENTITY_SPIDER_DEATH("ENTITY_SPIDER_DEATH", 1179, new String[] { "SPIDER_DEATH" }), 
    ENTITY_SPIDER_HURT("ENTITY_SPIDER_HURT", 1180, new String[0]), 
    ENTITY_SPIDER_STEP("ENTITY_SPIDER_STEP", 1181, new String[] { "SPIDER_WALK" }), 
    ENTITY_SPLASH_POTION_BREAK("ENTITY_SPLASH_POTION_BREAK", 1182, new String[0]), 
    ENTITY_SPLASH_POTION_THROW("ENTITY_SPLASH_POTION_THROW", 1183, new String[0]), 
    ENTITY_SQUID_AMBIENT("ENTITY_SQUID_AMBIENT", 1184, new String[0]), 
    ENTITY_SQUID_DEATH("ENTITY_SQUID_DEATH", 1185, new String[0]), 
    ENTITY_SQUID_HURT("ENTITY_SQUID_HURT", 1186, new String[0]), 
    ENTITY_SQUID_SQUIRT("ENTITY_SQUID_SQUIRT", 1187, new String[0]), 
    ENTITY_STRAY_AMBIENT("ENTITY_STRAY_AMBIENT", 1188, new String[0]), 
    ENTITY_STRAY_DEATH("ENTITY_STRAY_DEATH", 1189, new String[0]), 
    ENTITY_STRAY_HURT("ENTITY_STRAY_HURT", 1190, new String[0]), 
    ENTITY_STRAY_STEP("ENTITY_STRAY_STEP", 1191, new String[0]), 
    ENTITY_STRIDER_AMBIENT("ENTITY_STRIDER_AMBIENT", 1192, new String[0]), 
    ENTITY_STRIDER_DEATH("ENTITY_STRIDER_DEATH", 1193, new String[0]), 
    ENTITY_STRIDER_EAT("ENTITY_STRIDER_EAT", 1194, new String[0]), 
    ENTITY_STRIDER_HAPPY("ENTITY_STRIDER_HAPPY", 1195, new String[0]), 
    ENTITY_STRIDER_HURT("ENTITY_STRIDER_HURT", 1196, new String[0]), 
    ENTITY_STRIDER_RETREAT("ENTITY_STRIDER_RETREAT", 1197, new String[0]), 
    ENTITY_STRIDER_SADDLE("ENTITY_STRIDER_SADDLE", 1198, new String[0]), 
    ENTITY_STRIDER_STEP("ENTITY_STRIDER_STEP", 1199, new String[0]), 
    ENTITY_STRIDER_STEP_LAVA("ENTITY_STRIDER_STEP_LAVA", 1200, new String[0]), 
    ENTITY_TADPOLE_DEATH("ENTITY_TADPOLE_DEATH", 1201, new String[0]), 
    ENTITY_TADPOLE_FLOP("ENTITY_TADPOLE_FLOP", 1202, new String[0]), 
    ENTITY_TADPOLE_GROW_UP("ENTITY_TADPOLE_GROW_UP", 1203, new String[0]), 
    ENTITY_TADPOLE_HURT("ENTITY_TADPOLE_HURT", 1204, new String[0]), 
    ENTITY_TNT_PRIMED("ENTITY_TNT_PRIMED", 1205, new String[] { "FUSE" }), 
    ENTITY_TROPICAL_FISH_AMBIENT("ENTITY_TROPICAL_FISH_AMBIENT", 1206, new String[0]), 
    ENTITY_TROPICAL_FISH_DEATH("ENTITY_TROPICAL_FISH_DEATH", 1207, new String[0]), 
    ENTITY_TROPICAL_FISH_FLOP("ENTITY_TROPICAL_FISH_FLOP", 1208, new String[] { "ENTITY_TROPICAL_FISH_DEATH" }), 
    ENTITY_TROPICAL_FISH_HURT("ENTITY_TROPICAL_FISH_HURT", 1209, new String[0]), 
    ENTITY_TURTLE_AMBIENT_LAND("ENTITY_TURTLE_AMBIENT_LAND", 1210, new String[0]), 
    ENTITY_TURTLE_DEATH("ENTITY_TURTLE_DEATH", 1211, new String[0]), 
    ENTITY_TURTLE_DEATH_BABY("ENTITY_TURTLE_DEATH_BABY", 1212, new String[0]), 
    ENTITY_TURTLE_EGG_BREAK("ENTITY_TURTLE_EGG_BREAK", 1213, new String[0]), 
    ENTITY_TURTLE_EGG_CRACK("ENTITY_TURTLE_EGG_CRACK", 1214, new String[0]), 
    ENTITY_TURTLE_EGG_HATCH("ENTITY_TURTLE_EGG_HATCH", 1215, new String[0]), 
    ENTITY_TURTLE_HURT("ENTITY_TURTLE_HURT", 1216, new String[0]), 
    ENTITY_TURTLE_HURT_BABY("ENTITY_TURTLE_HURT_BABY", 1217, new String[0]), 
    ENTITY_TURTLE_LAY_EGG("ENTITY_TURTLE_LAY_EGG", 1218, new String[0]), 
    ENTITY_TURTLE_SHAMBLE("ENTITY_TURTLE_SHAMBLE", 1219, new String[0]), 
    ENTITY_TURTLE_SHAMBLE_BABY("ENTITY_TURTLE_SHAMBLE_BABY", 1220, new String[0]), 
    ENTITY_TURTLE_SWIM("ENTITY_TURTLE_SWIM", 1221, new String[0]), 
    ENTITY_VEX_AMBIENT("ENTITY_VEX_AMBIENT", 1222, new String[0]), 
    ENTITY_VEX_CHARGE("ENTITY_VEX_CHARGE", 1223, new String[0]), 
    ENTITY_VEX_DEATH("ENTITY_VEX_DEATH", 1224, new String[0]), 
    ENTITY_VEX_HURT("ENTITY_VEX_HURT", 1225, new String[0]), 
    ENTITY_VILLAGER_AMBIENT("ENTITY_VILLAGER_AMBIENT", 1226, new String[] { "VILLAGER_IDLE" }), 
    ENTITY_VILLAGER_CELEBRATE("ENTITY_VILLAGER_CELEBRATE", 1227, new String[0]), 
    ENTITY_VILLAGER_DEATH("ENTITY_VILLAGER_DEATH", 1228, new String[] { "VILLAGER_DEATH" }), 
    ENTITY_VILLAGER_HURT("ENTITY_VILLAGER_HURT", 1229, new String[] { "VILLAGER_HIT" }), 
    ENTITY_VILLAGER_NO("ENTITY_VILLAGER_NO", 1230, new String[] { "VILLAGER_NO" }), 
    ENTITY_VILLAGER_TRADE("ENTITY_VILLAGER_TRADE", 1231, new String[] { "VILLAGER_HAGGLE", "ENTITY_VILLAGER_TRADING" }), 
    ENTITY_VILLAGER_WORK_ARMORER("ENTITY_VILLAGER_WORK_ARMORER", 1232, new String[0]), 
    ENTITY_VILLAGER_WORK_BUTCHER("ENTITY_VILLAGER_WORK_BUTCHER", 1233, new String[0]), 
    ENTITY_VILLAGER_WORK_CARTOGRAPHER("ENTITY_VILLAGER_WORK_CARTOGRAPHER", 1234, new String[0]), 
    ENTITY_VILLAGER_WORK_CLERIC("ENTITY_VILLAGER_WORK_CLERIC", 1235, new String[0]), 
    ENTITY_VILLAGER_WORK_FARMER("ENTITY_VILLAGER_WORK_FARMER", 1236, new String[0]), 
    ENTITY_VILLAGER_WORK_FISHERMAN("ENTITY_VILLAGER_WORK_FISHERMAN", 1237, new String[0]), 
    ENTITY_VILLAGER_WORK_FLETCHER("ENTITY_VILLAGER_WORK_FLETCHER", 1238, new String[0]), 
    ENTITY_VILLAGER_WORK_LEATHERWORKER("ENTITY_VILLAGER_WORK_LEATHERWORKER", 1239, new String[0]), 
    ENTITY_VILLAGER_WORK_LIBRARIAN("ENTITY_VILLAGER_WORK_LIBRARIAN", 1240, new String[0]), 
    ENTITY_VILLAGER_WORK_MASON("ENTITY_VILLAGER_WORK_MASON", 1241, new String[0]), 
    ENTITY_VILLAGER_WORK_SHEPHERD("ENTITY_VILLAGER_WORK_SHEPHERD", 1242, new String[0]), 
    ENTITY_VILLAGER_WORK_TOOLSMITH("ENTITY_VILLAGER_WORK_TOOLSMITH", 1243, new String[0]), 
    ENTITY_VILLAGER_WORK_WEAPONSMITH("ENTITY_VILLAGER_WORK_WEAPONSMITH", 1244, new String[0]), 
    ENTITY_VILLAGER_YES("ENTITY_VILLAGER_YES", 1245, new String[] { "VILLAGER_YES" }), 
    ENTITY_VINDICATOR_AMBIENT("ENTITY_VINDICATOR_AMBIENT", 1246, new String[] { "ENTITY_VINDICATION_ILLAGER_AMBIENT" }), 
    ENTITY_VINDICATOR_CELEBRATE("ENTITY_VINDICATOR_CELEBRATE", 1247, new String[0]), 
    ENTITY_VINDICATOR_DEATH("ENTITY_VINDICATOR_DEATH", 1248, new String[] { "ENTITY_VINDICATION_ILLAGER_DEATH" }), 
    ENTITY_VINDICATOR_HURT("ENTITY_VINDICATOR_HURT", 1249, new String[] { "ENTITY_VINDICATION_ILLAGER_HURT" }), 
    ENTITY_WANDERING_TRADER_AMBIENT("ENTITY_WANDERING_TRADER_AMBIENT", 1250, new String[0]), 
    ENTITY_WANDERING_TRADER_DEATH("ENTITY_WANDERING_TRADER_DEATH", 1251, new String[0]), 
    ENTITY_WANDERING_TRADER_DISAPPEARED("ENTITY_WANDERING_TRADER_DISAPPEARED", 1252, new String[0]), 
    ENTITY_WANDERING_TRADER_DRINK_MILK("ENTITY_WANDERING_TRADER_DRINK_MILK", 1253, new String[0]), 
    ENTITY_WANDERING_TRADER_DRINK_POTION("ENTITY_WANDERING_TRADER_DRINK_POTION", 1254, new String[0]), 
    ENTITY_WANDERING_TRADER_HURT("ENTITY_WANDERING_TRADER_HURT", 1255, new String[0]), 
    ENTITY_WANDERING_TRADER_NO("ENTITY_WANDERING_TRADER_NO", 1256, new String[0]), 
    ENTITY_WANDERING_TRADER_REAPPEARED("ENTITY_WANDERING_TRADER_REAPPEARED", 1257, new String[0]), 
    ENTITY_WANDERING_TRADER_TRADE("ENTITY_WANDERING_TRADER_TRADE", 1258, new String[0]), 
    ENTITY_WANDERING_TRADER_YES("ENTITY_WANDERING_TRADER_YES", 1259, new String[0]), 
    ENTITY_WARDEN_AGITATED("ENTITY_WARDEN_AGITATED", 1260, new String[0]), 
    ENTITY_WARDEN_AMBIENT("ENTITY_WARDEN_AMBIENT", 1261, new String[0]), 
    ENTITY_WARDEN_ANGRY("ENTITY_WARDEN_ANGRY", 1262, new String[0]), 
    ENTITY_WARDEN_ATTACK_IMPACT("ENTITY_WARDEN_ATTACK_IMPACT", 1263, new String[0]), 
    ENTITY_WARDEN_DEATH("ENTITY_WARDEN_DEATH", 1264, new String[0]), 
    ENTITY_WARDEN_DIG("ENTITY_WARDEN_DIG", 1265, new String[0]), 
    ENTITY_WARDEN_EMERGE("ENTITY_WARDEN_EMERGE", 1266, new String[0]), 
    ENTITY_WARDEN_HEARTBEAT("ENTITY_WARDEN_HEARTBEAT", 1267, new String[0]), 
    ENTITY_WARDEN_HURT("ENTITY_WARDEN_HURT", 1268, new String[0]), 
    ENTITY_WARDEN_LISTENING("ENTITY_WARDEN_LISTENING", 1269, new String[0]), 
    ENTITY_WARDEN_LISTENING_ANGRY("ENTITY_WARDEN_LISTENING_ANGRY", 1270, new String[0]), 
    ENTITY_WARDEN_NEARBY_CLOSE("ENTITY_WARDEN_NEARBY_CLOSE", 1271, new String[0]), 
    ENTITY_WARDEN_NEARBY_CLOSER("ENTITY_WARDEN_NEARBY_CLOSER", 1272, new String[0]), 
    ENTITY_WARDEN_NEARBY_CLOSEST("ENTITY_WARDEN_NEARBY_CLOSEST", 1273, new String[0]), 
    ENTITY_WARDEN_ROAR("ENTITY_WARDEN_ROAR", 1274, new String[0]), 
    ENTITY_WARDEN_SNIFF("ENTITY_WARDEN_SNIFF", 1275, new String[0]), 
    ENTITY_WARDEN_SONIC_BOOM("ENTITY_WARDEN_SONIC_BOOM", 1276, new String[0]), 
    ENTITY_WARDEN_SONIC_CHARGE("ENTITY_WARDEN_SONIC_CHARGE", 1277, new String[0]), 
    ENTITY_WARDEN_STEP("ENTITY_WARDEN_STEP", 1278, new String[0]), 
    ENTITY_WARDEN_TENDRIL_CLICKS("ENTITY_WARDEN_TENDRIL_CLICKS", 1279, new String[0]), 
    ENTITY_WITCH_AMBIENT("ENTITY_WITCH_AMBIENT", 1280, new String[0]), 
    ENTITY_WITCH_CELEBRATE("ENTITY_WITCH_CELEBRATE", 1281, new String[0]), 
    ENTITY_WITCH_DEATH("ENTITY_WITCH_DEATH", 1282, new String[0]), 
    ENTITY_WITCH_DRINK("ENTITY_WITCH_DRINK", 1283, new String[0]), 
    ENTITY_WITCH_HURT("ENTITY_WITCH_HURT", 1284, new String[0]), 
    ENTITY_WITCH_THROW("ENTITY_WITCH_THROW", 1285, new String[0]), 
    ENTITY_WITHER_AMBIENT("ENTITY_WITHER_AMBIENT", 1286, new String[] { "WITHER_IDLE" }), 
    ENTITY_WITHER_BREAK_BLOCK("ENTITY_WITHER_BREAK_BLOCK", 1287, new String[0]), 
    ENTITY_WITHER_DEATH("ENTITY_WITHER_DEATH", 1288, new String[] { "WITHER_DEATH" }), 
    ENTITY_WITHER_HURT("ENTITY_WITHER_HURT", 1289, new String[] { "WITHER_HURT" }), 
    ENTITY_WITHER_SHOOT("ENTITY_WITHER_SHOOT", 1290, new String[] { "WITHER_SHOOT" }), 
    ENTITY_WITHER_SKELETON_AMBIENT("ENTITY_WITHER_SKELETON_AMBIENT", 1291, new String[0]), 
    ENTITY_WITHER_SKELETON_DEATH("ENTITY_WITHER_SKELETON_DEATH", 1292, new String[0]), 
    ENTITY_WITHER_SKELETON_HURT("ENTITY_WITHER_SKELETON_HURT", 1293, new String[0]), 
    ENTITY_WITHER_SKELETON_STEP("ENTITY_WITHER_SKELETON_STEP", 1294, new String[0]), 
    ENTITY_WITHER_SPAWN("ENTITY_WITHER_SPAWN", 1295, new String[] { "WITHER_SPAWN" }), 
    ENTITY_WOLF_AMBIENT("ENTITY_WOLF_AMBIENT", 1296, new String[] { "WOLF_BARK" }), 
    ENTITY_WOLF_DEATH("ENTITY_WOLF_DEATH", 1297, new String[] { "WOLF_DEATH" }), 
    ENTITY_WOLF_GROWL("ENTITY_WOLF_GROWL", 1298, new String[] { "WOLF_GROWL" }), 
    ENTITY_WOLF_HOWL("ENTITY_WOLF_HOWL", 1299, new String[] { "WOLF_HOWL" }), 
    ENTITY_WOLF_HURT("ENTITY_WOLF_HURT", 1300, new String[] { "WOLF_HURT" }), 
    ENTITY_WOLF_PANT("ENTITY_WOLF_PANT", 1301, new String[] { "WOLF_PANT" }), 
    ENTITY_WOLF_SHAKE("ENTITY_WOLF_SHAKE", 1302, new String[] { "WOLF_SHAKE" }), 
    ENTITY_WOLF_STEP("ENTITY_WOLF_STEP", 1303, new String[] { "WOLF_WALK" }), 
    ENTITY_WOLF_WHINE("ENTITY_WOLF_WHINE", 1304, new String[] { "WOLF_WHINE" }), 
    ENTITY_ZOGLIN_AMBIENT("ENTITY_ZOGLIN_AMBIENT", 1305, new String[0]), 
    ENTITY_ZOGLIN_ANGRY("ENTITY_ZOGLIN_ANGRY", 1306, new String[0]), 
    ENTITY_ZOGLIN_ATTACK("ENTITY_ZOGLIN_ATTACK", 1307, new String[0]), 
    ENTITY_ZOGLIN_DEATH("ENTITY_ZOGLIN_DEATH", 1308, new String[0]), 
    ENTITY_ZOGLIN_HURT("ENTITY_ZOGLIN_HURT", 1309, new String[0]), 
    ENTITY_ZOGLIN_STEP("ENTITY_ZOGLIN_STEP", 1310, new String[0]), 
    ENTITY_ZOMBIE_AMBIENT("ENTITY_ZOMBIE_AMBIENT", 1311, new String[] { "ZOMBIE_IDLE" }), 
    ENTITY_ZOMBIE_ATTACK_IRON_DOOR("ENTITY_ZOMBIE_ATTACK_IRON_DOOR", 1312, new String[] { "ZOMBIE_METAL" }), 
    ENTITY_ZOMBIE_ATTACK_WOODEN_DOOR("ENTITY_ZOMBIE_ATTACK_WOODEN_DOOR", 1313, new String[] { "ZOMBIE_WOOD", "ENTITY_ZOMBIE_ATTACK_DOOR_WOOD" }), 
    ENTITY_ZOMBIE_BREAK_WOODEN_DOOR("ENTITY_ZOMBIE_BREAK_WOODEN_DOOR", 1314, new String[] { "ZOMBIE_WOODBREAK", "ENTITY_ZOMBIE_BREAK_DOOR_WOOD" }), 
    ENTITY_ZOMBIE_CONVERTED_TO_DROWNED("ENTITY_ZOMBIE_CONVERTED_TO_DROWNED", 1315, new String[0]), 
    ENTITY_ZOMBIE_DEATH("ENTITY_ZOMBIE_DEATH", 1316, new String[] { "ZOMBIE_DEATH" }), 
    ENTITY_ZOMBIE_DESTROY_EGG("ENTITY_ZOMBIE_DESTROY_EGG", 1317, new String[0]), 
    ENTITY_ZOMBIE_HORSE_AMBIENT("ENTITY_ZOMBIE_HORSE_AMBIENT", 1318, new String[] { "HORSE_ZOMBIE_IDLE" }), 
    ENTITY_ZOMBIE_HORSE_DEATH("ENTITY_ZOMBIE_HORSE_DEATH", 1319, new String[] { "HORSE_ZOMBIE_DEATH" }), 
    ENTITY_ZOMBIE_HORSE_HURT("ENTITY_ZOMBIE_HORSE_HURT", 1320, new String[] { "HORSE_ZOMBIE_HIT" }), 
    ENTITY_ZOMBIE_HURT("ENTITY_ZOMBIE_HURT", 1321, new String[] { "ZOMBIE_HURT" }), 
    ENTITY_ZOMBIE_INFECT("ENTITY_ZOMBIE_INFECT", 1322, new String[] { "ZOMBIE_INFECT" }), 
    ENTITY_ZOMBIE_STEP("ENTITY_ZOMBIE_STEP", 1323, new String[] { "ZOMBIE_WALK" }), 
    ENTITY_ZOMBIE_VILLAGER_AMBIENT("ENTITY_ZOMBIE_VILLAGER_AMBIENT", 1324, new String[0]), 
    ENTITY_ZOMBIE_VILLAGER_CONVERTED("ENTITY_ZOMBIE_VILLAGER_CONVERTED", 1325, new String[] { "ZOMBIE_UNFECT" }), 
    ENTITY_ZOMBIE_VILLAGER_CURE("ENTITY_ZOMBIE_VILLAGER_CURE", 1326, new String[] { "ZOMBIE_REMEDY" }), 
    ENTITY_ZOMBIE_VILLAGER_DEATH("ENTITY_ZOMBIE_VILLAGER_DEATH", 1327, new String[0]), 
    ENTITY_ZOMBIE_VILLAGER_HURT("ENTITY_ZOMBIE_VILLAGER_HURT", 1328, new String[0]), 
    ENTITY_ZOMBIE_VILLAGER_STEP("ENTITY_ZOMBIE_VILLAGER_STEP", 1329, new String[0]), 
    ENTITY_ZOMBIFIED_PIGLIN_AMBIENT("ENTITY_ZOMBIFIED_PIGLIN_AMBIENT", 1330, new String[] { "ZOMBIE_PIG_IDLE", "ENTITY_ZOMBIE_PIG_AMBIENT", "ENTITY_ZOMBIE_PIGMAN_AMBIENT" }), 
    ENTITY_ZOMBIFIED_PIGLIN_ANGRY("ENTITY_ZOMBIFIED_PIGLIN_ANGRY", 1331, new String[] { "ZOMBIE_PIG_ANGRY", "ENTITY_ZOMBIE_PIG_ANGRY", "ENTITY_ZOMBIE_PIGMAN_ANGRY" }), 
    ENTITY_ZOMBIFIED_PIGLIN_DEATH("ENTITY_ZOMBIFIED_PIGLIN_DEATH", 1332, new String[] { "ZOMBIE_PIG_DEATH", "ENTITY_ZOMBIE_PIG_DEATH", "ENTITY_ZOMBIE_PIGMAN_DEATH" }), 
    ENTITY_ZOMBIFIED_PIGLIN_HURT("ENTITY_ZOMBIFIED_PIGLIN_HURT", 1333, new String[] { "ZOMBIE_PIG_HURT", "ENTITY_ZOMBIE_PIG_HURT", "ENTITY_ZOMBIE_PIGMAN_HURT" }), 
    EVENT_RAID_HORN("EVENT_RAID_HORN", 1334, new String[0]), 
    INTENTIONALLY_EMPTY("INTENTIONALLY_EMPTY", 1335, new String[0]), 
    ITEM_ARMOR_EQUIP_CHAIN("ITEM_ARMOR_EQUIP_CHAIN", 1336, new String[0]), 
    ITEM_ARMOR_EQUIP_DIAMOND("ITEM_ARMOR_EQUIP_DIAMOND", 1337, new String[0]), 
    ITEM_ARMOR_EQUIP_ELYTRA("ITEM_ARMOR_EQUIP_ELYTRA", 1338, new String[0]), 
    ITEM_ARMOR_EQUIP_GENERIC("ITEM_ARMOR_EQUIP_GENERIC", 1339, new String[0]), 
    ITEM_ARMOR_EQUIP_GOLD("ITEM_ARMOR_EQUIP_GOLD", 1340, new String[0]), 
    ITEM_ARMOR_EQUIP_IRON("ITEM_ARMOR_EQUIP_IRON", 1341, new String[0]), 
    ITEM_ARMOR_EQUIP_LEATHER("ITEM_ARMOR_EQUIP_LEATHER", 1342, new String[0]), 
    ITEM_ARMOR_EQUIP_NETHERITE("ITEM_ARMOR_EQUIP_NETHERITE", 1343, new String[0]), 
    ITEM_ARMOR_EQUIP_TURTLE("ITEM_ARMOR_EQUIP_TURTLE", 1344, new String[0]), 
    ITEM_AXE_SCRAPE("ITEM_AXE_SCRAPE", 1345, new String[0]), 
    ITEM_AXE_STRIP("ITEM_AXE_STRIP", 1346, new String[0]), 
    ITEM_AXE_WAX_OFF("ITEM_AXE_WAX_OFF", 1347, new String[0]), 
    ITEM_BONE_MEAL_USE("ITEM_BONE_MEAL_USE", 1348, new String[0]), 
    ITEM_BOOK_PAGE_TURN("ITEM_BOOK_PAGE_TURN", 1349, new String[0]), 
    ITEM_BOOK_PUT("ITEM_BOOK_PUT", 1350, new String[0]), 
    ITEM_BOTTLE_EMPTY("ITEM_BOTTLE_EMPTY", 1351, new String[0]), 
    ITEM_BOTTLE_FILL("ITEM_BOTTLE_FILL", 1352, new String[0]), 
    ITEM_BOTTLE_FILL_DRAGONBREATH("ITEM_BOTTLE_FILL_DRAGONBREATH", 1353, new String[0]), 
    ITEM_BRUSH_BRUSHING("ITEM_BRUSH_BRUSHING", 1354, new String[0]), 
    ITEM_BRUSH_BRUSHING_GENERIC("ITEM_BRUSH_BRUSHING_GENERIC", 1355, new String[0]), 
    ITEM_BRUSH_BRUSHING_GRAVEL("ITEM_BRUSH_BRUSHING_GRAVEL", 1356, new String[0]), 
    ITEM_BRUSH_BRUSHING_GRAVEL_COMPLETE("ITEM_BRUSH_BRUSHING_GRAVEL_COMPLETE", 1357, new String[0]), 
    ITEM_BRUSH_BRUSHING_SAND("ITEM_BRUSH_BRUSHING_SAND", 1358, new String[0]), 
    ITEM_BRUSH_BRUSHING_SAND_COMPLETE("ITEM_BRUSH_BRUSHING_SAND_COMPLETE", 1359, new String[0]), 
    ITEM_BRUSH_BRUSH_SAND_COMPLETED("ITEM_BRUSH_BRUSH_SAND_COMPLETED", 1360, new String[0]), 
    ITEM_BUCKET_EMPTY("ITEM_BUCKET_EMPTY", 1361, new String[0]), 
    ITEM_BUCKET_EMPTY_AXOLOTL("ITEM_BUCKET_EMPTY_AXOLOTL", 1362, new String[0]), 
    ITEM_BUCKET_EMPTY_FISH("ITEM_BUCKET_EMPTY_FISH", 1363, new String[0]), 
    ITEM_BUCKET_EMPTY_LAVA("ITEM_BUCKET_EMPTY_LAVA", 1364, new String[0]), 
    ITEM_BUCKET_EMPTY_POWDER_SNOW("ITEM_BUCKET_EMPTY_POWDER_SNOW", 1365, new String[0]), 
    ITEM_BUCKET_EMPTY_TADPOLE("ITEM_BUCKET_EMPTY_TADPOLE", 1366, new String[0]), 
    ITEM_BUCKET_FILL("ITEM_BUCKET_FILL", 1367, new String[0]), 
    ITEM_BUCKET_FILL_AXOLOTL("ITEM_BUCKET_FILL_AXOLOTL", 1368, new String[0]), 
    ITEM_BUCKET_FILL_FISH("ITEM_BUCKET_FILL_FISH", 1369, new String[0]), 
    ITEM_BUCKET_FILL_LAVA("ITEM_BUCKET_FILL_LAVA", 1370, new String[0]), 
    ITEM_BUCKET_FILL_POWDER_SNOW("ITEM_BUCKET_FILL_POWDER_SNOW", 1371, new String[0]), 
    ITEM_BUCKET_FILL_TADPOLE("ITEM_BUCKET_FILL_TADPOLE", 1372, new String[0]), 
    ITEM_BUNDLE_DROP_CONTENTS("ITEM_BUNDLE_DROP_CONTENTS", 1373, new String[0]), 
    ITEM_BUNDLE_INSERT("ITEM_BUNDLE_INSERT", 1374, new String[0]), 
    ITEM_BUNDLE_REMOVE_ONE("ITEM_BUNDLE_REMOVE_ONE", 1375, new String[0]), 
    ITEM_CHORUS_FRUIT_TELEPORT("ITEM_CHORUS_FRUIT_TELEPORT", 1376, new String[0]), 
    ITEM_CROP_PLANT("ITEM_CROP_PLANT", 1377, new String[0]), 
    ITEM_CROSSBOW_HIT("ITEM_CROSSBOW_HIT", 1378, new String[0]), 
    ITEM_CROSSBOW_LOADING_END("ITEM_CROSSBOW_LOADING_END", 1379, new String[0]), 
    ITEM_CROSSBOW_LOADING_MIDDLE("ITEM_CROSSBOW_LOADING_MIDDLE", 1380, new String[0]), 
    ITEM_CROSSBOW_LOADING_START("ITEM_CROSSBOW_LOADING_START", 1381, new String[0]), 
    ITEM_CROSSBOW_QUICK_CHARGE_1("ITEM_CROSSBOW_QUICK_CHARGE_1", 1382, new String[0]), 
    ITEM_CROSSBOW_QUICK_CHARGE_2("ITEM_CROSSBOW_QUICK_CHARGE_2", 1383, new String[0]), 
    ITEM_CROSSBOW_QUICK_CHARGE_3("ITEM_CROSSBOW_QUICK_CHARGE_3", 1384, new String[0]), 
    ITEM_CROSSBOW_SHOOT("ITEM_CROSSBOW_SHOOT", 1385, new String[0]), 
    ITEM_DYE_USE("ITEM_DYE_USE", 1386, new String[0]), 
    ITEM_ELYTRA_FLYING("ITEM_ELYTRA_FLYING", 1387, new String[0]), 
    ITEM_FIRECHARGE_USE("ITEM_FIRECHARGE_USE", 1388, new String[0]), 
    ITEM_FLINTANDSTEEL_USE("ITEM_FLINTANDSTEEL_USE", 1389, new String[] { "FIRE_IGNITE" }), 
    ITEM_GLOW_INK_SAC_USE("ITEM_GLOW_INK_SAC_USE", 1390, new String[0]), 
    ITEM_GOAT_HORN_PLAY("ITEM_GOAT_HORN_PLAY", 1391, new String[0]), 
    ITEM_GOAT_HORN_SOUND_0("ITEM_GOAT_HORN_SOUND_0", 1392, new String[0]), 
    ITEM_GOAT_HORN_SOUND_1("ITEM_GOAT_HORN_SOUND_1", 1393, new String[0]), 
    ITEM_GOAT_HORN_SOUND_2("ITEM_GOAT_HORN_SOUND_2", 1394, new String[0]), 
    ITEM_GOAT_HORN_SOUND_3("ITEM_GOAT_HORN_SOUND_3", 1395, new String[0]), 
    ITEM_GOAT_HORN_SOUND_4("ITEM_GOAT_HORN_SOUND_4", 1396, new String[0]), 
    ITEM_GOAT_HORN_SOUND_5("ITEM_GOAT_HORN_SOUND_5", 1397, new String[0]), 
    ITEM_GOAT_HORN_SOUND_6("ITEM_GOAT_HORN_SOUND_6", 1398, new String[0]), 
    ITEM_GOAT_HORN_SOUND_7("ITEM_GOAT_HORN_SOUND_7", 1399, new String[0]), 
    ITEM_HOE_TILL("ITEM_HOE_TILL", 1400, new String[0]), 
    ITEM_HONEYCOMB_WAX_ON("ITEM_HONEYCOMB_WAX_ON", 1401, new String[0]), 
    ITEM_HONEY_BOTTLE_DRINK("ITEM_HONEY_BOTTLE_DRINK", 1402, new String[0]), 
    ITEM_INK_SAC_USE("ITEM_INK_SAC_USE", 1403, new String[0]), 
    ITEM_LODESTONE_COMPASS_LOCK("ITEM_LODESTONE_COMPASS_LOCK", 1404, new String[0]), 
    ITEM_NETHER_WART_PLANT("ITEM_NETHER_WART_PLANT", 1405, new String[0]), 
    ITEM_SHIELD_BLOCK("ITEM_SHIELD_BLOCK", 1406, new String[0]), 
    ITEM_SHIELD_BREAK("ITEM_SHIELD_BREAK", 1407, new String[0]), 
    ITEM_SHOVEL_FLATTEN("ITEM_SHOVEL_FLATTEN", 1408, new String[0]), 
    ITEM_SPYGLASS_STOP_USING("ITEM_SPYGLASS_STOP_USING", 1409, new String[0]), 
    ITEM_SPYGLASS_USE("ITEM_SPYGLASS_USE", 1410, new String[0]), 
    ITEM_TOTEM_USE("ITEM_TOTEM_USE", 1411, new String[0]), 
    ITEM_TRIDENT_HIT("ITEM_TRIDENT_HIT", 1412, new String[0]), 
    ITEM_TRIDENT_HIT_GROUND("ITEM_TRIDENT_HIT_GROUND", 1413, new String[0]), 
    ITEM_TRIDENT_RETURN("ITEM_TRIDENT_RETURN", 1414, new String[0]), 
    ITEM_TRIDENT_RIPTIDE_1("ITEM_TRIDENT_RIPTIDE_1", 1415, new String[0]), 
    ITEM_TRIDENT_RIPTIDE_2("ITEM_TRIDENT_RIPTIDE_2", 1416, new String[] { "ITEM_TRIDENT_RIPTIDE_1" }), 
    ITEM_TRIDENT_RIPTIDE_3("ITEM_TRIDENT_RIPTIDE_3", 1417, new String[] { "ITEM_TRIDENT_RIPTIDE_1" }), 
    ITEM_TRIDENT_THROW("ITEM_TRIDENT_THROW", 1418, new String[0]), 
    ITEM_TRIDENT_THUNDER("ITEM_TRIDENT_THUNDER", 1419, new String[0]), 
    MUSIC_CREATIVE("MUSIC_CREATIVE", 1420, new String[0]), 
    MUSIC_CREDITS("MUSIC_CREDITS", 1421, new String[0]), 
    MUSIC_DISC_11("MUSIC_DISC_11", 1422, new String[] { "RECORD_11" }), 
    MUSIC_DISC_13("MUSIC_DISC_13", 1423, new String[] { "RECORD_13" }), 
    MUSIC_DISC_5("MUSIC_DISC_5", 1424, new String[0]), 
    MUSIC_DISC_BLOCKS("MUSIC_DISC_BLOCKS", 1425, new String[] { "RECORD_BLOCKS" }), 
    MUSIC_DISC_CAT("MUSIC_DISC_CAT", 1426, new String[] { "RECORD_CAT" }), 
    MUSIC_DISC_CHIRP("MUSIC_DISC_CHIRP", 1427, new String[] { "RECORD_CHIRP" }), 
    MUSIC_DISC_FAR("MUSIC_DISC_FAR", 1428, new String[] { "RECORD_FAR" }), 
    MUSIC_DISC_MALL("MUSIC_DISC_MALL", 1429, new String[] { "RECORD_MALL" }), 
    MUSIC_DISC_MELLOHI("MUSIC_DISC_MELLOHI", 1430, new String[] { "RECORD_MELLOHI" }), 
    MUSIC_DISC_OTHERSIDE("MUSIC_DISC_OTHERSIDE", 1431, new String[0]), 
    MUSIC_DISC_PIGSTEP("MUSIC_DISC_PIGSTEP", 1432, new String[0]), 
    MUSIC_DISC_RELIC("MUSIC_DISC_RELIC", 1433, new String[0]), 
    MUSIC_DISC_STAL("MUSIC_DISC_STAL", 1434, new String[] { "RECORD_STAL" }), 
    MUSIC_DISC_STRAD("MUSIC_DISC_STRAD", 1435, new String[] { "RECORD_STRAD" }), 
    MUSIC_DISC_WAIT("MUSIC_DISC_WAIT", 1436, new String[] { "RECORD_WAIT" }), 
    MUSIC_DISC_WARD("MUSIC_DISC_WARD", 1437, new String[] { "RECORD_WARD" }), 
    MUSIC_DRAGON("MUSIC_DRAGON", 1438, new String[0]), 
    MUSIC_END("MUSIC_END", 1439, new String[0]), 
    MUSIC_GAME("MUSIC_GAME", 1440, new String[0]), 
    MUSIC_MENU("MUSIC_MENU", 1441, new String[0]), 
    MUSIC_NETHER_BASALT_DELTAS("MUSIC_NETHER_BASALT_DELTAS", 1442, new String[] { "MUSIC_NETHER" }), 
    MUSIC_NETHER_CRIMSON_FOREST("MUSIC_NETHER_CRIMSON_FOREST", 1443, new String[0]), 
    MUSIC_NETHER_NETHER_WASTES("MUSIC_NETHER_NETHER_WASTES", 1444, new String[0]), 
    MUSIC_NETHER_SOUL_SAND_VALLEY("MUSIC_NETHER_SOUL_SAND_VALLEY", 1445, new String[0]), 
    MUSIC_NETHER_WARPED_FOREST("MUSIC_NETHER_WARPED_FOREST", 1446, new String[0]), 
    MUSIC_OVERWORLD_BADLANDS("MUSIC_OVERWORLD_BADLANDS", 1447, new String[0]), 
    MUSIC_OVERWORLD_BAMBOO_JUNGLE("MUSIC_OVERWORLD_BAMBOO_JUNGLE", 1448, new String[0]), 
    MUSIC_OVERWORLD_CHERRY_GROVE("MUSIC_OVERWORLD_CHERRY_GROVE", 1449, new String[0]), 
    MUSIC_OVERWORLD_DEEP_DARK("MUSIC_OVERWORLD_DEEP_DARK", 1450, new String[0]), 
    MUSIC_OVERWORLD_DESERT("MUSIC_OVERWORLD_DESERT", 1451, new String[0]), 
    MUSIC_OVERWORLD_DRIPSTONE_CAVES("MUSIC_OVERWORLD_DRIPSTONE_CAVES", 1452, new String[0]), 
    MUSIC_OVERWORLD_FLOWER_FOREST("MUSIC_OVERWORLD_FLOWER_FOREST", 1453, new String[0]), 
    MUSIC_OVERWORLD_FOREST("MUSIC_OVERWORLD_FOREST", 1454, new String[0]), 
    MUSIC_OVERWORLD_FROZEN_PEAKS("MUSIC_OVERWORLD_FROZEN_PEAKS", 1455, new String[0]), 
    MUSIC_OVERWORLD_GROVE("MUSIC_OVERWORLD_GROVE", 1456, new String[0]), 
    MUSIC_OVERWORLD_JAGGED_PEAKS("MUSIC_OVERWORLD_JAGGED_PEAKS", 1457, new String[0]), 
    MUSIC_OVERWORLD_JUNGLE("MUSIC_OVERWORLD_JUNGLE", 1458, new String[0]), 
    MUSIC_OVERWORLD_JUNGLE_AND_FOREST("MUSIC_OVERWORLD_JUNGLE_AND_FOREST", 1459, new String[0]), 
    MUSIC_OVERWORLD_LUSH_CAVES("MUSIC_OVERWORLD_LUSH_CAVES", 1460, new String[0]), 
    MUSIC_OVERWORLD_MEADOW("MUSIC_OVERWORLD_MEADOW", 1461, new String[0]), 
    MUSIC_OVERWORLD_OLD_GROWTH_TAIGA("MUSIC_OVERWORLD_OLD_GROWTH_TAIGA", 1462, new String[0]), 
    MUSIC_OVERWORLD_SNOWY_SLOPES("MUSIC_OVERWORLD_SNOWY_SLOPES", 1463, new String[0]), 
    MUSIC_OVERWORLD_SPARSE_JUNGLE("MUSIC_OVERWORLD_SPARSE_JUNGLE", 1464, new String[0]), 
    MUSIC_OVERWORLD_STONY_PEAKS("MUSIC_OVERWORLD_STONY_PEAKS", 1465, new String[0]), 
    MUSIC_OVERWORLD_SWAMP("MUSIC_OVERWORLD_SWAMP", 1466, new String[0]), 
    MUSIC_UNDER_WATER("MUSIC_UNDER_WATER", 1467, new String[0]), 
    PARTICLE_SOUL_ESCAPE("PARTICLE_SOUL_ESCAPE", 1468, new String[0]), 
    UI_BUTTON_CLICK("UI_BUTTON_CLICK", 1469, new String[] { "CLICK" }), 
    UI_CARTOGRAPHY_TABLE_TAKE_RESULT("UI_CARTOGRAPHY_TABLE_TAKE_RESULT", 1470, new String[0]), 
    UI_LOOM_SELECT_PATTERN("UI_LOOM_SELECT_PATTERN", 1471, new String[0]), 
    UI_LOOM_TAKE_RESULT("UI_LOOM_TAKE_RESULT", 1472, new String[0]), 
    UI_STONECUTTER_SELECT_RECIPE("UI_STONECUTTER_SELECT_RECIPE", 1473, new String[0]), 
    UI_STONECUTTER_TAKE_RESULT("UI_STONECUTTER_TAKE_RESULT", 1474, new String[0]), 
    UI_TOAST_CHALLENGE_COMPLETE("UI_TOAST_CHALLENGE_COMPLETE", 1475, new String[0]), 
    UI_TOAST_IN("UI_TOAST_IN", 1476, new String[0]), 
    UI_TOAST_OUT("UI_TOAST_OUT", 1477, new String[0]), 
    WEATHER_RAIN("WEATHER_RAIN", 1478, new String[] { "AMBIENCE_RAIN" }), 
    WEATHER_RAIN_ABOVE("WEATHER_RAIN_ABOVE", 1479, new String[0]);
    
    public static final XSound[] VALUES;
    public static final float DEFAULT_VOLUME = 1.0f;
    public static final float DEFAULT_PITCH = 1.0f;
    @Nullable
    private final Sound sound;
    
    static {
        VALUES = values();
    }
    
    private XSound(@NotNull final String name, final int ordinal, final String... var3) {
        Sound var4 = Data.BUKKIT_NAMES.get(this.name());
        if (var4 == null) {
            final String[] var5 = var3;
            for (int var6 = var3.length, var7 = 0; var7 < var6; ++var7) {
                final String var8 = var5[var7];
                var4 = Data.BUKKIT_NAMES.get(var8);
                if (var4 != null) {
                    break;
                }
            }
        }
        this.sound = var4;
        Data.NAMES.put(this.name(), this);
        final String[] var5 = var3;
        for (int var6 = var3.length, var7 = 0; var7 < var6; ++var7) {
            final String var8 = var5[var7];
            Data.NAMES.putIfAbsent(var8, this);
        }
    }
    
    @NotNull
    private static String format(@NotNull final String var0) {
        final int var = var0.length();
        final char[] var2 = new char[var];
        int var3 = 0;
        boolean var4 = false;
        for (int var5 = 0; var5 < var; ++var5) {
            final char var6 = var0.charAt(var5);
            if (!var4 && var3 != 0 && (var6 == '-' || var6 == ' ' || var6 == '_') && var2[var3] != '_') {
                var4 = true;
            }
            else {
                boolean var7 = false;
                if ((var6 >= 'A' && var6 <= 'Z') || (var6 >= 'a' && var6 <= 'z') || (var7 = (var6 >= '0' && var6 <= '9'))) {
                    if (var4) {
                        var2[var3++] = '_';
                        var4 = false;
                    }
                    if (var7) {
                        var2[var3++] = var6;
                    }
                    else {
                        var2[var3++] = (char)(var6 & '_');
                    }
                }
            }
        }
        return new String(var2, 0, var3);
    }
    
    @NotNull
    public static Optional<XSound> matchXSound(@NotNull final String var0) {
        if (var0 != null && !var0.isEmpty()) {
            return Optional.ofNullable(Data.NAMES.get(format(var0)));
        }
        throw new IllegalArgumentException("无法匹配空或空名称的XSound");
    }
    
    @NotNull
    public static XSound matchXSound(@NotNull final Sound var0) {
        Objects.requireNonNull(var0, "无法匹配从空值中匹配XSound");
        return Objects.requireNonNull(Data.NAMES.get(var0.name()), () -> "不支持的声音: " + sound.name());
    }
    
    private static List<String> split(@NotNull final String var0, final char var1) {
        final ArrayList var2 = new ArrayList(5);
        boolean var3 = false;
        boolean var4 = false;
        final int var5 = var0.length();
        int var6 = 0;
        for (int var7 = 0; var7 < var5; ++var7) {
            if (var0.charAt(var7) == var1) {
                if (var3) {
                    var2.add(var0.substring(var6, var7));
                    var3 = false;
                    var4 = true;
                }
                var6 = var7 + 1;
            }
            else {
                var4 = false;
                var3 = true;
            }
        }
        if (var3 || var4) {
            var2.add(var0.substring(var6, var5));
        }
        return var2;
    }
    
    @Nullable
    public static Record parse(@Nullable final String var0) {
        if (Strings.isNullOrEmpty(var0) || var0.equalsIgnoreCase("none")) {
            return null;
        }
        final List var = split(var0.replace(" ", ""), ',');
        String var2 = var.get(0);
        boolean var3;
        if (var2.charAt(0) == '~') {
            var2 = var2.substring(1);
            var3 = true;
        }
        else {
            var3 = false;
        }
        if (var2.isEmpty()) {
            throw new IllegalArgumentException("未指定声音名称: " + var0);
        }
        final Optional var4 = matchXSound(var2);
        if (!var4.isPresent()) {
            throw new IllegalArgumentException("未知的声音: " + var2);
        }
        float var5 = 1.0f;
        float var6 = 1.0f;
        try {
            if (var.size() > 1) {
                var5 = Float.parseFloat(var.get(1));
            }
        }
        catch (final NumberFormatException var7) {
            throw new NumberFormatException("不合规的数字 '" + (String)var.get(1) + "' for sound 音量 '" + var0);
        }
        try {
            if (var.size() > 2) {
                var6 = Float.parseFloat(var.get(2));
            }
        }
        catch (final NumberFormatException var8) {
            throw new NumberFormatException("不合规的数字 '" + (String)var.get(2) + "' for sound 音调 '" + var0);
        }
        return new Record(var4.get(), null, null, var5, var6, var3);
    }
    
    public static void stopMusic(@NotNull final Player var0) {
        Objects.requireNonNull(var0, "无法为未指定的玩家停止播放声音");
        final XSound[] var2;
        final XSound[] var = var2 = new XSound[] { XSound.MUSIC_CREATIVE, XSound.MUSIC_CREDITS, XSound.MUSIC_DISC_11, XSound.MUSIC_DISC_13, XSound.MUSIC_DISC_BLOCKS, XSound.MUSIC_DISC_CAT, XSound.MUSIC_DISC_CHIRP, XSound.MUSIC_DISC_FAR, XSound.MUSIC_DISC_MALL, XSound.MUSIC_DISC_MELLOHI, XSound.MUSIC_DISC_STAL, XSound.MUSIC_DISC_STRAD, XSound.MUSIC_DISC_WAIT, XSound.MUSIC_DISC_WARD, XSound.MUSIC_DRAGON, XSound.MUSIC_END, XSound.MUSIC_GAME, XSound.MUSIC_MENU, XSound.MUSIC_NETHER_BASALT_DELTAS, XSound.MUSIC_UNDER_WATER, XSound.MUSIC_NETHER_CRIMSON_FOREST, XSound.MUSIC_NETHER_WARPED_FOREST };
        for (int var3 = var.length, var4 = 0; var4 < var3; ++var4) {
            final XSound var5 = var2[var4];
            final Sound var6 = var5.parseSound();
            if (var6 != null) {
                var0.stopSound(var6);
            }
        }
    }
    
    @NotNull
    public static BukkitTask playAscendingNote(@NotNull final Plugin var0, @NotNull final Player var1, @NotNull final Entity var2, @NotNull final Instrument var3, final int var4, final int var5) {
        Objects.requireNonNull(var1, "无法为空的玩家播放音符");
        Objects.requireNonNull(var2, "无法为空的实体播放音符");
        if (var4 <= 0) {
            throw new IllegalArgumentException("音符变调不能小于1");
        }
        if (var4 > 7) {
            throw new IllegalArgumentException("音符变调不能大于7");
        }
        if (var5 <= 0) {
            throw new IllegalArgumentException("延迟tick必须大于1");
        }
        return new BukkitRunnable() {
            int repeating = n;
            
            public void run() {
                var1.playNote(var2.getLocation(), var3, Note.natural(1, Note.Tone.values()[var4 - this.repeating]));
                if (this.repeating-- == 0) {
                    this.cancel();
                }
            }
        }.runTaskTimerAsynchronously(var0, 0L, (long)var5);
    }
    
    @Override
    public String toString() {
        return Arrays.stream(this.name().split("_")).map(var0 -> var0.charAt(0) + var0.substring(1).toLowerCase()).collect((Collector<? super Object, ?, String>)Collectors.joining(" "));
    }
    
    @Nullable
    public Sound parseSound() {
        return this.sound;
    }
    
    public boolean isSupported() {
        return this.parseSound() != null;
    }
    
    @NotNull
    public BukkitTask playRepeatedly(@NotNull final Plugin var1, @NotNull final Entity var2, final float var3, final float var4, final int var5, final int var6) {
        return this.playRepeatedly(var1, Collections.singleton(var2), var3, var4, var5, var6);
    }
    
    @NotNull
    public BukkitTask playRepeatedly(@NotNull final Plugin var1, @NotNull final Iterable<? extends Entity> var2, final float var3, final float var4, final int var5, final int var6) {
        Objects.requireNonNull(var1, "无法从空插件重复播放声音");
        Objects.requireNonNull(var2, "无法在空位置重复播放声音");
        if (var5 <= 0) {
            throw new IllegalArgumentException("无法重复播放声音" + var5 + " 次");
        }
        if (var6 <= 0) {
            throw new IllegalArgumentException("延迟tick必须大于等于1");
        }
        return new BukkitRunnable(var5) {
            int repeating = repeating;
            
            public void run() {
                for (final Entity var2x : var2) {
                    XSound.this.play(var2x.getLocation(), var3, var4);
                }
                if (this.repeating-- == 0) {
                    this.cancel();
                }
            }
        }.runTaskTimer(var1, 0L, (long)var6);
    }
    
    public void stopSound(@NotNull final Player var1) {
        Objects.requireNonNull(var1, "无法为空玩家停止播放声音");
        final Sound var2 = this.parseSound();
        if (var2 != null) {
            var1.stopSound(var2);
        }
    }
    
    @Deprecated
    @NotNull
    public static CompletableFuture<Record> play(@NotNull final Player var0, @Nullable final String var1) {
        Objects.requireNonNull(var0, "无法为空玩家播放声音");
        return CompletableFuture.supplyAsync(() -> {
            Record var2;
            try {
                var2 = parse(var4);
            }
            catch (final Throwable var3) {
                return null;
            }
            if (var2 == null) {
                return null;
            }
            else {
                var2.forPlayer(var5).play();
                return var2;
            }
        }).exceptionally(var0x -> {
            var0x.printStackTrace();
            return null;
        });
    }
    
    @Nullable
    public static Record play(@NotNull final Location var0, @Nullable final String var1) {
        Objects.requireNonNull(var0, "无法在空位置播放声音");
        final Record var2 = parse(var1);
        if (var2 == null) {
            return null;
        }
        var2.atLocation(var0).play();
        return var2;
    }
    
    public void play(@NotNull final Entity var1) {
        this.play(var1, 1.0f, 1.0f);
    }
    
    public void play(@NotNull final Entity var1, final float var2, final float var3) {
        Objects.requireNonNull(var1, "无法为空实体播放声音");
        if (var1 instanceof Player) {
            final Sound var4 = this.parseSound();
            if (var4 != null) {
                ((Player)var1).playSound(var1.getLocation(), var4, var2, var3);
            }
        }
        else {
            this.play(var1.getLocation(), var2, var3);
        }
    }
    
    public void play(@NotNull final Location var1) {
        this.play(var1, 1.0f, 1.0f);
    }
    
    public void play(@NotNull final Location var1, final float var2, final float var3) {
        Objects.requireNonNull(var1, "无法在空位置播放声音");
        final Sound var4 = this.parseSound();
        if (var4 != null) {
            var1.getWorld().playSound(var1, var4, var2, var3);
        }
    }
    
    public static class Record implements Cloneable
    {
        @NotNull
        public final XSound sound;
        public final float volume;
        public final float pitch;
        public boolean playAtLocation;
        @Nullable
        public Player player;
        @Nullable
        public Location location;
        
        public Record(@NotNull final XSound var1) {
            this(var1, 1.0f, 1.0f);
        }
        
        public Record(@NotNull final XSound var1, final float var2, final float var3) {
            this(var1, null, null, var2, var3, false);
        }
        
        public Record(@NotNull final XSound var1, @Nullable final Player var2, @Nullable final Location var3, final float var4, final float var5, final boolean var6) {
            this.sound = Objects.requireNonNull(var1, "声音不能为空");
            this.player = var2;
            this.location = var3;
            this.volume = var4;
            this.pitch = var5;
            this.playAtLocation = var6;
        }
        
        public Record forPlayer(@Nullable final Player var1) {
            this.player = var1;
            return this;
        }
        
        public Record atLocation(@Nullable final Location var1) {
            this.location = var1;
            return this;
        }
        
        public Record forPlayerAtLocation(@Nullable final Player var1, @Nullable final Location var2) {
            this.player = var1;
            this.location = var2;
            return this;
        }
        
        public void play() {
            if (this.player == null && this.location == null) {
                throw new IllegalStateException("没有可用位置时无法播放声音");
            }
            this.play((this.player == null) ? this.location : this.player.getLocation());
        }
        
        public void play(@NotNull final Location var1) {
            Objects.requireNonNull(var1, "在空位置上无法播放声音");
            if (!this.playAtLocation && this.player != null) {
                this.player.playSound(var1, this.sound.parseSound(), this.volume, this.pitch);
            }
            else {
                this.location.getWorld().playSound(var1, this.sound.parseSound(), this.volume, this.pitch);
            }
        }
        
        public void stopSound() {
            if (this.playAtLocation) {
                for (final Entity var2 : this.location.getWorld().getNearbyEntities(this.location, (double)this.volume, (double)this.volume, (double)this.volume)) {
                    if (var2 instanceof final Player player) {
                        player.stopSound(this.sound.parseSound());
                    }
                }
            }
            if (this.player != null) {
                this.player.stopSound(this.sound.parseSound());
            }
        }
        
        public String rebuild() {
            return (this.playAtLocation ? "~" : "") + String.valueOf(this.sound.sound) + ", " + this.volume + ", " + this.pitch;
        }
        
        public Record clone() {
            return new Record(this.sound, this.player, this.location, this.volume, this.pitch, this.playAtLocation);
        }
    }
    
    private static final class Data
    {
        private static final WeakHashMap<String, Sound> BUKKIT_NAMES;
        private static final Map<String, XSound> NAMES;
        
        static {
            BUKKIT_NAMES = new WeakHashMap<String, Sound>();
            NAMES = new HashMap<String, XSound>();
            for (final Sound var4 : Sound.values()) {
                Data.BUKKIT_NAMES.put(var4.name(), var4);
            }
        }
    }
}
